import { z } from "zod";
export declare const roleSchema: z.ZodObject<{
    id: z.ZodDefault<z.ZodString>;
    name: z.ZodDefault<z.ZodString>;
    type: z.ZodDefault<z.ZodString>;
    description: z.ZodDefault<z.ZodString>;
    status: z.ZodDefault<z.ZodString>;
    access_level: z.ZodDefault<z.ZodRecord<z.ZodString, z.ZodString>>;
    is_default: z.ZodDefault<z.ZodBoolean>;
    created_by: z.ZodDefault<z.ZodString>;
    modified_by: z.ZodDefault<z.ZodString>;
    tenant_id: z.ZodDefault<z.ZodString>;
    created_at: z.ZodDefault<z.ZodString>;
    updated_at: z.ZodDefault<z.ZodString>;
    privilege_type: z.ZodDefault<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    name: string;
    type: string;
    id: string;
    description: string;
    status: string;
    access_level: Record<string, string>;
    is_default: boolean;
    created_by: string;
    modified_by: string;
    tenant_id: string;
    created_at: string;
    updated_at: string;
    privilege_type: string;
}, {
    name?: string | undefined;
    type?: string | undefined;
    id?: string | undefined;
    description?: string | undefined;
    status?: string | undefined;
    access_level?: Record<string, string> | undefined;
    is_default?: boolean | undefined;
    created_by?: string | undefined;
    modified_by?: string | undefined;
    tenant_id?: string | undefined;
    created_at?: string | undefined;
    updated_at?: string | undefined;
    privilege_type?: string | undefined;
}>;
export type Role = z.infer<typeof roleSchema>;
//# sourceMappingURL=schema.d.ts.map