import { z } from "zod";
export declare const tenantSchema: z.ZodObject<{
    id: z.ZodOptional<z.ZodString>;
    name: z.ZodOptional<z.ZodString>;
    default_user_name: z.ZodOptional<z.ZodString>;
    created_at: z.ZodOptional<z.ZodString>;
    updated_at: z.ZodOptional<z.ZodString>;
    created_by: z.ZodOptional<z.ZodString>;
    modified_by: z.ZodOptional<z.ZodString>;
    default_user_id: z.ZodOptional<z.ZodString>;
    email: z.ZodOptional<z.ZodString>;
    phone: z.ZodOptional<z.ZodString>;
    status: z.ZodOptional<z.ZodString>;
    country_code: z.ZodOptional<z.ZodString>;
    subscription_details: z.ZodOptional<z.ZodObject<{
        plan_id: z.ZodOptional<z.ZodString>;
        plan_name: z.ZodOptional<z.ZodString>;
        plan_validity: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        plan_id?: string | undefined;
        plan_name?: string | undefined;
        plan_validity?: string | undefined;
    }, {
        plan_id?: string | undefined;
        plan_name?: string | undefined;
        plan_validity?: string | undefined;
    }>>;
}, "strip", z.ZodTypeAny, {
    name?: string | undefined;
    id?: string | undefined;
    phone?: string | undefined;
    status?: string | undefined;
    email?: string | undefined;
    created_by?: string | undefined;
    modified_by?: string | undefined;
    created_at?: string | undefined;
    updated_at?: string | undefined;
    default_user_name?: string | undefined;
    default_user_id?: string | undefined;
    country_code?: string | undefined;
    subscription_details?: {
        plan_id?: string | undefined;
        plan_name?: string | undefined;
        plan_validity?: string | undefined;
    } | undefined;
}, {
    name?: string | undefined;
    id?: string | undefined;
    phone?: string | undefined;
    status?: string | undefined;
    email?: string | undefined;
    created_by?: string | undefined;
    modified_by?: string | undefined;
    created_at?: string | undefined;
    updated_at?: string | undefined;
    default_user_name?: string | undefined;
    default_user_id?: string | undefined;
    country_code?: string | undefined;
    subscription_details?: {
        plan_id?: string | undefined;
        plan_name?: string | undefined;
        plan_validity?: string | undefined;
    } | undefined;
}>;
export type Tenant = z.infer<typeof tenantSchema>;
//# sourceMappingURL=schema.d.ts.map