import { z as w } from "zod";
import * as l from "react";
import t, { useState as N, useRef as il, useEffect as $, createContext as cl, useContext as ml } from "react";
import * as Ia from "@radix-ui/react-checkbox";
import { Check as Br, ChevronRight as dl, Circle as ul, X as fl, Loader2 as gl, ChevronDown as us, ChevronUp as pl, Search as hl } from "lucide-react";
import { clsx as vl } from "clsx";
import { twMerge as El } from "tailwind-merge";
import { QuestionMarkCircledIcon as fs, CircleIcon as gs, ArrowDownIcon as Ee, ArrowUpIcon as ye, CaretSortIcon as Gr, DotsHorizontalIcon as Ur, DoubleArrowLeftIcon as Yr, ChevronLeftIcon as Zr, ChevronRightIcon as Kr, DoubleArrowRightIcon as Xr, MixerHorizontalIcon as Jr, PlusCircledIcon as Vr, CheckIcon as Qr, Cross2Icon as ea, PlusIcon as ta } from "@radix-ui/react-icons";
import { Slot as ps } from "@radix-ui/react-slot";
import { cva as ra } from "class-variance-authority";
import * as z from "@radix-ui/react-dropdown-menu";
import { DropdownMenuTrigger as aa } from "@radix-ui/react-dropdown-menu";
import * as Q from "@radix-ui/react-dialog";
import { appendErrors as yl, FormProvider as wl, Controller as _l, useFormContext as hs, useForm as na } from "react-hook-form";
import { validateFieldsNatively as xl, toNestErrors as bl } from "@hookform/resolvers";
import * as vs from "@radix-ui/react-label";
import * as Pe from "@radix-ui/react-tooltip";
import Nl from "prop-types";
import { FontAwesomeIcon as Pa } from "@fortawesome/react-fontawesome";
import { faEye as Cl, faEyeSlash as Sl } from "@fortawesome/free-solid-svg-icons";
import Es from "react-select";
import { useReactTable as sa, getCoreRowModel as la, getFilteredRowModel as oa, getPaginationRowModel as ia, getSortedRowModel as ca, getFacetedRowModel as ma, getFacetedUniqueValues as da, flexRender as we } from "@tanstack/react-table";
import * as O from "@radix-ui/react-select";
import { Command as Z } from "cmdk";
import * as Ie from "@radix-ui/react-popover";
import * as ys from "@radix-ui/react-separator";
import { css as oe, createStitches as Rl, createTheme as Il } from "@stitches/core";
import { generateClassNames as pe, VIEWS as H, template as Pl, merge as vt, en as Fl, PREPENDED_CLASS_NAMES as Tl } from "pasubot-auth-ui-shared";
const Dl = oe({
  fontFamily: "$bodyFontFamily",
  fontSize: "$baseBodySize",
  marginBottom: "$anchorBottomMargin",
  color: "$anchorTextColor",
  display: "block",
  textAlign: "center",
  textDecoration: "underline",
  "&:hover": {
    color: "$anchorTextHoverColor"
  }
}), ue = ({ children: e, appearance: r, ...a }) => {
  var s;
  const n = pe(
    "anchor",
    Dl(),
    r
  );
  return /* @__PURE__ */ t.createElement(
    "a",
    {
      ...a,
      style: (s = r == null ? void 0 : r.style) == null ? void 0 : s.anchor,
      className: n.join(" ")
    },
    e
  );
}, Ll = oe({
  fontFamily: "$buttonFontFamily",
  display: "flex",
  alignItems: "center",
  justifyContent: "center",
  gap: "8px",
  borderRadius: "$borderRadiusButton",
  fontSize: "$baseButtonSize",
  padding: "$buttonPadding",
  cursor: "pointer",
  borderWidth: "$buttonBorderWidth",
  borderStyle: "solid",
  width: "100%",
  transitionProperty: "background-color",
  transitionTimingFunction: "cubic-bezier(0.4, 0, 0.2, 1)",
  transitionDuration: "100ms",
  "&:disabled": {
    opacity: 0.7,
    cursor: "unset"
  },
  variants: {
    color: {
      default: {
        backgroundColor: "$defaultButtonBackground",
        color: "$defaultButtonText",
        borderColor: "$defaultButtonBorder",
        "&:hover:not(:disabled)": {
          backgroundColor: "$defaultButtonBackgroundHover"
        }
      },
      primary: {
        backgroundColor: "$brand",
        color: "$brandButtonText",
        borderColor: "$brandAccent",
        "&:hover:not(:disabled)": {
          backgroundColor: "$brandAccent"
        }
      }
    }
  }
}), xe = ({
  children: e,
  color: r = "default",
  appearance: a,
  icon: n,
  loading: s = !1,
  ...o
}) => {
  var m;
  const i = pe(
    "button",
    Ll({ color: r }),
    a
  );
  return /* @__PURE__ */ t.createElement(
    "button",
    {
      ...o,
      style: (m = a == null ? void 0 : a.style) == null ? void 0 : m.button,
      className: i.join(" "),
      disabled: s
    },
    n,
    e
  );
}, Al = oe({
  display: "flex",
  gap: "4px",
  variants: {
    direction: {
      horizontal: {
        display: "grid",
        gridTemplateColumns: "repeat(auto-fit, minmax(48px, 1fr))"
      },
      vertical: {
        flexDirection: "column",
        margin: "8px 0"
      }
    },
    gap: {
      small: {
        gap: "4px"
      },
      medium: {
        gap: "8px"
      },
      large: {
        gap: "16px"
      }
    }
  }
}), ee = ({
  children: e,
  appearance: r,
  ...a
}) => {
  var s;
  const n = pe(
    "container",
    Al({
      direction: a.direction,
      gap: a.gap
    }),
    r
  );
  return /* @__PURE__ */ t.createElement(
    "div",
    {
      ...a,
      style: (s = r == null ? void 0 : r.style) == null ? void 0 : s.container,
      className: n.join(" ")
    },
    e
  );
}, kl = oe({
  background: "$dividerBackground",
  display: "block",
  margin: "16px 0",
  height: "1px",
  width: "100%"
}), ql = ({
  children: e,
  appearance: r,
  ...a
}) => {
  var s;
  const n = pe(
    "divider",
    kl(),
    r
  );
  return /* @__PURE__ */ t.createElement(
    "div",
    {
      ...a,
      style: (s = r == null ? void 0 : r.style) == null ? void 0 : s.divider,
      className: n.join(" ")
    }
  );
}, Ml = oe({
  fontFamily: "$inputFontFamily",
  background: "$inputBackground",
  borderRadius: "$inputBorderRadius",
  padding: "$inputPadding",
  cursor: "text",
  borderWidth: "$inputBorderWidth",
  borderColor: "$inputBorder",
  borderStyle: "solid",
  fontSize: "$baseInputSize",
  width: "100%",
  color: "$inputText",
  boxSizing: "border-box",
  "&:hover": {
    borderColor: "$inputBorderHover",
    outline: "none"
  },
  "&:focus": {
    borderColor: "$inputBorderFocus",
    outline: "none"
  },
  "&::placeholder": {
    color: "$inputPlaceholder",
    letterSpacing: "initial"
  },
  transitionProperty: "background-color, border",
  transitionTimingFunction: "cubic-bezier(0.4, 0, 0.2, 1)",
  transitionDuration: "100ms",
  variants: {
    type: {
      default: {
        letterSpacing: "0px"
      },
      password: {
        letterSpacing: "0px"
      }
    }
  }
}), ce = ({ children: e, appearance: r, ...a }) => {
  var s;
  const n = pe(
    "input",
    Ml({
      type: a.type === "password" ? "password" : "default"
    }),
    r
  );
  return /* @__PURE__ */ t.createElement(
    "input",
    {
      ...a,
      style: (s = r == null ? void 0 : r.style) == null ? void 0 : s.input,
      className: n.join(" ")
    },
    e
  );
}, Ol = oe({
  fontFamily: "$labelFontFamily",
  fontSize: "$baseLabelSize",
  marginBottom: "$labelBottomMargin",
  color: "$inputLabelText",
  display: "block"
}), me = ({ children: e, appearance: r, ...a }) => {
  var s;
  const n = pe(
    "label",
    Ol(),
    r
  );
  return /* @__PURE__ */ t.createElement(
    "label",
    {
      ...a,
      style: (s = r == null ? void 0 : r.style) == null ? void 0 : s.label,
      className: n.join(" ")
    },
    e
  );
}, zl = oe({
  fontFamily: "$bodyFontFamily",
  fontSize: "$baseInputSize",
  marginBottom: "$labelBottomMargin",
  display: "block",
  textAlign: "center",
  borderRadius: "0.375rem",
  padding: "1.5rem 1rem",
  lineHeight: "1rem",
  color: "$messageText",
  backgroundColor: "$messageBackground",
  border: "1px solid $messageBorder",
  variants: {
    color: {
      danger: {
        color: "$messageTextDanger",
        backgroundColor: "$messageBackgroundDanger",
        border: "1px solid $messageBorderDanger"
      }
    }
  }
}), te = ({
  children: e,
  appearance: r,
  ...a
}) => {
  var s;
  const n = pe(
    "message",
    zl({ color: a.color }),
    r
  );
  return /* @__PURE__ */ t.createElement(
    "span",
    {
      ...a,
      style: (s = r == null ? void 0 : r.style) == null ? void 0 : s.message,
      className: n.join(" ")
    },
    e
  );
};
function ws({
  setAuthView: e = () => {
  },
  supabaseClient: r,
  redirectTo: a,
  i18n: n,
  appearance: s,
  showLinks: o = !1
}) {
  var v;
  const [i, m] = N(""), [g, c] = N(""), [d, f] = N(""), [p, u] = N(!1), h = async (E) => {
    var _, x;
    if (E.preventDefault(), c(""), f(""), u(!0), i.length === 0) {
      c((_ = n == null ? void 0 : n.magic_link) == null ? void 0 : _.empty_email_address), u(!1);
      return;
    }
    const { error: P } = await r.auth.signInWithOtp({
      email: i,
      options: { emailRedirectTo: a }
    });
    P ? c(P.message) : f((x = n == null ? void 0 : n.magic_link) == null ? void 0 : x.confirmation_text), u(!1);
  }, y = n == null ? void 0 : n.magic_link;
  return /* @__PURE__ */ t.createElement("form", { id: "auth-magic-link", onSubmit: h }, /* @__PURE__ */ t.createElement(ee, { gap: "large", direction: "vertical", appearance: s }, /* @__PURE__ */ t.createElement("div", null, /* @__PURE__ */ t.createElement(me, { htmlFor: "email", appearance: s }, y == null ? void 0 : y.email_input_label), /* @__PURE__ */ t.createElement(
    ce,
    {
      id: "email",
      name: "email",
      type: "email",
      autoFocus: !0,
      placeholder: y == null ? void 0 : y.email_input_placeholder,
      onChange: (E) => {
        c && c(""), m(E.target.value);
      },
      appearance: s
    }
  )), /* @__PURE__ */ t.createElement(
    xe,
    {
      color: "primary",
      type: "submit",
      loading: p,
      appearance: s
    },
    p ? y == null ? void 0 : y.loading_button_label : y == null ? void 0 : y.button_label
  ), o && /* @__PURE__ */ t.createElement(
    ue,
    {
      href: "#auth-sign-in",
      onClick: (E) => {
        E.preventDefault(), e(H.SIGN_IN);
      },
      appearance: s
    },
    (v = n == null ? void 0 : n.sign_in) == null ? void 0 : v.link_text
  ), d && /* @__PURE__ */ t.createElement(te, { appearance: s }, d), g && /* @__PURE__ */ t.createElement(te, { color: "danger", appearance: s }, g)));
}
const W = oe({
  width: "21px",
  height: "21px"
}), jl = ({ provider: e }) => e == "google" ? Wl() : e == "facebook" ? Hl() : e == "twitter" ? $l() : e == "apple" ? Bl() : e == "github" ? Gl() : e == "gitlab" ? Ul() : e == "bitbucket" ? Yl() : e == "discord" ? Zl() : e == "azure" ? Kl() : e == "keycloak" ? Xl() : e == "linkedin" || e == "linkedin_oidc" ? Fa() : e == "notion" ? Jl() : e == "slack" ? Vl() : e == "spotify" ? Ql() : e == "twitch" ? eo() : e == "workos" ? to() : e == "kakao" ? ro() : null, Wl = () => /* @__PURE__ */ t.createElement(
  "svg",
  {
    className: W(),
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 48 48",
    width: "21px",
    height: "21px"
  },
  /* @__PURE__ */ t.createElement(
    "path",
    {
      fill: "#FFC107",
      d: "M43.611,20.083H42V20H24v8h11.303c-1.649,4.657-6.08,8-11.303,8c-6.627,0-12-5.373-12-12c0-6.627,5.373-12,12-12c3.059,0,5.842,1.154,7.961,3.039l5.657-5.657C34.046,6.053,29.268,4,24,4C12.955,4,4,12.955,4,24c0,11.045,8.955,20,20,20c11.045,0,20-8.955,20-20C44,22.659,43.862,21.35,43.611,20.083z"
    }
  ),
  /* @__PURE__ */ t.createElement(
    "path",
    {
      fill: "#FF3D00",
      d: "M6.306,14.691l6.571,4.819C14.655,15.108,18.961,12,24,12c3.059,0,5.842,1.154,7.961,3.039l5.657-5.657C34.046,6.053,29.268,4,24,4C16.318,4,9.656,8.337,6.306,14.691z"
    }
  ),
  /* @__PURE__ */ t.createElement(
    "path",
    {
      fill: "#4CAF50",
      d: "M24,44c5.166,0,9.86-1.977,13.409-5.192l-6.19-5.238C29.211,35.091,26.715,36,24,36c-5.202,0-9.619-3.317-11.283-7.946l-6.522,5.025C9.505,39.556,16.227,44,24,44z"
    }
  ),
  /* @__PURE__ */ t.createElement(
    "path",
    {
      fill: "#1976D2",
      d: "M43.611,20.083H42V20H24v8h11.303c-0.792,2.237-2.231,4.166-4.087,5.571c0.001-0.001,0.002-0.001,0.003-0.002l6.19,5.238C36.971,39.205,44,34,44,24C44,22.659,43.862,21.35,43.611,20.083z"
    }
  )
), Hl = () => /* @__PURE__ */ t.createElement(
  "svg",
  {
    className: W(),
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 48 48",
    width: "21px",
    height: "21px"
  },
  /* @__PURE__ */ t.createElement("path", { fill: "#039be5", d: "M24 5A19 19 0 1 0 24 43A19 19 0 1 0 24 5Z" }),
  /* @__PURE__ */ t.createElement(
    "path",
    {
      fill: "#fff",
      d: "M26.572,29.036h4.917l0.772-4.995h-5.69v-2.73c0-2.075,0.678-3.915,2.619-3.915h3.119v-4.359c-0.548-0.074-1.707-0.236-3.897-0.236c-4.573,0-7.254,2.415-7.254,7.917v3.323h-4.701v4.995h4.701v13.729C22.089,42.905,23.032,43,24,43c0.875,0,1.729-0.08,2.572-0.194V29.036z"
    }
  )
), $l = () => /* @__PURE__ */ t.createElement(
  "svg",
  {
    className: W(),
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 48 48",
    width: "21px",
    height: "21px"
  },
  /* @__PURE__ */ t.createElement(
    "path",
    {
      fill: "black",
      d: "M28.4714 20.3247L45.9682 0H41.822L26.6295 17.6477L14.4953 0H0.5L18.8493 26.6864L0.5 48H4.64642L20.6901 29.3635L33.5047 48H47.5L28.4704 20.3247H28.4714ZM22.7923 26.9215L20.9331 24.2642L6.14043 3.11923H12.5091L24.447 20.1839L26.3061 22.8412L41.824 45.0226H35.4553L22.7923 26.9225V26.9215Z"
    }
  )
), Bl = () => /* @__PURE__ */ t.createElement(
  "svg",
  {
    className: W(),
    fill: "gray",
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    width: "21px",
    height: "21px"
  },
  " ",
  /* @__PURE__ */ t.createElement("path", { d: "M 15.904297 1.078125 C 15.843359 1.06875 15.774219 1.0746094 15.699219 1.0996094 C 14.699219 1.2996094 13.600391 1.8996094 12.900391 2.5996094 C 12.300391 3.1996094 11.800781 4.1996094 11.800781 5.0996094 C 11.800781 5.2996094 11.999219 5.5 12.199219 5.5 C 13.299219 5.4 14.399609 4.7996094 15.099609 4.0996094 C 15.699609 3.2996094 16.199219 2.4 16.199219 1.5 C 16.199219 1.275 16.087109 1.10625 15.904297 1.078125 z M 16.199219 5.4003906 C 14.399219 5.4003906 13.600391 6.5 12.400391 6.5 C 11.100391 6.5 9.9003906 5.5 8.4003906 5.5 C 6.3003906 5.5 3.0996094 7.4996094 3.0996094 12.099609 C 2.9996094 16.299609 6.8 21 9 21 C 10.3 21 10.600391 20.199219 12.400391 20.199219 C 14.200391 20.199219 14.600391 21 15.900391 21 C 17.400391 21 18.500391 19.399609 19.400391 18.099609 C 19.800391 17.399609 20.100391 17.000391 20.400391 16.400391 C 20.600391 16.000391 20.4 15.600391 20 15.400391 C 17.4 14.100391 16.900781 9.9003906 19.800781 8.4003906 C 20.300781 8.1003906 20.4 7.4992188 20 7.1992188 C 18.9 6.1992187 17.299219 5.4003906 16.199219 5.4003906 z" })
), Gl = () => /* @__PURE__ */ t.createElement(
  "svg",
  {
    className: W(),
    fill: "gray",
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 30 30",
    width: "21px",
    height: "21px"
  },
  " ",
  /* @__PURE__ */ t.createElement("path", { d: "M15,3C8.373,3,3,8.373,3,15c0,5.623,3.872,10.328,9.092,11.63C12.036,26.468,12,26.28,12,26.047v-2.051 c-0.487,0-1.303,0-1.508,0c-0.821,0-1.551-0.353-1.905-1.009c-0.393-0.729-0.461-1.844-1.435-2.526 c-0.289-0.227-0.069-0.486,0.264-0.451c0.615,0.174,1.125,0.596,1.605,1.222c0.478,0.627,0.703,0.769,1.596,0.769 c0.433,0,1.081-0.025,1.691-0.121c0.328-0.833,0.895-1.6,1.588-1.962c-3.996-0.411-5.903-2.399-5.903-5.098 c0-1.162,0.495-2.286,1.336-3.233C9.053,10.647,8.706,8.73,9.435,8c1.798,0,2.885,1.166,3.146,1.481C13.477,9.174,14.461,9,15.495,9 c1.036,0,2.024,0.174,2.922,0.483C18.675,9.17,19.763,8,21.565,8c0.732,0.731,0.381,2.656,0.102,3.594 c0.836,0.945,1.328,2.066,1.328,3.226c0,2.697-1.904,4.684-5.894,5.097C18.199,20.49,19,22.1,19,23.313v2.734 c0,0.104-0.023,0.179-0.035,0.268C23.641,24.676,27,20.236,27,15C27,8.373,21.627,3,15,3z" })
), Ul = () => /* @__PURE__ */ t.createElement(
  "svg",
  {
    className: W(),
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 48 48",
    width: "21px",
    height: "21px"
  },
  /* @__PURE__ */ t.createElement("path", { fill: "#e53935", d: "M24 43L16 20 32 20z" }),
  /* @__PURE__ */ t.createElement("path", { fill: "#ff7043", d: "M24 43L42 20 32 20z" }),
  /* @__PURE__ */ t.createElement("path", { fill: "#e53935", d: "M37 5L42 20 32 20z" }),
  /* @__PURE__ */ t.createElement("path", { fill: "#ffa726", d: "M24 43L42 20 45 28z" }),
  /* @__PURE__ */ t.createElement("path", { fill: "#ff7043", d: "M24 43L6 20 16 20z" }),
  /* @__PURE__ */ t.createElement("path", { fill: "#e53935", d: "M11 5L6 20 16 20z" }),
  /* @__PURE__ */ t.createElement("path", { fill: "#ffa726", d: "M24 43L6 20 3 28z" })
), Yl = () => /* @__PURE__ */ t.createElement(
  "svg",
  {
    className: W(),
    xmlns: "http://www.w3.org/2000/svg",
    width: "512",
    height: "512",
    viewBox: "0 0 62.42 62.42"
  },
  /* @__PURE__ */ t.createElement("defs", null, /* @__PURE__ */ t.createElement(
    "linearGradient",
    {
      id: "New_Gradient_Swatch_1",
      x1: "64.01",
      y1: "30.27",
      x2: "32.99",
      y2: "54.48",
      gradientUnits: "userSpaceOnUse"
    },
    /* @__PURE__ */ t.createElement("stop", { offset: "0.18", stopColor: "#0052cc" }),
    /* @__PURE__ */ t.createElement("stop", { offset: "1", stopColor: "#2684ff" })
  )),
  /* @__PURE__ */ t.createElement("title", null, "Bitbucket-blue"),
  /* @__PURE__ */ t.createElement("g", { id: "Layer_2", "data-name": "Layer 2" }, /* @__PURE__ */ t.createElement("g", { id: "Blue", transform: "translate(0 -3.13)" }, /* @__PURE__ */ t.createElement(
    "path",
    {
      d: "M2,6.26A2,2,0,0,0,0,8.58L8.49,60.12a2.72,2.72,0,0,0,2.66,2.27H51.88a2,2,0,0,0,2-1.68L62.37,8.59a2,2,0,0,0-2-2.32ZM37.75,43.51h-13L21.23,25.12H40.9Z",
      fill: "#2684ff"
    }
  ), /* @__PURE__ */ t.createElement(
    "path",
    {
      d: "M59.67,25.12H40.9L37.75,43.51h-13L9.4,61.73a2.71,2.71,0,0,0,1.75.66H51.89a2,2,0,0,0,2-1.68Z",
      fill: "url(#New_Gradient_Swatch_1)"
    }
  )))
), Zl = () => /* @__PURE__ */ t.createElement(
  "svg",
  {
    className: W(),
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 48 48",
    width: "21px",
    height: "21px"
  },
  /* @__PURE__ */ t.createElement(
    "path",
    {
      fill: "#536dfe",
      d: "M39.248,10.177c-2.804-1.287-5.812-2.235-8.956-2.778c-0.057-0.01-0.114,0.016-0.144,0.068	c-0.387,0.688-0.815,1.585-1.115,2.291c-3.382-0.506-6.747-0.506-10.059,0c-0.3-0.721-0.744-1.603-1.133-2.291	c-0.03-0.051-0.087-0.077-0.144-0.068c-3.143,0.541-6.15,1.489-8.956,2.778c-0.024,0.01-0.045,0.028-0.059,0.051	c-5.704,8.522-7.267,16.835-6.5,25.044c0.003,0.04,0.026,0.079,0.057,0.103c3.763,2.764,7.409,4.442,10.987,5.554	c0.057,0.017,0.118-0.003,0.154-0.051c0.846-1.156,1.601-2.374,2.248-3.656c0.038-0.075,0.002-0.164-0.076-0.194	c-1.197-0.454-2.336-1.007-3.432-1.636c-0.087-0.051-0.094-0.175-0.014-0.234c0.231-0.173,0.461-0.353,0.682-0.534	c0.04-0.033,0.095-0.04,0.142-0.019c7.201,3.288,14.997,3.288,22.113,0c0.047-0.023,0.102-0.016,0.144,0.017	c0.22,0.182,0.451,0.363,0.683,0.536c0.08,0.059,0.075,0.183-0.012,0.234c-1.096,0.641-2.236,1.182-3.434,1.634	c-0.078,0.03-0.113,0.12-0.075,0.196c0.661,1.28,1.415,2.498,2.246,3.654c0.035,0.049,0.097,0.07,0.154,0.052	c3.595-1.112,7.241-2.79,11.004-5.554c0.033-0.024,0.054-0.061,0.057-0.101c0.917-9.491-1.537-17.735-6.505-25.044	C39.293,10.205,39.272,10.187,39.248,10.177z M16.703,30.273c-2.168,0-3.954-1.99-3.954-4.435s1.752-4.435,3.954-4.435	c2.22,0,3.989,2.008,3.954,4.435C20.658,28.282,18.906,30.273,16.703,30.273z M31.324,30.273c-2.168,0-3.954-1.99-3.954-4.435	s1.752-4.435,3.954-4.435c2.22,0,3.989,2.008,3.954,4.435C35.278,28.282,33.544,30.273,31.324,30.273z"
    }
  )
), Kl = () => /* @__PURE__ */ t.createElement(
  "svg",
  {
    className: W(),
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 48 48",
    width: "21px",
    height: "21px"
  },
  /* @__PURE__ */ t.createElement(
    "linearGradient",
    {
      id: "k8yl7~hDat~FaoWq8WjN6a",
      x1: "-1254.397",
      x2: "-1261.911",
      y1: "877.268",
      y2: "899.466",
      gradientTransform: "translate(1981.75 -1362.063) scale(1.5625)",
      gradientUnits: "userSpaceOnUse"
    },
    /* @__PURE__ */ t.createElement("stop", { offset: "0", stopColor: "#114a8b" }),
    /* @__PURE__ */ t.createElement("stop", { offset: "1", stopColor: "#0669bc" })
  ),
  /* @__PURE__ */ t.createElement(
    "path",
    {
      fill: "url(#k8yl7~hDat~FaoWq8WjN6a)",
      d: "M17.634,6h11.305L17.203,40.773c-0.247,0.733-0.934,1.226-1.708,1.226H6.697 c-0.994,0-1.8-0.806-1.8-1.8c0-0.196,0.032-0.39,0.094-0.576L15.926,7.227C16.173,6.494,16.86,6,17.634,6L17.634,6z"
    }
  ),
  /* @__PURE__ */ t.createElement(
    "path",
    {
      fill: "#0078d4",
      d: "M34.062,29.324H16.135c-0.458-0.001-0.83,0.371-0.831,0.829c0,0.231,0.095,0.451,0.264,0.608 l11.52,10.752C27.423,41.826,27.865,42,28.324,42h10.151L34.062,29.324z"
    }
  ),
  /* @__PURE__ */ t.createElement(
    "linearGradient",
    {
      id: "k8yl7~hDat~FaoWq8WjN6b",
      x1: "-1252.05",
      x2: "-1253.788",
      y1: "887.612",
      y2: "888.2",
      gradientTransform: "translate(1981.75 -1362.063) scale(1.5625)",
      gradientUnits: "userSpaceOnUse"
    },
    /* @__PURE__ */ t.createElement("stop", { offset: "0", stopOpacity: ".3" }),
    /* @__PURE__ */ t.createElement("stop", { offset: ".071", stopOpacity: ".2" }),
    /* @__PURE__ */ t.createElement("stop", { offset: ".321", stopOpacity: ".1" }),
    /* @__PURE__ */ t.createElement("stop", { offset: ".623", stopOpacity: ".05" }),
    /* @__PURE__ */ t.createElement("stop", { offset: "1", stopOpacity: "0" })
  ),
  /* @__PURE__ */ t.createElement(
    "path",
    {
      fill: "url(#k8yl7~hDat~FaoWq8WjN6b)",
      d: "M17.634,6c-0.783-0.003-1.476,0.504-1.712,1.25L5.005,39.595 c-0.335,0.934,0.151,1.964,1.085,2.299C6.286,41.964,6.493,42,6.702,42h9.026c0.684-0.122,1.25-0.603,1.481-1.259l2.177-6.416 l7.776,7.253c0.326,0.27,0.735,0.419,1.158,0.422h10.114l-4.436-12.676l-12.931,0.003L28.98,6H17.634z"
    }
  ),
  /* @__PURE__ */ t.createElement(
    "linearGradient",
    {
      id: "k8yl7~hDat~FaoWq8WjN6c",
      x1: "-1252.952",
      x2: "-1244.704",
      y1: "876.6",
      y2: "898.575",
      gradientTransform: "translate(1981.75 -1362.063) scale(1.5625)",
      gradientUnits: "userSpaceOnUse"
    },
    /* @__PURE__ */ t.createElement("stop", { offset: "0", stopColor: "#3ccbf4" }),
    /* @__PURE__ */ t.createElement("stop", { offset: "1", stopColor: "#2892df" })
  ),
  /* @__PURE__ */ t.createElement(
    "path",
    {
      fill: "url(#k8yl7~hDat~FaoWq8WjN6c)",
      d: "M32.074,7.225C31.827,6.493,31.141,6,30.368,6h-12.6c0.772,0,1.459,0.493,1.705,1.224 l10.935,32.399c0.318,0.942-0.188,1.963-1.13,2.281C29.093,41.968,28.899,42,28.703,42h12.6c0.994,0,1.8-0.806,1.8-1.801 c0-0.196-0.032-0.39-0.095-0.575L32.074,7.225z"
    }
  )
), Xl = () => /* @__PURE__ */ t.createElement(
  "svg",
  {
    className: W(),
    width: "512",
    height: "512",
    viewBox: "0 0 512 512",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  },
  /* @__PURE__ */ t.createElement(
    "path",
    {
      d: "M472.136 163.959H408.584C407.401 163.959 406.218 163.327 405.666 162.3L354.651 73.6591C354.02 72.632 352.916 72 351.654 72H143.492C142.309 72 141.126 72.632 140.574 73.6591L87.5084 165.618L36.414 254.259C35.862 255.286 35.862 256.55 36.414 257.656L87.5084 346.297L140.495 438.335C141.047 439.362 142.23 440.073 143.413 439.994H351.654C352.837 439.994 354.02 439.362 354.651 438.335L405.745 349.694C406.297 348.667 407.48 347.956 408.663 348.035H472.215C474.344 348.035 476 346.297 476 344.243V167.83C475.921 165.697 474.186 163.959 472.136 163.959ZM228.728 349.694L212.721 377.345C212.485 377.74 212.091 378.135 211.696 378.372C211.223 378.609 210.75 378.767 210.198 378.767H178.422C177.318 378.767 176.293 378.214 175.82 377.187L128.431 294.787L123.779 286.65L106.748 257.498C106.511 257.103 106.353 256.629 106.432 256.076C106.432 255.602 106.59 255.049 106.827 254.654L123.937 224.949L175.899 134.886C176.451 133.938 177.476 133.306 178.501 133.306H210.198C210.75 133.306 211.302 133.464 211.854 133.701C212.248 133.938 212.643 134.254 212.879 134.728L228.886 162.537C229.359 163.485 229.28 164.67 228.728 165.539L177.397 254.654C177.16 255.049 177.081 255.523 177.081 255.918C177.081 256.392 177.239 256.787 177.397 257.182L228.728 346.218C229.438 347.403 229.359 348.667 228.728 349.694V349.694ZM388.083 257.498L371.051 286.65L366.399 294.787L319.011 377.187C318.459 378.135 317.512 378.767 316.409 378.767H284.632C284.08 378.767 283.607 378.609 283.134 378.372C282.74 378.135 282.346 377.819 282.109 377.345L266.103 349.694C265.393 348.667 265.393 347.403 266.024 346.376L317.355 257.34C317.591 256.945 317.67 256.471 317.67 256.076C317.67 255.602 317.513 255.207 317.355 254.812L266.024 165.697C265.472 164.749 265.393 163.643 265.866 162.695L281.873 134.886C282.109 134.491 282.503 134.096 282.898 133.859C283.371 133.543 283.923 133.464 284.553 133.464H316.409C317.512 133.464 318.538 134.017 319.011 135.044L370.972 225.107L388.083 254.812C388.319 255.286 388.477 255.76 388.477 256.234C388.477 256.55 388.319 257.024 388.083 257.498V257.498Z",
      fill: "#008AAA"
    }
  )
), Fa = () => /* @__PURE__ */ t.createElement(
  "svg",
  {
    className: W(),
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 48 48",
    width: "21px",
    height: "21px"
  },
  /* @__PURE__ */ t.createElement(
    "path",
    {
      fill: "#0288D1",
      d: "M42,37c0,2.762-2.238,5-5,5H11c-2.761,0-5-2.238-5-5V11c0-2.762,2.239-5,5-5h26c2.762,0,5,2.238,5,5V37z"
    }
  ),
  /* @__PURE__ */ t.createElement(
    "path",
    {
      fill: "#FFF",
      d: "M12 19H17V36H12zM14.485 17h-.028C12.965 17 12 15.888 12 14.499 12 13.08 12.995 12 14.514 12c1.521 0 2.458 1.08 2.486 2.499C17 15.887 16.035 17 14.485 17zM36 36h-5v-9.099c0-2.198-1.225-3.698-3.192-3.698-1.501 0-2.313 1.012-2.707 1.99C24.957 25.543 25 26.511 25 27v9h-5V19h5v2.616C25.721 20.5 26.85 19 29.738 19c3.578 0 6.261 2.25 6.261 7.274L36 36 36 36z"
    }
  )
), Jl = () => /* @__PURE__ */ t.createElement(
  "svg",
  {
    className: W(),
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 48 48",
    width: "21px",
    height: "21px",
    fillRule: "evenodd",
    clipRule: "evenodd"
  },
  /* @__PURE__ */ t.createElement(
    "path",
    {
      fill: "#fff",
      fillRule: "evenodd",
      d: "M11.553,11.099c1.232,1.001,1.694,0.925,4.008,0.77 l21.812-1.31c0.463,0,0.078-0.461-0.076-0.538l-3.622-2.619c-0.694-0.539-1.619-1.156-3.391-1.002l-21.12,1.54 c-0.77,0.076-0.924,0.461-0.617,0.77L11.553,11.099z",
      clipRule: "evenodd"
    }
  ),
  /* @__PURE__ */ t.createElement(
    "path",
    {
      fill: "#fff",
      fillRule: "evenodd",
      d: "M12.862,16.182v22.95c0,1.233,0.616,1.695,2.004,1.619 l23.971-1.387c1.388-0.076,1.543-0.925,1.543-1.927V14.641c0-1-0.385-1.54-1.234-1.463l-25.05,1.463 C13.171,14.718,12.862,15.181,12.862,16.182L12.862,16.182z",
      clipRule: "evenodd"
    }
  ),
  /* @__PURE__ */ t.createElement(
    "path",
    {
      fill: "#424242",
      fillRule: "evenodd",
      d: "M11.553,11.099c1.232,1.001,1.694,0.925,4.008,0.77 l21.812-1.31c0.463,0,0.078-0.461-0.076-0.538l-3.622-2.619c-0.694-0.539-1.619-1.156-3.391-1.002l-21.12,1.54 c-0.77,0.076-0.924,0.461-0.617,0.77L11.553,11.099z M12.862,16.182v22.95c0,1.233,0.616,1.695,2.004,1.619l23.971-1.387 c1.388-0.076,1.543-0.925,1.543-1.927V14.641c0-1-0.385-1.54-1.234-1.463l-25.05,1.463C13.171,14.718,12.862,15.181,12.862,16.182 L12.862,16.182z M36.526,17.413c0.154,0.694,0,1.387-0.695,1.465l-1.155,0.23v16.943c-1.003,0.539-1.928,0.847-2.698,0.847 c-1.234,0-1.543-0.385-2.467-1.54l-7.555-11.86v11.475l2.391,0.539c0,0,0,1.386-1.929,1.386l-5.317,0.308 c-0.154-0.308,0-1.078,0.539-1.232l1.388-0.385V20.418l-1.927-0.154c-0.155-0.694,0.23-1.694,1.31-1.772l5.704-0.385l7.862,12.015 V19.493l-2.005-0.23c-0.154-0.848,0.462-1.464,1.233-1.54L36.526,17.413z M7.389,5.862l21.968-1.618 c2.698-0.231,3.392-0.076,5.087,1.155l7.013,4.929C42.614,11.176,43,11.407,43,12.33v27.032c0,1.694-0.617,2.696-2.775,2.849 l-25.512,1.541c-1.62,0.077-2.391-0.154-3.239-1.232l-5.164-6.7C5.385,34.587,5,33.664,5,32.585V8.556 C5,7.171,5.617,6.015,7.389,5.862z",
      clipRule: "evenodd"
    }
  )
), Vl = () => /* @__PURE__ */ t.createElement(
  "svg",
  {
    className: W(),
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 48 48",
    width: "21px",
    height: "21px"
  },
  /* @__PURE__ */ t.createElement(
    "path",
    {
      fill: "#33d375",
      d: "M33,8c0-2.209-1.791-4-4-4s-4,1.791-4,4c0,1.254,0,9.741,0,11c0,2.209,1.791,4,4,4s4-1.791,4-4	C33,17.741,33,9.254,33,8z"
    }
  ),
  /* @__PURE__ */ t.createElement(
    "path",
    {
      fill: "#33d375",
      d: "M43,19c0,2.209-1.791,4-4,4c-1.195,0-4,0-4,0s0-2.986,0-4c0-2.209,1.791-4,4-4S43,16.791,43,19z"
    }
  ),
  /* @__PURE__ */ t.createElement(
    "path",
    {
      fill: "#40c4ff",
      d: "M8,14c-2.209,0-4,1.791-4,4s1.791,4,4,4c1.254,0,9.741,0,11,0c2.209,0,4-1.791,4-4s-1.791-4-4-4	C17.741,14,9.254,14,8,14z"
    }
  ),
  /* @__PURE__ */ t.createElement(
    "path",
    {
      fill: "#40c4ff",
      d: "M19,4c2.209,0,4,1.791,4,4c0,1.195,0,4,0,4s-2.986,0-4,0c-2.209,0-4-1.791-4-4S16.791,4,19,4z"
    }
  ),
  /* @__PURE__ */ t.createElement(
    "path",
    {
      fill: "#e91e63",
      d: "M14,39.006C14,41.212,15.791,43,18,43s4-1.788,4-3.994c0-1.252,0-9.727,0-10.984	c0-2.206-1.791-3.994-4-3.994s-4,1.788-4,3.994C14,29.279,14,37.754,14,39.006z"
    }
  ),
  /* @__PURE__ */ t.createElement(
    "path",
    {
      fill: "#e91e63",
      d: "M4,28.022c0-2.206,1.791-3.994,4-3.994c1.195,0,4,0,4,0s0,2.981,0,3.994c0,2.206-1.791,3.994-4,3.994	S4,30.228,4,28.022z"
    }
  ),
  /* @__PURE__ */ t.createElement(
    "path",
    {
      fill: "#ffc107",
      d: "M39,33c2.209,0,4-1.791,4-4s-1.791-4-4-4c-1.254,0-9.741,0-11,0c-2.209,0-4,1.791-4,4s1.791,4,4,4	C29.258,33,37.746,33,39,33z"
    }
  ),
  /* @__PURE__ */ t.createElement(
    "path",
    {
      fill: "#ffc107",
      d: "M28,43c-2.209,0-4-1.791-4-4c0-1.195,0-4,0-4s2.986,0,4,0c2.209,0,4,1.791,4,4S30.209,43,28,43z"
    }
  )
), Ql = () => /* @__PURE__ */ t.createElement(
  "svg",
  {
    className: W(),
    width: "512",
    height: "512",
    viewBox: "0 0 512 512",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  },
  /* @__PURE__ */ t.createElement(
    "path",
    {
      d: "M255.498 31.0034C131.513 31.0034 31 131.515 31 255.502C31 379.492 131.513 480 255.498 480C379.497 480 480 379.495 480 255.502C480 131.522 379.497 31.0135 255.495 31.0135L255.498 31V31.0034ZM358.453 354.798C354.432 361.391 345.801 363.486 339.204 359.435C286.496 327.237 220.139 319.947 141.993 337.801C134.463 339.516 126.957 334.798 125.24 327.264C123.516 319.731 128.217 312.225 135.767 310.511C221.284 290.972 294.639 299.384 353.816 335.549C360.413 339.596 362.504 348.2 358.453 354.798ZM385.932 293.67C380.864 301.903 370.088 304.503 361.858 299.438C301.512 262.345 209.528 251.602 138.151 273.272C128.893 276.067 119.118 270.851 116.309 261.61C113.521 252.353 118.74 242.597 127.981 239.782C209.512 215.044 310.87 227.026 380.17 269.612C388.4 274.68 391 285.456 385.935 293.676V293.673L385.932 293.67ZM388.293 230.016C315.935 187.039 196.56 183.089 127.479 204.055C116.387 207.42 104.654 201.159 101.293 190.063C97.9326 178.964 104.189 167.241 115.289 163.87C194.59 139.796 326.418 144.446 409.723 193.902C419.722 199.826 422.995 212.71 417.068 222.675C411.168 232.653 398.247 235.943 388.303 230.016H388.293V230.016Z",
      fill: "#1ED760"
    }
  )
), eo = () => /* @__PURE__ */ t.createElement(
  "svg",
  {
    className: W(),
    width: "512",
    height: "512",
    viewBox: "0 0 512 512",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  },
  /* @__PURE__ */ t.createElement("path", { d: "M416 240L352 304H288L232 360V304H160V64H416V240Z", fill: "white" }),
  /* @__PURE__ */ t.createElement(
    "path",
    {
      d: "M144 32L64 112V400H160V480L240 400H304L448 256V32H144ZM416 240L352 304H288L232 360V304H160V64H416V240Z",
      fill: "#9146FF"
    }
  ),
  /* @__PURE__ */ t.createElement("path", { d: "M368 120H336V216H368V120Z", fill: "#9146FF" }),
  /* @__PURE__ */ t.createElement("path", { d: "M280 120H248V216H280V120Z", fill: "#9146FF" })
), to = () => /* @__PURE__ */ t.createElement(
  "svg",
  {
    className: W(),
    width: "512",
    height: "512",
    viewBox: "0 0 512 512",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  },
  /* @__PURE__ */ t.createElement(
    "path",
    {
      d: "M33 256.043C33 264.556 35.3159 273.069 39.4845 280.202L117.993 415.493C126.098 429.298 138.373 440.572 153.657 445.634C183.764 455.528 214.797 442.873 229.618 417.333L248.609 384.661L173.806 256.043L252.777 119.831L271.768 87.1591C277.557 77.2654 284.968 69.4424 294 63H285.894H172.185C150.878 63 131.193 74.2742 120.54 92.6812L39.7161 231.884C35.3159 239.016 33 247.53 33 256.043Z",
      fill: "#6363F1"
    }
  ),
  /* @__PURE__ */ t.createElement(
    "path",
    {
      d: "M480 256.058C480 247.539 477.684 239.021 473.516 231.883L393.849 94.6596C379.028 69.3331 347.995 56.4396 317.888 66.34C302.603 71.4053 290.329 82.6871 282.224 96.5015L264.391 127.354L339.194 256.058L260.223 392.131L241.232 424.825C235.443 434.495 228.032 442.553 219 449H227.106H340.815C362.122 449 381.807 437.718 392.46 419.299L473.284 280.003C477.684 272.866 480 264.577 480 256.058Z",
      fill: "#6363F1"
    }
  )
), ro = () => /* @__PURE__ */ t.createElement(
  "svg",
  {
    className: W(),
    xmlns: "http://www.w3.org/2000/svg",
    width: "2500",
    height: "2500",
    viewBox: "0 0 256 256"
  },
  /* @__PURE__ */ t.createElement(
    "path",
    {
      fill: "#FFE812",
      d: "M256 236c0 11.046-8.954 20-20 20H20c-11.046 0-20-8.954-20-20V20C0 8.954 8.954 0 20 0h216c11.046 0 20 8.954 20 20v216z"
    }
  ),
  /* @__PURE__ */ t.createElement("path", { d: "M128 36C70.562 36 24 72.713 24 118c0 29.279 19.466 54.97 48.748 69.477-1.593 5.494-10.237 35.344-10.581 37.689 0 0-.207 1.762.934 2.434s2.483.15 2.483.15c3.272-.457 37.943-24.811 43.944-29.04 5.995.849 12.168 1.29 18.472 1.29 57.438 0 104-36.712 104-82 0-45.287-46.562-82-104-82z" }),
  /* @__PURE__ */ t.createElement(
    "path",
    {
      fill: "#FFE812",
      d: "M70.5 146.625c-3.309 0-6-2.57-6-5.73V105.25h-9.362c-3.247 0-5.888-2.636-5.888-5.875s2.642-5.875 5.888-5.875h30.724c3.247 0 5.888 2.636 5.888 5.875s-2.642 5.875-5.888 5.875H76.5v35.645c0 3.16-2.691 5.73-6 5.73zM123.112 146.547c-2.502 0-4.416-1.016-4.993-2.65l-2.971-7.778-18.296-.001-2.973 7.783c-.575 1.631-2.488 2.646-4.99 2.646a9.155 9.155 0 0 1-3.814-.828c-1.654-.763-3.244-2.861-1.422-8.52l14.352-37.776c1.011-2.873 4.082-5.833 7.99-5.922 3.919.088 6.99 3.049 8.003 5.928l14.346 37.759c1.826 5.672.236 7.771-1.418 8.532a9.176 9.176 0 0 1-3.814.827c-.001 0 0 0 0 0zm-11.119-21.056L106 108.466l-5.993 17.025h11.986zM138 145.75c-3.171 0-5.75-2.468-5.75-5.5V99.5c0-3.309 2.748-6 6.125-6s6.125 2.691 6.125 6v35.25h12.75c3.171 0 5.75 2.468 5.75 5.5s-2.579 5.5-5.75 5.5H138zM171.334 146.547c-3.309 0-6-2.691-6-6V99.5c0-3.309 2.691-6 6-6s6 2.691 6 6v12.896l16.74-16.74c.861-.861 2.044-1.335 3.328-1.335 1.498 0 3.002.646 4.129 1.772 1.051 1.05 1.678 2.401 1.764 3.804.087 1.415-.384 2.712-1.324 3.653l-13.673 13.671 14.769 19.566a5.951 5.951 0 0 1 1.152 4.445 5.956 5.956 0 0 1-2.328 3.957 5.94 5.94 0 0 1-3.609 1.211 5.953 5.953 0 0 1-4.793-2.385l-14.071-18.644-2.082 2.082v13.091a6.01 6.01 0 0 1-6.002 6.003z"
    }
  )
);
function ao({
  supabaseClient: e,
  socialLayout: r = "vertical",
  providers: a = ["github", "google", "azure"],
  providerScopes: n,
  queryParams: s,
  redirectTo: o,
  onlyThirdPartyProviders: i = !0,
  view: m = "sign_in",
  i18n: g,
  appearance: c
}) {
  const [d, f] = N(!1), [p, u] = N(""), h = r === "vertical", y = m === "magic_link" ? "sign_in" : m, v = async (_) => {
    f(!0);
    const { error: x } = await e.auth.signInWithOAuth({
      provider: _,
      options: {
        redirectTo: o,
        scopes: n == null ? void 0 : n[_],
        queryParams: s
      }
    });
    x && u(x.message), f(!1);
  };
  function E(_) {
    return _ === "linkedin_oidc" ? "LinkedIn" : _;
  }
  function P(_) {
    const x = _.toLowerCase();
    return _.charAt(0).toUpperCase() + x.slice(1);
  }
  return /* @__PURE__ */ t.createElement(t.Fragment, null, a && a.length > 0 && /* @__PURE__ */ t.createElement(t.Fragment, null, /* @__PURE__ */ t.createElement(ee, { gap: "large", direction: "vertical", appearance: c }, /* @__PURE__ */ t.createElement(
    ee,
    {
      direction: h ? "vertical" : "horizontal",
      gap: h ? "small" : "medium",
      appearance: c
    },
    a.map((_) => {
      var x;
      return /* @__PURE__ */ t.createElement(
        xe,
        {
          key: _,
          color: "default",
          loading: d,
          onClick: () => v(_),
          appearance: c
        },
        /* @__PURE__ */ t.createElement(jl, { provider: _ }),
        h && Pl(
          (x = g == null ? void 0 : g[y]) == null ? void 0 : x.social_provider_text,
          {
            provider: P(
              E(_)
            )
          }
        )
      );
    })
  )), !i && /* @__PURE__ */ t.createElement(ql, { appearance: c })));
}
function Ta({
  authView: e = "sign_in",
  defaultEmail: r = "",
  defaultPassword: a = "",
  setAuthView: n = () => {
  },
  setDefaultEmail: s = (y) => {
  },
  setDefaultPassword: o = (y) => {
  },
  supabaseClient: i,
  showLinks: m = !1,
  redirectTo: g,
  additionalData: c,
  magicLink: d,
  i18n: f,
  appearance: p,
  passwordLimit: u = !1,
  children: h
}) {
  var U, J, Y, q;
  const y = il(!0), [v, E] = N(r), [P, _] = N(a), [x, R] = N(""), [k, C] = N(!1), [F, S] = N("");
  $(() => (y.current = !0, E(r), _(a), () => {
    y.current = !1;
  }), [e]);
  const A = async (D) => {
    var M;
    switch (D.preventDefault(), R(""), C(!0), e) {
      case "sign_in":
        const { error: ve } = await i.auth.signInWithPassword({
          email: v,
          password: P
        });
        ve && R(ve.message);
        break;
      case "sign_up":
        if (u && P.length > 72) {
          R("Password exceeds maxmium length of 72 characters");
          return;
        }
        let Ce = {
          emailRedirectTo: g
        };
        c && (Ce.data = c);
        const {
          data: { user: gt, session: pt },
          error: Se
        } = await i.auth.signUp({
          email: v,
          password: P,
          options: Ce
        });
        Se ? R(Se.message) : gt && !pt && S((M = f == null ? void 0 : f.sign_up) == null ? void 0 : M.confirmation_text);
        break;
    }
    y.current && C(!1);
  }, L = (D) => {
    s(v), o(P), n(D);
  }, I = f == null ? void 0 : f[e];
  return /* @__PURE__ */ t.createElement(
    "form",
    {
      id: e === "sign_in" ? "auth-sign-in" : "auth-sign-up",
      onSubmit: A,
      autoComplete: "on",
      style: { width: "100%" }
    },
    /* @__PURE__ */ t.createElement(ee, { direction: "vertical", gap: "large", appearance: p }, /* @__PURE__ */ t.createElement(ee, { direction: "vertical", gap: "large", appearance: p }, /* @__PURE__ */ t.createElement("div", null, /* @__PURE__ */ t.createElement(me, { htmlFor: "email", appearance: p }, I == null ? void 0 : I.email_label), /* @__PURE__ */ t.createElement(
      ce,
      {
        id: "email",
        type: "email",
        name: "email",
        placeholder: I == null ? void 0 : I.email_input_placeholder,
        defaultValue: v,
        onChange: (D) => E(D.target.value),
        autoComplete: "email",
        appearance: p
      }
    )), /* @__PURE__ */ t.createElement("div", null, /* @__PURE__ */ t.createElement(me, { htmlFor: "password", appearance: p }, I == null ? void 0 : I.password_label), /* @__PURE__ */ t.createElement(
      ce,
      {
        id: "password",
        type: "password",
        name: "password",
        placeholder: I == null ? void 0 : I.password_input_placeholder,
        defaultValue: P,
        onChange: (D) => _(D.target.value),
        autoComplete: e === "sign_in" ? "current-password" : "new-password",
        appearance: p
      }
    )), h), /* @__PURE__ */ t.createElement(
      xe,
      {
        type: "submit",
        color: "primary",
        loading: k,
        appearance: p
      },
      k ? I == null ? void 0 : I.loading_button_label : I == null ? void 0 : I.button_label
    ), m && /* @__PURE__ */ t.createElement(ee, { direction: "vertical", gap: "small", appearance: p }, e === H.SIGN_IN && d && /* @__PURE__ */ t.createElement(
      ue,
      {
        href: "#auth-magic-link",
        onClick: (D) => {
          D.preventDefault(), n(H.MAGIC_LINK);
        },
        appearance: p
      },
      (U = f == null ? void 0 : f.magic_link) == null ? void 0 : U.link_text
    ), e === H.SIGN_IN && /* @__PURE__ */ t.createElement(
      ue,
      {
        href: "#auth-forgot-password",
        onClick: (D) => {
          D.preventDefault(), n(H.FORGOTTEN_PASSWORD);
        },
        appearance: p
      },
      (J = f == null ? void 0 : f.forgotten_password) == null ? void 0 : J.link_text
    ), e === H.SIGN_IN ? /* @__PURE__ */ t.createElement(
      ue,
      {
        href: "#auth-sign-up",
        onClick: (D) => {
          D.preventDefault(), L(H.SIGN_UP);
        },
        appearance: p
      },
      (Y = f == null ? void 0 : f.sign_up) == null ? void 0 : Y.link_text
    ) : /* @__PURE__ */ t.createElement(
      ue,
      {
        href: "#auth-sign-in",
        onClick: (D) => {
          D.preventDefault(), L(H.SIGN_IN);
        },
        appearance: p
      },
      (q = f == null ? void 0 : f.sign_in) == null ? void 0 : q.link_text
    ))),
    F && /* @__PURE__ */ t.createElement(te, { appearance: p }, F),
    x && /* @__PURE__ */ t.createElement(te, { color: "danger", appearance: p }, x)
  );
}
function _s({
  setAuthView: e = () => {
  },
  supabaseClient: r,
  redirectTo: a,
  i18n: n,
  appearance: s,
  showLinks: o = !1
}) {
  var v;
  const [i, m] = N(""), [g, c] = N(""), [d, f] = N(""), [p, u] = N(!1), h = async (E) => {
    var _;
    E.preventDefault(), c(""), f(""), u(!0);
    const { error: P } = await r.auth.resetPasswordForEmail(i, {
      redirectTo: a
    });
    P ? c(P.message) : f((_ = n == null ? void 0 : n.forgotten_password) == null ? void 0 : _.confirmation_text), u(!1);
  }, y = n == null ? void 0 : n.forgotten_password;
  return /* @__PURE__ */ t.createElement("form", { id: "auth-forgot-password", onSubmit: h }, /* @__PURE__ */ t.createElement(ee, { direction: "vertical", gap: "large", appearance: s }, /* @__PURE__ */ t.createElement(ee, { gap: "large", direction: "vertical", appearance: s }, /* @__PURE__ */ t.createElement("div", null, /* @__PURE__ */ t.createElement(me, { htmlFor: "email", appearance: s }, y == null ? void 0 : y.email_label), /* @__PURE__ */ t.createElement(
    ce,
    {
      id: "email",
      name: "email",
      type: "email",
      autoFocus: !0,
      placeholder: y == null ? void 0 : y.email_input_placeholder,
      onChange: (E) => m(E.target.value),
      appearance: s
    }
  )), /* @__PURE__ */ t.createElement(
    xe,
    {
      type: "submit",
      color: "primary",
      loading: p,
      appearance: s
    },
    p ? y == null ? void 0 : y.loading_button_label : y == null ? void 0 : y.button_label
  ), o && /* @__PURE__ */ t.createElement(
    ue,
    {
      href: "#auth-sign-in",
      onClick: (E) => {
        E.preventDefault(), e(H.SIGN_IN);
      },
      appearance: s
    },
    (v = n == null ? void 0 : n.sign_in) == null ? void 0 : v.link_text
  ), d && /* @__PURE__ */ t.createElement(te, { appearance: s }, d), g && /* @__PURE__ */ t.createElement(te, { color: "danger", appearance: s }, g))));
}
function xs({
  supabaseClient: e,
  i18n: r,
  appearance: a,
  passwordLimit: n = !1
}) {
  const [s, o] = N(""), [i, m] = N(""), [g, c] = N(""), [d, f] = N(!1), p = async (h) => {
    var v;
    if (h.preventDefault(), m(""), c(""), f(!0), n && s.length > 72) {
      m("Password exceeds maxmium length of 72 characters"), f(!1);
      return;
    }
    const { error: y } = await e.auth.updateUser({ password: s });
    y ? m(y.message) : c((v = r == null ? void 0 : r.update_password) == null ? void 0 : v.confirmation_text), f(!1);
  }, u = r == null ? void 0 : r.update_password;
  return /* @__PURE__ */ t.createElement("form", { id: "auth-update-password", onSubmit: p }, /* @__PURE__ */ t.createElement(ee, { gap: "large", direction: "vertical", appearance: a }, /* @__PURE__ */ t.createElement("div", null, /* @__PURE__ */ t.createElement(me, { htmlFor: "password", appearance: a }, u == null ? void 0 : u.password_label), /* @__PURE__ */ t.createElement(
    ce,
    {
      id: "password",
      name: "password",
      placeholder: u == null ? void 0 : u.password_input_placeholder,
      type: "password",
      autoFocus: !0,
      onChange: (h) => o(h.target.value),
      appearance: a
    }
  )), /* @__PURE__ */ t.createElement(
    xe,
    {
      type: "submit",
      color: "primary",
      loading: d,
      appearance: a
    },
    d ? u == null ? void 0 : u.loading_button_label : u == null ? void 0 : u.button_label
  ), g && /* @__PURE__ */ t.createElement(te, { appearance: a }, g), i && /* @__PURE__ */ t.createElement(te, { color: "danger", appearance: a }, i)));
}
function no({
  setAuthView: e = () => {
  },
  supabaseClient: r,
  otpType: a = "email",
  i18n: n,
  appearance: s,
  showLinks: o = !1
}) {
  var x;
  const [i, m] = N(""), [g, c] = N(""), [d, f] = N(""), [p, u] = N(""), [h, y] = N(""), [v, E] = N(!1), P = async (R) => {
    R.preventDefault(), u(""), y(""), E(!0);
    let k = {
      email: i,
      token: d,
      type: a
    };
    ["sms", "phone_change"].includes(a) && (k = {
      phone: g,
      token: d,
      type: a
    });
    const { error: C } = await r.auth.verifyOtp(k);
    C && u(C.message), E(!1);
  }, _ = n == null ? void 0 : n.verify_otp;
  return /* @__PURE__ */ t.createElement("form", { id: "auth-magic-link", onSubmit: P }, /* @__PURE__ */ t.createElement(ee, { gap: "large", direction: "vertical", appearance: s }, ["sms", "phone_change"].includes(a) ? /* @__PURE__ */ t.createElement("div", null, /* @__PURE__ */ t.createElement(me, { htmlFor: "phone", appearance: s }, _ == null ? void 0 : _.phone_input_label), /* @__PURE__ */ t.createElement(
    ce,
    {
      id: "phone",
      name: "phone",
      type: "text",
      autoFocus: !0,
      placeholder: _ == null ? void 0 : _.phone_input_placeholder,
      onChange: (R) => c(R.target.value),
      appearance: s
    }
  )) : /* @__PURE__ */ t.createElement("div", null, /* @__PURE__ */ t.createElement(me, { htmlFor: "email", appearance: s }, _ == null ? void 0 : _.email_input_label), /* @__PURE__ */ t.createElement(
    ce,
    {
      id: "email",
      name: "email",
      type: "email",
      autoFocus: !0,
      placeholder: _ == null ? void 0 : _.email_input_placeholder,
      onChange: (R) => m(R.target.value),
      appearance: s
    }
  )), /* @__PURE__ */ t.createElement("div", null, /* @__PURE__ */ t.createElement(me, { htmlFor: "token", appearance: s }, _ == null ? void 0 : _.token_input_label), /* @__PURE__ */ t.createElement(
    ce,
    {
      id: "token",
      name: "token",
      type: "text",
      placeholder: _ == null ? void 0 : _.token_input_placeholder,
      onChange: (R) => f(R.target.value),
      appearance: s
    }
  )), /* @__PURE__ */ t.createElement(
    xe,
    {
      color: "primary",
      type: "submit",
      loading: v,
      appearance: s
    },
    v ? _ == null ? void 0 : _.loading_button_label : _ == null ? void 0 : _.button_label
  ), o && /* @__PURE__ */ t.createElement(
    ue,
    {
      href: "#auth-sign-in",
      onClick: (R) => {
        R.preventDefault(), e(H.SIGN_IN);
      },
      appearance: s
    },
    (x = n == null ? void 0 : n.sign_in) == null ? void 0 : x.link_text
  ), h && /* @__PURE__ */ t.createElement(te, { appearance: s }, h), p && /* @__PURE__ */ t.createElement(te, { color: "danger", appearance: s }, p)));
}
const bs = cl({ user: null, session: null }), so = (e) => {
  const { supabaseClient: r } = e, [a, n] = N(null), [s, o] = N((a == null ? void 0 : a.user) ?? null);
  $(() => {
    (async () => {
      var c;
      const { data: g } = await r.auth.getSession();
      n(g.session), o(((c = g.session) == null ? void 0 : c.user) ?? null);
    })();
    const { data: m } = r.auth.onAuthStateChange(
      async (g, c) => {
        n(c), o((c == null ? void 0 : c.user) ?? null);
      }
    );
    return () => {
      m == null || m.subscription.unsubscribe();
    };
  }, []);
  const i = {
    session: a,
    user: s
  };
  return /* @__PURE__ */ t.createElement(bs.Provider, { value: i, ...e });
}, lo = () => {
  const e = ml(bs);
  if (e === void 0)
    throw new Error("useUser must be used within a UserContextProvider.");
  return e;
};
function X({
  supabaseClient: e,
  socialLayout: r = "vertical",
  providers: a,
  providerScopes: n,
  queryParams: s,
  view: o = "sign_in",
  redirectTo: i,
  onlyThirdPartyProviders: m = !1,
  magicLink: g = !1,
  showLinks: c = !0,
  appearance: d,
  theme: f = "default",
  localization: p = { variables: {} },
  otpType: u = "email",
  additionalData: h,
  passwordLimit: y,
  children: v
}) {
  const E = vt(Fl, p.variables ?? {}), [P, _] = N(o), [x, R] = N(""), [k, C] = N(""), F = P === "sign_in" || P === "sign_up" || P === "magic_link";
  $(() => {
    var L, I;
    Rl({
      theme: vt(
        ((L = d == null ? void 0 : d.theme) == null ? void 0 : L.default) ?? {},
        ((I = d == null ? void 0 : d.variables) == null ? void 0 : I.default) ?? {}
      )
    });
  }, [d]);
  const S = ({ children: L }) => {
    var I;
    return (
      // @ts-ignore
      /* @__PURE__ */ t.createElement(
        "div",
        {
          className: f !== "default" ? Il(
            vt(
              // @ts-ignore
              d == null ? void 0 : d.theme[f],
              ((I = d == null ? void 0 : d.variables) == null ? void 0 : I[f]) ?? {}
            )
          ) : ""
        },
        F && /* @__PURE__ */ t.createElement(
          ao,
          {
            appearance: d,
            supabaseClient: e,
            providers: a,
            providerScopes: n,
            queryParams: s,
            socialLayout: r,
            redirectTo: i,
            onlyThirdPartyProviders: m,
            i18n: E,
            view: P
          }
        ),
        !m && L
      )
    );
  };
  $(() => {
    const { data: L } = e.auth.onAuthStateChange(
      (I) => {
        I === "PASSWORD_RECOVERY" ? _("update_password") : I === "USER_UPDATED" && _("sign_in");
      }
    );
    return _(o), () => L.subscription.unsubscribe();
  }, [o]);
  const A = {
    supabaseClient: e,
    setAuthView: _,
    defaultEmail: x,
    defaultPassword: k,
    setDefaultEmail: R,
    setDefaultPassword: C,
    redirectTo: i,
    magicLink: g,
    showLinks: c,
    i18n: E,
    appearance: d,
    passwordLimit: y
  };
  switch (P) {
    case H.SIGN_IN:
      return /* @__PURE__ */ t.createElement(S, null, /* @__PURE__ */ t.createElement(Ta, { ...A, authView: "sign_in" }));
    case H.SIGN_UP:
      return /* @__PURE__ */ t.createElement(S, null, /* @__PURE__ */ t.createElement(
        Ta,
        {
          appearance: d,
          supabaseClient: e,
          authView: "sign_up",
          setAuthView: _,
          defaultEmail: x,
          defaultPassword: k,
          setDefaultEmail: R,
          setDefaultPassword: C,
          redirectTo: i,
          magicLink: g,
          showLinks: c,
          i18n: E,
          additionalData: h,
          passwordLimit: y,
          children: v
        }
      ));
    case H.FORGOTTEN_PASSWORD:
      return /* @__PURE__ */ t.createElement(S, null, /* @__PURE__ */ t.createElement(
        _s,
        {
          appearance: d,
          supabaseClient: e,
          setAuthView: _,
          redirectTo: i,
          showLinks: c,
          i18n: E
        }
      ));
    case H.MAGIC_LINK:
      return /* @__PURE__ */ t.createElement(S, null, /* @__PURE__ */ t.createElement(
        ws,
        {
          appearance: d,
          supabaseClient: e,
          setAuthView: _,
          redirectTo: i,
          showLinks: c,
          i18n: E
        }
      ));
    case H.UPDATE_PASSWORD:
      return /* @__PURE__ */ t.createElement(
        xs,
        {
          appearance: d,
          supabaseClient: e,
          i18n: E,
          passwordLimit: y
        }
      );
    case H.VERIFY_OTP:
      return /* @__PURE__ */ t.createElement(
        no,
        {
          appearance: d,
          supabaseClient: e,
          otpType: u,
          i18n: E
        }
      );
    default:
      return null;
  }
}
X.ForgottenPassword = _s;
X.UpdatePassword = xs;
X.MagicLink = ws;
X.UserContextProvider = so;
X.useUser = lo;
const oo = oe({
  borderRadius: "12px",
  boxShadow: "rgba(100, 100, 111, 0.2) 0px 7px 29px 0px",
  width: "360px",
  padding: "28px 32px"
}), Fc = ({
  children: e,
  appearance: r
}) => {
  const a = [
    `${Tl}_ui-card`,
    oo(),
    r == null ? void 0 : r.className
  ];
  return /* @__PURE__ */ t.createElement("div", { className: a.join(" ") }, e);
}, Tc = (e) => /* @__PURE__ */ t.createElement(
  X,
  {
    showLinks: !1,
    ...e,
    onlyThirdPartyProviders: !1,
    view: "sign_up"
  }
), Dc = (e) => /* @__PURE__ */ t.createElement(
  X,
  {
    showLinks: !1,
    ...e,
    onlyThirdPartyProviders: !1,
    view: "sign_in"
  }
), Lc = (e) => /* @__PURE__ */ t.createElement(X, { ...e, view: "magic_link", showLinks: !1 }), Ac = (e) => /* @__PURE__ */ t.createElement(
  X,
  {
    ...e,
    view: "sign_in",
    showLinks: !1,
    onlyThirdPartyProviders: !0
  }
), kc = (e) => /* @__PURE__ */ t.createElement(X, { showLinks: !1, ...e, view: "forgotten_password" }), qc = (e) => /* @__PURE__ */ t.createElement(X, { ...e, view: "update_password" }), Mc = (e) => /* @__PURE__ */ t.createElement(X, { ...e, view: "verify_otp" });
function b(...e) {
  return El(vl(e));
}
const de = l.forwardRef(({ className: e, ...r }, a) => /* @__PURE__ */ l.createElement(
  Ia.Root,
  {
    ref: a,
    className: b(
      "peer h-4 w-4 shrink-0 rounded-sm border border-primary ring-offset-background focus-visible:outline-none focus-visible:ring-2 focus-visible:ring-ring focus-visible:ring-offset-2 disabled:cursor-not-allowed disabled:opacity-50 data-[state=checked]:bg-primary data-[state=checked]:text-primary-foreground",
      e
    ),
    ...r
  },
  /* @__PURE__ */ l.createElement(
    Ia.Indicator,
    {
      className: b("flex items-center justify-center text-current")
    },
    /* @__PURE__ */ l.createElement(Br, { className: "h-4 w-4" })
  )
));
de.displayName = "Checkbox";
const io = [
  {
    value: "Active",
    label: "Active",
    icon: fs
  },
  {
    value: "Inactive",
    label: "Inactive",
    icon: gs
  }
], co = ra(
  "inline-flex items-center justify-center whitespace-nowrap rounded-md text-sm font-medium ring-offset-background transition-colors focus-visible:outline-none focus-visible:ring-2 focus-visible:ring-ring focus-visible:ring-offset-2 disabled:pointer-events-none disabled:opacity-50",
  {
    variants: {
      variant: {
        default: "bg-primary text-primary-foreground hover:bg-primary/90",
        destructive: "bg-destructive text-destructive-foreground hover:bg-destructive/90",
        outline: "border border-input bg-background hover:bg-accent hover:text-accent-foreground",
        secondary: "bg-secondary text-secondary-foreground hover:bg-secondary/80",
        ghost: "hover:bg-accent hover:text-accent-foreground",
        link: "text-primary underline-offset-4 hover:underline"
      },
      size: {
        default: "h-10 px-4 py-2",
        sm: "h-9 rounded-md px-3",
        lg: "h-11 rounded-md px-8",
        icon: "h-10 w-10"
      }
    },
    defaultVariants: {
      variant: "default",
      size: "default"
    }
  }
), T = l.forwardRef(
  ({ className: e, variant: r, size: a, asChild: n = !1, ...s }, o) => {
    const i = n ? ps : "button";
    return /* @__PURE__ */ l.createElement(
      i,
      {
        className: b(co({ variant: r, size: a }), e),
        ref: o,
        ...s
      }
    );
  }
);
T.displayName = "Button";
const ie = z.Root, be = z.Trigger, mo = l.forwardRef(({ className: e, inset: r, children: a, ...n }, s) => /* @__PURE__ */ l.createElement(
  z.SubTrigger,
  {
    ref: s,
    className: b(
      "flex cursor-default select-none items-center rounded-sm px-2 py-1.5 text-sm outline-none focus:bg-accent data-[state=open]:bg-accent",
      r && "pl-8",
      e
    ),
    ...n
  },
  a,
  /* @__PURE__ */ l.createElement(dl, { className: "ml-auto h-4 w-4" })
));
mo.displayName = z.SubTrigger.displayName;
const uo = l.forwardRef(({ className: e, ...r }, a) => /* @__PURE__ */ l.createElement(
  z.SubContent,
  {
    ref: a,
    className: b(
      "z-50 min-w-[8rem] overflow-hidden rounded-md border bg-popover p-1 text-popover-foreground shadow-lg data-[state=open]:animate-in data-[state=closed]:animate-out data-[state=closed]:fade-out-0 data-[state=open]:fade-in-0 data-[state=closed]:zoom-out-95 data-[state=open]:zoom-in-95 data-[side=bottom]:slide-in-from-top-2 data-[side=left]:slide-in-from-right-2 data-[side=right]:slide-in-from-left-2 data-[side=top]:slide-in-from-bottom-2",
      e
    ),
    ...r
  }
));
uo.displayName = z.SubContent.displayName;
const ae = l.forwardRef(({ className: e, sideOffset: r = 4, ...a }, n) => /* @__PURE__ */ l.createElement(z.Portal, null, /* @__PURE__ */ l.createElement(
  z.Content,
  {
    ref: n,
    sideOffset: r,
    className: b(
      "z-50 min-w-[8rem] overflow-hidden rounded-md border bg-popover p-1 text-popover-foreground shadow-md data-[state=open]:animate-in data-[state=closed]:animate-out data-[state=closed]:fade-out-0 data-[state=open]:fade-in-0 data-[state=closed]:zoom-out-95 data-[state=open]:zoom-in-95 data-[side=bottom]:slide-in-from-top-2 data-[side=left]:slide-in-from-right-2 data-[side=right]:slide-in-from-left-2 data-[side=top]:slide-in-from-bottom-2",
      e
    ),
    ...a
  }
)));
ae.displayName = z.Content.displayName;
const G = l.forwardRef(({ className: e, inset: r, ...a }, n) => /* @__PURE__ */ l.createElement(
  z.Item,
  {
    ref: n,
    className: b(
      "relative flex cursor-default select-none items-center rounded-sm px-2 py-1.5 text-sm outline-none transition-colors focus:bg-accent focus:text-accent-foreground data-[disabled]:pointer-events-none data-[disabled]:opacity-50",
      r && "pl-8",
      e
    ),
    ...a
  }
));
G.displayName = z.Item.displayName;
const Be = l.forwardRef(({ className: e, children: r, checked: a, ...n }, s) => /* @__PURE__ */ l.createElement(
  z.CheckboxItem,
  {
    ref: s,
    className: b(
      "relative flex cursor-default select-none items-center rounded-sm py-1.5 pl-8 pr-2 text-sm outline-none transition-colors focus:bg-accent focus:text-accent-foreground data-[disabled]:pointer-events-none data-[disabled]:opacity-50",
      e
    ),
    checked: a,
    ...n
  },
  /* @__PURE__ */ l.createElement("span", { className: "absolute left-2 flex h-3.5 w-3.5 items-center justify-center" }, /* @__PURE__ */ l.createElement(z.ItemIndicator, null, /* @__PURE__ */ l.createElement(Br, { className: "h-4 w-4" }))),
  r
));
Be.displayName = z.CheckboxItem.displayName;
const fo = l.forwardRef(({ className: e, children: r, ...a }, n) => /* @__PURE__ */ l.createElement(
  z.RadioItem,
  {
    ref: n,
    className: b(
      "relative flex cursor-default select-none items-center rounded-sm py-1.5 pl-8 pr-2 text-sm outline-none transition-colors focus:bg-accent focus:text-accent-foreground data-[disabled]:pointer-events-none data-[disabled]:opacity-50",
      e
    ),
    ...a
  },
  /* @__PURE__ */ l.createElement("span", { className: "absolute left-2 flex h-3.5 w-3.5 items-center justify-center" }, /* @__PURE__ */ l.createElement(z.ItemIndicator, null, /* @__PURE__ */ l.createElement(ul, { className: "h-2 w-2 fill-current" }))),
  r
));
fo.displayName = z.RadioItem.displayName;
const Ge = l.forwardRef(({ className: e, inset: r, ...a }, n) => /* @__PURE__ */ l.createElement(
  z.Label,
  {
    ref: n,
    className: b(
      "px-2 py-1.5 text-sm font-semibold",
      r && "pl-8",
      e
    ),
    ...a
  }
));
Ge.displayName = z.Label.displayName;
const re = l.forwardRef(({ className: e, ...r }, a) => /* @__PURE__ */ l.createElement(
  z.Separator,
  {
    ref: a,
    className: b("-mx-1 my-1 h-px bg-muted", e),
    ...r
  }
));
re.displayName = z.Separator.displayName;
function Re({
  column: e,
  title: r,
  className: a
}) {
  return e.getCanSort() ? /* @__PURE__ */ t.createElement("div", { className: b("flex items-center space-x-2", a) }, /* @__PURE__ */ t.createElement(ie, null, /* @__PURE__ */ t.createElement(be, { asChild: !0 }, /* @__PURE__ */ t.createElement(
    T,
    {
      variant: "ghost",
      size: "sm",
      className: "-ml-3 h-8 data-[state=open]:bg-accent"
    },
    /* @__PURE__ */ t.createElement("span", null, r),
    e.getIsSorted() === "desc" ? /* @__PURE__ */ t.createElement(Ee, { className: "ml-2 h-4 w-4" }) : e.getIsSorted() === "asc" ? /* @__PURE__ */ t.createElement(ye, { className: "ml-2 h-4 w-4" }) : /* @__PURE__ */ t.createElement(Gr, { className: "ml-2 h-4 w-4" })
  )), /* @__PURE__ */ t.createElement(ae, { align: "start" }, /* @__PURE__ */ t.createElement(G, { onClick: () => e.toggleSorting(!1) }, /* @__PURE__ */ t.createElement(ye, { className: "mr-2 h-3.5 w-3.5 text-muted-foreground/70" }), "Asc"), /* @__PURE__ */ t.createElement(G, { onClick: () => e.toggleSorting(!0) }, /* @__PURE__ */ t.createElement(Ee, { className: "mr-2 h-3.5 w-3.5 text-muted-foreground/70" }), "Desc")))) : /* @__PURE__ */ t.createElement("div", { className: b(a) }, r);
}
function go({
  row: e,
  onEdit: r
}) {
  return /* @__PURE__ */ t.createElement(ie, null, /* @__PURE__ */ t.createElement(be, { asChild: !0 }, /* @__PURE__ */ t.createElement(
    T,
    {
      variant: "ghost",
      className: "flex h-8 w-8 p-0 data-[state=open]:bg-muted"
    },
    /* @__PURE__ */ t.createElement(Ur, { className: "h-4 w-4" }),
    /* @__PURE__ */ t.createElement("span", { className: "sr-only" }, "Open menu")
  )), /* @__PURE__ */ t.createElement(ae, { align: "end", className: "w-[160px]" }, /* @__PURE__ */ t.createElement(G, { onClick: () => r(e.original) }, "Edit"), /* @__PURE__ */ t.createElement(re, null), /* @__PURE__ */ t.createElement(re, null), /* @__PURE__ */ t.createElement(G, null, "Block")));
}
const ua = Q.Root, po = Q.Portal, Ns = l.forwardRef(({ className: e, ...r }, a) => /* @__PURE__ */ l.createElement(
  Q.Overlay,
  {
    ref: a,
    className: b(
      "fixed inset-0 z-50 bg-white/80 data-[state=open]:animate-in data-[state=closed]:animate-out data-[state=closed]:fade-out-0 data-[state=open]:fade-in-0",
      e
    ),
    ...r
  }
));
Ns.displayName = Q.Overlay.displayName;
const ho = {
  top: "inset-x-0 top-0 border-b data-[state=closed]:slide-out-to-top data-[state=open]:slide-in-from-top",
  bottom: "inset-x-0 bottom-0 border-t data-[state=closed]:slide-out-to-bottom data-[state=open]:slide-in-from-bottom",
  left: "inset-y-0 left-0 h-full w-3/4 border-r data-[state=closed]:slide-out-to-left data-[state=open]:slide-in-from-left sm:max-w-sm",
  right: "inset-y-0 right-0 h-full w-3/4 border-l data-[state=closed]:slide-out-to-right data-[state=open]:slide-in-from-right sm:max-w-sm"
}, Ue = l.forwardRef(({ side: e = "right", className: r, children: a, ...n }, s) => /* @__PURE__ */ l.createElement(po, null, /* @__PURE__ */ l.createElement(Ns, null), /* @__PURE__ */ l.createElement(
  Q.Content,
  {
    ref: s,
    className: b(
      "fixed z-50 gap-4 bg-background p-6 shadow-lg transition ease-in-out data-[state=open]:animate-in data-[state=closed]:animate-out data-[state=closed]:duration-300 data-[state=open]:duration-500",
      ho[e],
      r
    ),
    ...n
  },
  a,
  /* @__PURE__ */ l.createElement(Q.Close, { className: "absolute right-4 top-4 rounded-sm opacity-70 ring-offset-background transition-opacity hover:opacity-100 focus:outline-none focus:ring-2 focus:ring-ring focus:ring-offset-2 disabled:pointer-events-none data-[state=open]:bg-secondary" }, /* @__PURE__ */ l.createElement(fl, { className: "h-4 w-4" }), /* @__PURE__ */ l.createElement("span", { className: "sr-only" }, "Close"))
)));
Ue.displayName = Q.Content.displayName;
const Ye = ({
  className: e,
  ...r
}) => /* @__PURE__ */ l.createElement("div", { className: b("flex flex-col space-y-2 text-center sm:text-left", e), ...r });
Ye.displayName = "SheetHeader";
const Ze = l.forwardRef(({ className: e, ...r }, a) => /* @__PURE__ */ l.createElement(Q.Title, { ref: a, className: b("text-lg font-semibold text-foreground", e), ...r }));
Ze.displayName = Q.Title.displayName;
const Ke = l.forwardRef(({ className: e, ...r }, a) => /* @__PURE__ */ l.createElement(Q.Description, { ref: a, className: b("text-sm text-muted-foreground", e), ...r }));
Ke.displayName = Q.Description.displayName;
const vo = w.object({
  plan_id: w.string().optional(),
  plan_name: w.string().optional(),
  plan_validity: w.string().optional()
}), Cs = w.object({
  id: w.string().optional(),
  name: w.string().optional(),
  default_user_name: w.string().optional(),
  created_at: w.string().optional(),
  updated_at: w.string().optional(),
  created_by: w.string().optional(),
  modified_by: w.string().optional(),
  default_user_id: w.string().optional(),
  email: w.string().optional(),
  phone: w.string().optional(),
  status: w.string().optional(),
  country_code: w.string().optional(),
  subscription_details: vo.optional()
});
var Eo = function(e, r) {
  for (var a = {}; e.length; ) {
    var n = e[0], s = n.code, o = n.message, i = n.path.join(".");
    if (!a[i])
      if ("unionErrors" in n) {
        var m = n.unionErrors[0].errors[0];
        a[i] = { message: m.message, type: m.code };
      } else
        a[i] = { message: o, type: s };
    if ("unionErrors" in n && n.unionErrors.forEach(function(d) {
      return d.errors.forEach(function(f) {
        return e.push(f);
      });
    }), r) {
      var g = a[i].types, c = g && g[n.code];
      a[i] = yl(i, r, a, s, c ? [].concat(c, n.message) : n.message);
    }
    e.shift();
  }
  return a;
}, He = function(e, r, a) {
  return a === void 0 && (a = {}), function(n, s, o) {
    try {
      return Promise.resolve(function(i, m) {
        try {
          var g = Promise.resolve(e[a.mode === "sync" ? "parse" : "parseAsync"](n, r)).then(function(c) {
            return o.shouldUseNativeValidation && xl({}, o), { errors: {}, values: a.raw ? n : c };
          });
        } catch (c) {
          return m(c);
        }
        return g && g.then ? g.then(void 0, m) : g;
      }(0, function(i) {
        if (function(m) {
          return m.errors != null;
        }(i))
          return { values: {}, errors: bl(Eo(i.errors, !o.shouldUseNativeValidation && o.criteriaMode === "all"), o) };
        throw i;
      }));
    } catch (i) {
      return Promise.reject(i);
    }
  };
};
const yo = ra(
  "text-sm font-medium leading-none peer-disabled:cursor-not-allowed peer-disabled:opacity-70"
), Ss = l.forwardRef(({ className: e, ...r }, a) => /* @__PURE__ */ l.createElement(
  vs.Root,
  {
    ref: a,
    className: b(yo(), e),
    ...r
  }
));
Ss.displayName = vs.Root.displayName;
const wo = Pe.Provider, _o = Pe.Root, xo = Pe.Trigger, Rs = l.forwardRef(({ className: e, ...r }, a) => /* @__PURE__ */ l.createElement(
  Pe.Content,
  {
    ref: a,
    side: "bottom",
    className: b(
      "z-50 overflow-hidden rounded-md border bg-popover px-3 py-1.5 text-sm text-popover-foreground shadow-md animate-in fade-in-0 zoom-in-95 data-[state=closed]:animate-out data-[state=closed]:fade-out-0 data-[state=closed]:zoom-out-95 data-[side=bottom]:slide-in-from-top-2 data-[side=left]:slide-in-from-right-2 data-[side=right]:slide-in-from-left-2 data-[side=top]:slide-in-from-bottom-2",
      e
    ),
    ...r
  }
));
Rs.displayName = Pe.Content.displayName;
var De = typeof globalThis < "u" ? globalThis : typeof window < "u" ? window : typeof global < "u" ? global : typeof self < "u" ? self : {};
function bo(e) {
  return e && e.__esModule && Object.prototype.hasOwnProperty.call(e, "default") ? e.default : e;
}
var Is = {}, $r = { exports: {} }, Ps = { exports: {} };
(function(e) {
  function r(a) {
    return a && a.__esModule ? a : {
      default: a
    };
  }
  e.exports = r, e.exports.__esModule = !0, e.exports.default = e.exports;
})(Ps);
var Ne = Ps.exports, Le = { exports: {} }, Et = { exports: {} }, Da;
function Fs() {
  return Da || (Da = 1, function(e) {
    function r() {
      return e.exports = r = Object.assign ? Object.assign.bind() : function(a) {
        for (var n = 1; n < arguments.length; n++) {
          var s = arguments[n];
          for (var o in s)
            Object.prototype.hasOwnProperty.call(s, o) && (a[o] = s[o]);
        }
        return a;
      }, e.exports.__esModule = !0, e.exports.default = e.exports, r.apply(this, arguments);
    }
    e.exports = r, e.exports.__esModule = !0, e.exports.default = e.exports;
  }(Et)), Et.exports;
}
var Ae = { exports: {} }, yt = { exports: {} }, La;
function No() {
  return La || (La = 1, function(e) {
    function r(a, n) {
      if (a == null)
        return {};
      var s = {};
      for (var o in a)
        if (Object.prototype.hasOwnProperty.call(a, o)) {
          if (n.indexOf(o) >= 0)
            continue;
          s[o] = a[o];
        }
      return s;
    }
    e.exports = r, e.exports.__esModule = !0, e.exports.default = e.exports;
  }(yt)), yt.exports;
}
var wt = { exports: {} };
/*!
	Copyright (c) 2018 Jed Watson.
	Licensed under the MIT License (MIT), see
	http://jedwatson.github.io/classnames
*/
var Aa;
function fa() {
  return Aa || (Aa = 1, function(e) {
    (function() {
      var r = {}.hasOwnProperty;
      function a() {
        for (var o = "", i = 0; i < arguments.length; i++) {
          var m = arguments[i];
          m && (o = s(o, n(m)));
        }
        return o;
      }
      function n(o) {
        if (typeof o == "string" || typeof o == "number")
          return o;
        if (typeof o != "object")
          return "";
        if (Array.isArray(o))
          return a.apply(null, o);
        if (o.toString !== Object.prototype.toString && !o.toString.toString().includes("[native code]"))
          return o.toString();
        var i = "";
        for (var m in o)
          r.call(o, m) && o[m] && (i = s(i, m));
        return i;
      }
      function s(o, i) {
        return i ? o ? o + " " + i : o + i : o;
      }
      e.exports ? (a.default = a, e.exports = a) : window.classNames = a;
    })();
  }(wt)), wt.exports;
}
var _t = {}, V = {}, xt, ka;
function Ts() {
  if (ka)
    return xt;
  ka = 1;
  function e(r) {
    return r;
  }
  return xt = e, xt;
}
var bt, qa;
function Co() {
  if (qa)
    return bt;
  qa = 1;
  var e = typeof De == "object" && De && De.Object === Object && De;
  return bt = e, bt;
}
var Nt, Ma;
function he() {
  if (Ma)
    return Nt;
  Ma = 1;
  var e = Co(), r = typeof self == "object" && self && self.Object === Object && self, a = e || r || Function("return this")();
  return Nt = a, Nt;
}
var Ct, Oa;
function Ds() {
  if (Oa)
    return Ct;
  Oa = 1;
  var e = he(), r = e.Symbol;
  return Ct = r, Ct;
}
var St, za;
function So() {
  if (za)
    return St;
  za = 1;
  var e = Ds(), r = Object.prototype, a = r.hasOwnProperty, n = r.toString, s = e ? e.toStringTag : void 0;
  function o(i) {
    var m = a.call(i, s), g = i[s];
    try {
      i[s] = void 0;
      var c = !0;
    } catch {
    }
    var d = n.call(i);
    return c && (m ? i[s] = g : delete i[s]), d;
  }
  return St = o, St;
}
var Rt, ja;
function Ro() {
  if (ja)
    return Rt;
  ja = 1;
  var e = Object.prototype, r = e.toString;
  function a(n) {
    return r.call(n);
  }
  return Rt = a, Rt;
}
var It, Wa;
function Ls() {
  if (Wa)
    return It;
  Wa = 1;
  var e = Ds(), r = So(), a = Ro(), n = "[object Null]", s = "[object Undefined]", o = e ? e.toStringTag : void 0;
  function i(m) {
    return m == null ? m === void 0 ? s : n : o && o in Object(m) ? r(m) : a(m);
  }
  return It = i, It;
}
var Pt, Ha;
function Fe() {
  if (Ha)
    return Pt;
  Ha = 1;
  function e(r) {
    var a = typeof r;
    return r != null && (a == "object" || a == "function");
  }
  return Pt = e, Pt;
}
var Ft, $a;
function Io() {
  if ($a)
    return Ft;
  $a = 1;
  var e = Ls(), r = Fe(), a = "[object AsyncFunction]", n = "[object Function]", s = "[object GeneratorFunction]", o = "[object Proxy]";
  function i(m) {
    if (!r(m))
      return !1;
    var g = e(m);
    return g == n || g == s || g == a || g == o;
  }
  return Ft = i, Ft;
}
var Tt, Ba;
function Po() {
  if (Ba)
    return Tt;
  Ba = 1;
  var e = he(), r = e["__core-js_shared__"];
  return Tt = r, Tt;
}
var Dt, Ga;
function Fo() {
  if (Ga)
    return Dt;
  Ga = 1;
  var e = Po(), r = function() {
    var n = /[^.]+$/.exec(e && e.keys && e.keys.IE_PROTO || "");
    return n ? "Symbol(src)_1." + n : "";
  }();
  function a(n) {
    return !!r && r in n;
  }
  return Dt = a, Dt;
}
var Lt, Ua;
function To() {
  if (Ua)
    return Lt;
  Ua = 1;
  var e = Function.prototype, r = e.toString;
  function a(n) {
    if (n != null) {
      try {
        return r.call(n);
      } catch {
      }
      try {
        return n + "";
      } catch {
      }
    }
    return "";
  }
  return Lt = a, Lt;
}
var At, Ya;
function Do() {
  if (Ya)
    return At;
  Ya = 1;
  var e = Io(), r = Fo(), a = Fe(), n = To(), s = /[\\^$.*+?()[\]{}|]/g, o = /^\[object .+?Constructor\]$/, i = Function.prototype, m = Object.prototype, g = i.toString, c = m.hasOwnProperty, d = RegExp(
    "^" + g.call(c).replace(s, "\\$&").replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g, "$1.*?") + "$"
  );
  function f(p) {
    if (!a(p) || r(p))
      return !1;
    var u = e(p) ? d : o;
    return u.test(n(p));
  }
  return At = f, At;
}
var kt, Za;
function Lo() {
  if (Za)
    return kt;
  Za = 1;
  function e(r, a) {
    return r == null ? void 0 : r[a];
  }
  return kt = e, kt;
}
var qt, Ka;
function As() {
  if (Ka)
    return qt;
  Ka = 1;
  var e = Do(), r = Lo();
  function a(n, s) {
    var o = r(n, s);
    return e(o) ? o : void 0;
  }
  return qt = a, qt;
}
var Mt, Xa;
function Ao() {
  if (Xa)
    return Mt;
  Xa = 1;
  var e = As(), r = he(), a = e(r, "WeakMap");
  return Mt = a, Mt;
}
var Ot, Ja;
function ks() {
  if (Ja)
    return Ot;
  Ja = 1;
  var e = Ao(), r = e && new e();
  return Ot = r, Ot;
}
var zt, Va;
function qs() {
  if (Va)
    return zt;
  Va = 1;
  var e = Ts(), r = ks(), a = r ? function(n, s) {
    return r.set(n, s), n;
  } : e;
  return zt = a, zt;
}
var jt, Qa;
function ga() {
  if (Qa)
    return jt;
  Qa = 1;
  var e = Fe(), r = Object.create, a = function() {
    function n() {
    }
    return function(s) {
      if (!e(s))
        return {};
      if (r)
        return r(s);
      n.prototype = s;
      var o = new n();
      return n.prototype = void 0, o;
    };
  }();
  return jt = a, jt;
}
var Wt, en;
function Xe() {
  if (en)
    return Wt;
  en = 1;
  var e = ga(), r = Fe();
  function a(n) {
    return function() {
      var s = arguments;
      switch (s.length) {
        case 0:
          return new n();
        case 1:
          return new n(s[0]);
        case 2:
          return new n(s[0], s[1]);
        case 3:
          return new n(s[0], s[1], s[2]);
        case 4:
          return new n(s[0], s[1], s[2], s[3]);
        case 5:
          return new n(s[0], s[1], s[2], s[3], s[4]);
        case 6:
          return new n(s[0], s[1], s[2], s[3], s[4], s[5]);
        case 7:
          return new n(s[0], s[1], s[2], s[3], s[4], s[5], s[6]);
      }
      var o = e(n.prototype), i = n.apply(o, s);
      return r(i) ? i : o;
    };
  }
  return Wt = a, Wt;
}
var Ht, tn;
function ko() {
  if (tn)
    return Ht;
  tn = 1;
  var e = Xe(), r = he(), a = 1;
  function n(s, o, i) {
    var m = o & a, g = e(s);
    function c() {
      var d = this && this !== r && this instanceof c ? g : s;
      return d.apply(m ? i : this, arguments);
    }
    return c;
  }
  return Ht = n, Ht;
}
var $t, rn;
function Ms() {
  if (rn)
    return $t;
  rn = 1;
  function e(r, a, n) {
    switch (n.length) {
      case 0:
        return r.call(a);
      case 1:
        return r.call(a, n[0]);
      case 2:
        return r.call(a, n[0], n[1]);
      case 3:
        return r.call(a, n[0], n[1], n[2]);
    }
    return r.apply(a, n);
  }
  return $t = e, $t;
}
var Bt, an;
function Os() {
  if (an)
    return Bt;
  an = 1;
  var e = Math.max;
  function r(a, n, s, o) {
    for (var i = -1, m = a.length, g = s.length, c = -1, d = n.length, f = e(m - g, 0), p = Array(d + f), u = !o; ++c < d; )
      p[c] = n[c];
    for (; ++i < g; )
      (u || i < m) && (p[s[i]] = a[i]);
    for (; f--; )
      p[c++] = a[i++];
    return p;
  }
  return Bt = r, Bt;
}
var Gt, nn;
function zs() {
  if (nn)
    return Gt;
  nn = 1;
  var e = Math.max;
  function r(a, n, s, o) {
    for (var i = -1, m = a.length, g = -1, c = s.length, d = -1, f = n.length, p = e(m - c, 0), u = Array(p + f), h = !o; ++i < p; )
      u[i] = a[i];
    for (var y = i; ++d < f; )
      u[y + d] = n[d];
    for (; ++g < c; )
      (h || i < m) && (u[y + s[g]] = a[i++]);
    return u;
  }
  return Gt = r, Gt;
}
var Ut, sn;
function qo() {
  if (sn)
    return Ut;
  sn = 1;
  function e(r, a) {
    for (var n = r.length, s = 0; n--; )
      r[n] === a && ++s;
    return s;
  }
  return Ut = e, Ut;
}
var Yt, ln;
function pa() {
  if (ln)
    return Yt;
  ln = 1;
  function e() {
  }
  return Yt = e, Yt;
}
var Zt, on;
function ha() {
  if (on)
    return Zt;
  on = 1;
  var e = ga(), r = pa(), a = 4294967295;
  function n(s) {
    this.__wrapped__ = s, this.__actions__ = [], this.__dir__ = 1, this.__filtered__ = !1, this.__iteratees__ = [], this.__takeCount__ = a, this.__views__ = [];
  }
  return n.prototype = e(r.prototype), n.prototype.constructor = n, Zt = n, Zt;
}
var Kt, cn;
function Mo() {
  if (cn)
    return Kt;
  cn = 1;
  function e() {
  }
  return Kt = e, Kt;
}
var Xt, mn;
function js() {
  if (mn)
    return Xt;
  mn = 1;
  var e = ks(), r = Mo(), a = e ? function(n) {
    return e.get(n);
  } : r;
  return Xt = a, Xt;
}
var Jt, dn;
function Oo() {
  if (dn)
    return Jt;
  dn = 1;
  var e = {};
  return Jt = e, Jt;
}
var Vt, un;
function zo() {
  if (un)
    return Vt;
  un = 1;
  var e = Oo(), r = Object.prototype, a = r.hasOwnProperty;
  function n(s) {
    for (var o = s.name + "", i = e[o], m = a.call(e, o) ? i.length : 0; m--; ) {
      var g = i[m], c = g.func;
      if (c == null || c == s)
        return g.name;
    }
    return o;
  }
  return Vt = n, Vt;
}
var Qt, fn;
function Ws() {
  if (fn)
    return Qt;
  fn = 1;
  var e = ga(), r = pa();
  function a(n, s) {
    this.__wrapped__ = n, this.__actions__ = [], this.__chain__ = !!s, this.__index__ = 0, this.__values__ = void 0;
  }
  return a.prototype = e(r.prototype), a.prototype.constructor = a, Qt = a, Qt;
}
var er, gn;
function jo() {
  if (gn)
    return er;
  gn = 1;
  var e = Array.isArray;
  return er = e, er;
}
var tr, pn;
function Hs() {
  if (pn)
    return tr;
  pn = 1;
  function e(r) {
    return r != null && typeof r == "object";
  }
  return tr = e, tr;
}
var rr, hn;
function $s() {
  if (hn)
    return rr;
  hn = 1;
  function e(r, a) {
    var n = -1, s = r.length;
    for (a || (a = Array(s)); ++n < s; )
      a[n] = r[n];
    return a;
  }
  return rr = e, rr;
}
var ar, vn;
function Wo() {
  if (vn)
    return ar;
  vn = 1;
  var e = ha(), r = Ws(), a = $s();
  function n(s) {
    if (s instanceof e)
      return s.clone();
    var o = new r(s.__wrapped__, s.__chain__);
    return o.__actions__ = a(s.__actions__), o.__index__ = s.__index__, o.__values__ = s.__values__, o;
  }
  return ar = n, ar;
}
var nr, En;
function Ho() {
  if (En)
    return nr;
  En = 1;
  var e = ha(), r = Ws(), a = pa(), n = jo(), s = Hs(), o = Wo(), i = Object.prototype, m = i.hasOwnProperty;
  function g(c) {
    if (s(c) && !n(c) && !(c instanceof e)) {
      if (c instanceof r)
        return c;
      if (m.call(c, "__wrapped__"))
        return o(c);
    }
    return new r(c);
  }
  return g.prototype = a.prototype, g.prototype.constructor = g, nr = g, nr;
}
var sr, yn;
function $o() {
  if (yn)
    return sr;
  yn = 1;
  var e = ha(), r = js(), a = zo(), n = Ho();
  function s(o) {
    var i = a(o), m = n[i];
    if (typeof m != "function" || !(i in e.prototype))
      return !1;
    if (o === m)
      return !0;
    var g = r(m);
    return !!g && o === g[0];
  }
  return sr = s, sr;
}
var lr, wn;
function Bs() {
  if (wn)
    return lr;
  wn = 1;
  var e = 800, r = 16, a = Date.now;
  function n(s) {
    var o = 0, i = 0;
    return function() {
      var m = a(), g = r - (m - i);
      if (i = m, g > 0) {
        if (++o >= e)
          return arguments[0];
      } else
        o = 0;
      return s.apply(void 0, arguments);
    };
  }
  return lr = n, lr;
}
var or, _n;
function Gs() {
  if (_n)
    return or;
  _n = 1;
  var e = qs(), r = Bs(), a = r(e);
  return or = a, or;
}
var ir, xn;
function Bo() {
  if (xn)
    return ir;
  xn = 1;
  var e = /\{\n\/\* \[wrapped with (.+)\] \*/, r = /,? & /;
  function a(n) {
    var s = n.match(e);
    return s ? s[1].split(r) : [];
  }
  return ir = a, ir;
}
var cr, bn;
function Go() {
  if (bn)
    return cr;
  bn = 1;
  var e = /\{(?:\n\/\* \[wrapped with .+\] \*\/)?\n?/;
  function r(a, n) {
    var s = n.length;
    if (!s)
      return a;
    var o = s - 1;
    return n[o] = (s > 1 ? "& " : "") + n[o], n = n.join(s > 2 ? ", " : " "), a.replace(e, `{
/* [wrapped with ` + n + `] */
`);
  }
  return cr = r, cr;
}
var mr, Nn;
function Uo() {
  if (Nn)
    return mr;
  Nn = 1;
  function e(r) {
    return function() {
      return r;
    };
  }
  return mr = e, mr;
}
var dr, Cn;
function Yo() {
  if (Cn)
    return dr;
  Cn = 1;
  var e = As(), r = function() {
    try {
      var a = e(Object, "defineProperty");
      return a({}, "", {}), a;
    } catch {
    }
  }();
  return dr = r, dr;
}
var ur, Sn;
function Zo() {
  if (Sn)
    return ur;
  Sn = 1;
  var e = Uo(), r = Yo(), a = Ts(), n = r ? function(s, o) {
    return r(s, "toString", {
      configurable: !0,
      enumerable: !1,
      value: e(o),
      writable: !0
    });
  } : a;
  return ur = n, ur;
}
var fr, Rn;
function Ko() {
  if (Rn)
    return fr;
  Rn = 1;
  var e = Zo(), r = Bs(), a = r(e);
  return fr = a, fr;
}
var gr, In;
function Xo() {
  if (In)
    return gr;
  In = 1;
  function e(r, a) {
    for (var n = -1, s = r == null ? 0 : r.length; ++n < s && a(r[n], n, r) !== !1; )
      ;
    return r;
  }
  return gr = e, gr;
}
var pr, Pn;
function Jo() {
  if (Pn)
    return pr;
  Pn = 1;
  function e(r, a, n, s) {
    for (var o = r.length, i = n + (s ? 1 : -1); s ? i-- : ++i < o; )
      if (a(r[i], i, r))
        return i;
    return -1;
  }
  return pr = e, pr;
}
var hr, Fn;
function Vo() {
  if (Fn)
    return hr;
  Fn = 1;
  function e(r) {
    return r !== r;
  }
  return hr = e, hr;
}
var vr, Tn;
function Qo() {
  if (Tn)
    return vr;
  Tn = 1;
  function e(r, a, n) {
    for (var s = n - 1, o = r.length; ++s < o; )
      if (r[s] === a)
        return s;
    return -1;
  }
  return vr = e, vr;
}
var Er, Dn;
function ei() {
  if (Dn)
    return Er;
  Dn = 1;
  var e = Jo(), r = Vo(), a = Qo();
  function n(s, o, i) {
    return o === o ? a(s, o, i) : e(s, r, i);
  }
  return Er = n, Er;
}
var yr, Ln;
function ti() {
  if (Ln)
    return yr;
  Ln = 1;
  var e = ei();
  function r(a, n) {
    var s = a == null ? 0 : a.length;
    return !!s && e(a, n, 0) > -1;
  }
  return yr = r, yr;
}
var wr, An;
function ri() {
  if (An)
    return wr;
  An = 1;
  var e = Xo(), r = ti(), a = 1, n = 2, s = 8, o = 16, i = 32, m = 64, g = 128, c = 256, d = 512, f = [
    ["ary", g],
    ["bind", a],
    ["bindKey", n],
    ["curry", s],
    ["curryRight", o],
    ["flip", d],
    ["partial", i],
    ["partialRight", m],
    ["rearg", c]
  ];
  function p(u, h) {
    return e(f, function(y) {
      var v = "_." + y[0];
      h & y[1] && !r(u, v) && u.push(v);
    }), u.sort();
  }
  return wr = p, wr;
}
var _r, kn;
function Us() {
  if (kn)
    return _r;
  kn = 1;
  var e = Bo(), r = Go(), a = Ko(), n = ri();
  function s(o, i, m) {
    var g = i + "";
    return a(o, r(g, n(e(g), m)));
  }
  return _r = s, _r;
}
var xr, qn;
function Ys() {
  if (qn)
    return xr;
  qn = 1;
  var e = $o(), r = Gs(), a = Us(), n = 1, s = 2, o = 4, i = 8, m = 32, g = 64;
  function c(d, f, p, u, h, y, v, E, P, _) {
    var x = f & i, R = x ? v : void 0, k = x ? void 0 : v, C = x ? y : void 0, F = x ? void 0 : y;
    f |= x ? m : g, f &= ~(x ? g : m), f & o || (f &= ~(n | s));
    var S = [
      d,
      f,
      h,
      C,
      R,
      F,
      k,
      E,
      P,
      _
    ], A = p.apply(void 0, S);
    return e(d) && r(A, S), A.placeholder = u, a(A, d, f);
  }
  return xr = c, xr;
}
var br, Mn;
function Zs() {
  if (Mn)
    return br;
  Mn = 1;
  function e(r) {
    var a = r;
    return a.placeholder;
  }
  return br = e, br;
}
var Nr, On;
function ai() {
  if (On)
    return Nr;
  On = 1;
  var e = 9007199254740991, r = /^(?:0|[1-9]\d*)$/;
  function a(n, s) {
    var o = typeof n;
    return s = s ?? e, !!s && (o == "number" || o != "symbol" && r.test(n)) && n > -1 && n % 1 == 0 && n < s;
  }
  return Nr = a, Nr;
}
var Cr, zn;
function ni() {
  if (zn)
    return Cr;
  zn = 1;
  var e = $s(), r = ai(), a = Math.min;
  function n(s, o) {
    for (var i = s.length, m = a(o.length, i), g = e(s); m--; ) {
      var c = o[m];
      s[m] = r(c, i) ? g[c] : void 0;
    }
    return s;
  }
  return Cr = n, Cr;
}
var Sr, jn;
function va() {
  if (jn)
    return Sr;
  jn = 1;
  var e = "__lodash_placeholder__";
  function r(a, n) {
    for (var s = -1, o = a.length, i = 0, m = []; ++s < o; ) {
      var g = a[s];
      (g === n || g === e) && (a[s] = e, m[i++] = s);
    }
    return m;
  }
  return Sr = r, Sr;
}
var Rr, Wn;
function Ks() {
  if (Wn)
    return Rr;
  Wn = 1;
  var e = Os(), r = zs(), a = qo(), n = Xe(), s = Ys(), o = Zs(), i = ni(), m = va(), g = he(), c = 1, d = 2, f = 8, p = 16, u = 128, h = 512;
  function y(v, E, P, _, x, R, k, C, F, S) {
    var A = E & u, L = E & c, I = E & d, U = E & (f | p), J = E & h, Y = I ? void 0 : n(v);
    function q() {
      for (var D = arguments.length, M = Array(D), ve = D; ve--; )
        M[ve] = arguments[ve];
      if (U)
        var Ce = o(q), gt = a(M, Ce);
      if (_ && (M = e(M, _, x, U)), R && (M = r(M, R, k, U)), D -= gt, U && D < S) {
        var pt = m(M, Ce);
        return s(
          v,
          E,
          y,
          q.placeholder,
          P,
          M,
          pt,
          C,
          F,
          S - D
        );
      }
      var Se = L ? P : this, ht = I ? Se[v] : v;
      return D = M.length, C ? M = i(M, C) : J && D > 1 && M.reverse(), A && F < D && (M.length = F), this && this !== g && this instanceof q && (ht = Y || n(ht)), ht.apply(Se, M);
    }
    return q;
  }
  return Rr = y, Rr;
}
var Ir, Hn;
function si() {
  if (Hn)
    return Ir;
  Hn = 1;
  var e = Ms(), r = Xe(), a = Ks(), n = Ys(), s = Zs(), o = va(), i = he();
  function m(g, c, d) {
    var f = r(g);
    function p() {
      for (var u = arguments.length, h = Array(u), y = u, v = s(p); y--; )
        h[y] = arguments[y];
      var E = u < 3 && h[0] !== v && h[u - 1] !== v ? [] : o(h, v);
      if (u -= E.length, u < d)
        return n(
          g,
          c,
          a,
          p.placeholder,
          void 0,
          h,
          E,
          void 0,
          void 0,
          d - u
        );
      var P = this && this !== i && this instanceof p ? f : g;
      return e(P, this, h);
    }
    return p;
  }
  return Ir = m, Ir;
}
var Pr, $n;
function li() {
  if ($n)
    return Pr;
  $n = 1;
  var e = Ms(), r = Xe(), a = he(), n = 1;
  function s(o, i, m, g) {
    var c = i & n, d = r(o);
    function f() {
      for (var p = -1, u = arguments.length, h = -1, y = g.length, v = Array(y + u), E = this && this !== a && this instanceof f ? d : o; ++h < y; )
        v[h] = g[h];
      for (; u--; )
        v[h++] = arguments[++p];
      return e(E, c ? m : this, v);
    }
    return f;
  }
  return Pr = s, Pr;
}
var Fr, Bn;
function oi() {
  if (Bn)
    return Fr;
  Bn = 1;
  var e = Os(), r = zs(), a = va(), n = "__lodash_placeholder__", s = 1, o = 2, i = 4, m = 8, g = 128, c = 256, d = Math.min;
  function f(p, u) {
    var h = p[1], y = u[1], v = h | y, E = v < (s | o | g), P = y == g && h == m || y == g && h == c && p[7].length <= u[8] || y == (g | c) && u[7].length <= u[8] && h == m;
    if (!(E || P))
      return p;
    y & s && (p[2] = u[2], v |= h & s ? 0 : i);
    var _ = u[3];
    if (_) {
      var x = p[3];
      p[3] = x ? e(x, _, u[4]) : _, p[4] = x ? a(p[3], n) : u[4];
    }
    return _ = u[5], _ && (x = p[5], p[5] = x ? r(x, _, u[6]) : _, p[6] = x ? a(p[5], n) : u[6]), _ = u[7], _ && (p[7] = _), y & g && (p[8] = p[8] == null ? u[8] : d(p[8], u[8])), p[9] == null && (p[9] = u[9]), p[0] = u[0], p[1] = v, p;
  }
  return Fr = f, Fr;
}
var Tr, Gn;
function ii() {
  if (Gn)
    return Tr;
  Gn = 1;
  var e = /\s/;
  function r(a) {
    for (var n = a.length; n-- && e.test(a.charAt(n)); )
      ;
    return n;
  }
  return Tr = r, Tr;
}
var Dr, Un;
function ci() {
  if (Un)
    return Dr;
  Un = 1;
  var e = ii(), r = /^\s+/;
  function a(n) {
    return n && n.slice(0, e(n) + 1).replace(r, "");
  }
  return Dr = a, Dr;
}
var Lr, Yn;
function mi() {
  if (Yn)
    return Lr;
  Yn = 1;
  var e = Ls(), r = Hs(), a = "[object Symbol]";
  function n(s) {
    return typeof s == "symbol" || r(s) && e(s) == a;
  }
  return Lr = n, Lr;
}
var Ar, Zn;
function di() {
  if (Zn)
    return Ar;
  Zn = 1;
  var e = ci(), r = Fe(), a = mi(), n = 0 / 0, s = /^[-+]0x[0-9a-f]+$/i, o = /^0b[01]+$/i, i = /^0o[0-7]+$/i, m = parseInt;
  function g(c) {
    if (typeof c == "number")
      return c;
    if (a(c))
      return n;
    if (r(c)) {
      var d = typeof c.valueOf == "function" ? c.valueOf() : c;
      c = r(d) ? d + "" : d;
    }
    if (typeof c != "string")
      return c === 0 ? c : +c;
    c = e(c);
    var f = o.test(c);
    return f || i.test(c) ? m(c.slice(2), f ? 2 : 8) : s.test(c) ? n : +c;
  }
  return Ar = g, Ar;
}
var kr, Kn;
function ui() {
  if (Kn)
    return kr;
  Kn = 1;
  var e = di(), r = 1 / 0, a = 17976931348623157e292;
  function n(s) {
    if (!s)
      return s === 0 ? s : 0;
    if (s = e(s), s === r || s === -r) {
      var o = s < 0 ? -1 : 1;
      return o * a;
    }
    return s === s ? s : 0;
  }
  return kr = n, kr;
}
var qr, Xn;
function fi() {
  if (Xn)
    return qr;
  Xn = 1;
  var e = ui();
  function r(a) {
    var n = e(a), s = n % 1;
    return n === n ? s ? n - s : n : 0;
  }
  return qr = r, qr;
}
var Mr, Jn;
function gi() {
  if (Jn)
    return Mr;
  Jn = 1;
  var e = qs(), r = ko(), a = si(), n = Ks(), s = li(), o = js(), i = oi(), m = Gs(), g = Us(), c = fi(), d = "Expected a function", f = 1, p = 2, u = 8, h = 16, y = 32, v = 64, E = Math.max;
  function P(_, x, R, k, C, F, S, A) {
    var L = x & p;
    if (!L && typeof _ != "function")
      throw new TypeError(d);
    var I = k ? k.length : 0;
    if (I || (x &= ~(y | v), k = C = void 0), S = S === void 0 ? S : E(c(S), 0), A = A === void 0 ? A : c(A), I -= C ? C.length : 0, x & v) {
      var U = k, J = C;
      k = C = void 0;
    }
    var Y = L ? void 0 : o(_), q = [
      _,
      x,
      R,
      k,
      C,
      U,
      J,
      F,
      S,
      A
    ];
    if (Y && i(q, Y), _ = q[0], x = q[1], R = q[2], k = q[3], C = q[4], A = q[9] = q[9] === void 0 ? L ? 0 : _.length : E(q[9] - I, 0), !A && x & (u | h) && (x &= ~(u | h)), !x || x == f)
      var D = r(_, x, R);
    else
      x == u || x == h ? D = a(_, x, A) : (x == y || x == (f | y)) && !C.length ? D = s(_, x, R, k) : D = n.apply(void 0, q);
    var M = Y ? e : m;
    return g(M(D, q), _, x);
  }
  return Mr = P, Mr;
}
var Or, Vn;
function pi() {
  if (Vn)
    return Or;
  Vn = 1;
  var e = gi(), r = 8;
  function a(n, s, o) {
    s = o ? void 0 : s;
    var i = e(n, r, void 0, void 0, void 0, void 0, void 0, s);
    return i.placeholder = a.placeholder, i;
  }
  return a.placeholder = {}, Or = a, Or;
}
var Qn;
function Ea() {
  if (Qn)
    return V;
  Qn = 1;
  var e = Ne;
  V.__esModule = !0, V.prefix = V.defaultClassPrefix = V.getClassNamePrefix = V.globalKey = void 0;
  var r = e(pi()), a = e(fa()), n = "rs-";
  V.globalKey = n;
  var s = function() {
    return n;
  };
  V.getClassNamePrefix = s;
  var o = function(g) {
    return g ? "" + s() + g : void 0;
  };
  V.defaultClassPrefix = o;
  var i = (0, r.default)(function(m, g) {
    return !m || !g ? "" : Array.isArray(g) ? (0, a.default)(g.filter(function(c) {
      return !!c;
    }).map(function(c) {
      return m + "-" + c;
    })) : m + "-" + g;
  });
  return V.prefix = i, V;
}
var ke = { exports: {} }, es;
function hi() {
  return es || (es = 1, function(e, r) {
    var a = Ne;
    r.__esModule = !0, r.default = i;
    var n = Ea(), s = a(fa()), o = t;
    function i(m) {
      var g = (0, n.defaultClassPrefix)("icon"), c = (0, o.useCallback)(function(d) {
        return (0, n.prefix)(g, d);
      }, []);
      return [(0, s.default)(g, (0, n.defaultClassPrefix)(m)), c];
    }
    e.exports = r.default;
  }(ke, ke.exports)), ke.exports;
}
var qe = { exports: {} }, ts;
function vi() {
  return ts || (ts = 1, function(e, r) {
    r.__esModule = !0, r.default = a;
    function a() {
      return typeof document < "u" && typeof window < "u" && typeof document.createElement == "function";
    }
    e.exports = r.default;
  }(qe, qe.exports)), qe.exports;
}
var Me = { exports: {} }, Oe = { exports: {} }, rs;
function Ei() {
  if (rs)
    return Oe.exports;
  rs = 1;
  var e = [], r = [], a = "insert-css: You need to provide a CSS string. Usage: insertCss(cssString[, options]).";
  function n(o, i) {
    if (i = i || {}, o === void 0)
      throw new Error(a);
    var m = i.prepend === !0 ? "prepend" : "append", g = i.container !== void 0 ? i.container : document.querySelector("head"), c = e.indexOf(g);
    c === -1 && (c = e.push(g) - 1, r[c] = {});
    var d;
    return r[c] !== void 0 && r[c][m] !== void 0 ? d = r[c][m] : (d = r[c][m] = s(), m === "prepend" ? g.insertBefore(d, g.childNodes[0]) : g.appendChild(d)), o.charCodeAt(0) === 65279 && (o = o.substr(1, o.length)), d.styleSheet ? d.styleSheet.cssText += o : d.textContent += o, d;
  }
  function s() {
    var o = document.createElement("style");
    return o.setAttribute("type", "text/css"), o;
  }
  return Oe.exports = n, Oe.exports.insertCss = n, Oe.exports;
}
var as;
function yi() {
  return as || (as = 1, function(e, r) {
    r.__esModule = !0, r.default = void 0;
    var a = Ei(), n = Ea(), s = t, o = (0, n.getClassNamePrefix)(), i = "." + o + `icon {
  display: -webkit-inline-box;
  display: -ms-inline-flexbox;
  display: inline-flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  vertical-align: middle;
}
.` + o + `icon[tabindex] {
  cursor: pointer;
}
.` + o + `icon-spin {
  -webkit-animation: icon-spin 2s infinite linear;
          animation: icon-spin 2s infinite linear;
}
.` + o + `icon-pulse {
  -webkit-animation: icon-spin 1s infinite steps(8);
          animation: icon-spin 1s infinite steps(8);
}
.` + o + `icon-flip-horizontal {
  -webkit-transform: scaleX(-1);
      -ms-transform: scaleX(-1);
          transform: scaleX(-1);
}
.` + o + `icon-flip-vertical {
  -webkit-transform: scaleY(-1);
      -ms-transform: scaleY(-1);
          transform: scaleY(-1);
}
@-webkit-keyframes icon-spin {
  0% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(359deg);
            transform: rotate(359deg);
  }
}
@keyframes icon-spin {
  0% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(359deg);
            transform: rotate(359deg);
  }
}`, m = !1, g = function(f) {
      f === void 0 && (f = i), (0, s.useEffect)(function() {
        m || ((0, a.insertCss)(f, {
          prepend: !0
        }), m = !0);
      }, []);
    }, c = g;
    r.default = c, e.exports = r.default;
  }(Me, Me.exports)), Me.exports;
}
var ns;
function wi() {
  return ns || (ns = 1, function(e) {
    var r = Ne;
    e.__esModule = !0;
    var a = {
      useClassNames: !0,
      inBrowserEnv: !0,
      useInsertStyles: !0
    };
    e.useInsertStyles = e.inBrowserEnv = e.useClassNames = void 0;
    var n = Ea();
    Object.keys(n).forEach(function(m) {
      m === "default" || m === "__esModule" || Object.prototype.hasOwnProperty.call(a, m) || m in e && e[m] === n[m] || (e[m] = n[m]);
    });
    var s = r(hi());
    e.useClassNames = s.default;
    var o = r(vi());
    e.inBrowserEnv = o.default;
    var i = r(yi());
    e.useInsertStyles = i.default;
  }(_t)), _t;
}
var ss;
function _i() {
  return ss || (ss = 1, function(e, r) {
    var a = Ne;
    r.__esModule = !0, r.default = void 0;
    var n = a(Fs()), s = a(No()), o = a(t), i = a(fa()), m = a(Nl), g = wi(), c = {
      as: "svg",
      fill: "currentColor",
      width: "1em",
      height: "1em"
    };
    function d(u) {
      var h = {};
      return Object.entries(u).forEach(function(y) {
        var v = y[0], E = y[1];
        typeof E < "u" && (h[v] = E);
      }), h;
    }
    var f = /* @__PURE__ */ o.default.forwardRef(function(u, h) {
      var y, v = u.as, E = u.spin, P = u.pulse, _ = u.flip, x = u.fill, R = u.className, k = u.rotate, C = u.children, F = u.viewBox, S = u.width, A = u.height, L = u.style, I = (0, s.default)(u, ["as", "spin", "pulse", "flip", "fill", "className", "rotate", "children", "viewBox", "width", "height", "style"]), U = (0, g.useClassNames)(), J = U[0], Y = U[1], q = (0, i.default)(R, J, (y = {}, y[Y("spin")] = E, y[Y("pulse")] = P, y[Y("flip-" + _)] = !!_, y)), D = {
        msTransform: "rotate(" + k + "deg)",
        transform: "rotate(" + k + "deg)"
      };
      (0, g.useInsertStyles)();
      var M = d({
        width: S,
        height: A,
        fill: x,
        viewBox: F,
        className: q,
        style: k ? (0, n.default)({}, D, L) : L
      });
      return /* @__PURE__ */ o.default.createElement(v, (0, n.default)({
        "aria-hidden": !0,
        focusable: !1,
        ref: h
      }, M, I), C);
    });
    f.displayName = "Icon", f.defaultProps = c, f.propTypes = {
      spin: m.default.bool,
      pulse: m.default.bool,
      rotate: m.default.number,
      viewBox: m.default.string,
      as: m.default.oneOfType([m.default.elementType, m.default.string]),
      flip: m.default.oneOf(["horizontal", "vertical"]),
      fill: m.default.string
    };
    var p = f;
    r.default = p, e.exports = r.default;
  }(Ae, Ae.exports)), Ae.exports;
}
var ls;
function xi() {
  return ls || (ls = 1, function(e, r) {
    var a = Ne;
    r.__esModule = !0, r.default = void 0;
    var n = a(Fs()), s = a(t), o = a(_i());
    function i(g) {
      var c = g.as, d = g.ariaLabel, f = g.displayName, p = g.category, u = /* @__PURE__ */ s.default.forwardRef(function(h, y) {
        return /* @__PURE__ */ s.default.createElement(o.default, (0, n.default)({
          "aria-label": d,
          "data-category": p,
          ref: y,
          as: c
        }, h));
      });
      return u.displayName = f, u;
    }
    var m = i;
    r.default = m, e.exports = r.default;
  }(Le, Le.exports)), Le.exports;
}
var zr = {}, os;
function bi() {
  return os || (os = 1, function(e) {
    function r(c) {
      "@babel/helpers - typeof";
      return typeof Symbol == "function" && typeof Symbol.iterator == "symbol" ? r = function(f) {
        return typeof f;
      } : r = function(f) {
        return f && typeof Symbol == "function" && f.constructor === Symbol && f !== Symbol.prototype ? "symbol" : typeof f;
      }, r(c);
    }
    Object.defineProperty(e, "__esModule", {
      value: !0
    }), e.default = void 0;
    var a = s(t);
    function n() {
      if (typeof WeakMap != "function")
        return null;
      var c = /* @__PURE__ */ new WeakMap();
      return n = function() {
        return c;
      }, c;
    }
    function s(c) {
      if (c && c.__esModule)
        return c;
      if (c === null || r(c) !== "object" && typeof c != "function")
        return { default: c };
      var d = n();
      if (d && d.has(c))
        return d.get(c);
      var f = {}, p = Object.defineProperty && Object.getOwnPropertyDescriptor;
      for (var u in c)
        if (Object.prototype.hasOwnProperty.call(c, u)) {
          var h = p ? Object.getOwnPropertyDescriptor(c, u) : null;
          h && (h.get || h.set) ? Object.defineProperty(f, u, h) : f[u] = c[u];
        }
      return f.default = c, d && d.set(c, f), f;
    }
    function o() {
      return o = Object.assign || function(c) {
        for (var d = 1; d < arguments.length; d++) {
          var f = arguments[d];
          for (var p in f)
            Object.prototype.hasOwnProperty.call(f, p) && (c[p] = f[p]);
        }
        return c;
      }, o.apply(this, arguments);
    }
    function i(c, d) {
      return /* @__PURE__ */ a.createElement("svg", o({
        width: "1em",
        height: "1em",
        viewBox: "0 0 16 16",
        fill: "currentColor",
        ref: d
      }, c), /* @__PURE__ */ a.createElement("path", {
        d: "M8 15A7 7 0 108 1a7 7 0 000 14zm0 1A8 8 0 118 0a8 8 0 010 16z"
      }), /* @__PURE__ */ a.createElement("path", {
        d: "M9 5a1 1 0 11-2 0 1 1 0 012 0zM8 7a1 1 0 011 1v3a1 1 0 01-2 0V8a1 1 0 011-1z"
      }));
    }
    var m = /* @__PURE__ */ a.forwardRef(i), g = m;
    e.default = g;
  }(zr)), zr;
}
(function(e, r) {
  var a = Ne;
  r.__esModule = !0, r.default = void 0;
  var n = a(xi()), s = a(bi()), o = (0, n.default)({
    as: s.default,
    ariaLabel: "info outline",
    category: "status",
    displayName: "InfoOutline"
  }), i = o;
  r.default = i, e.exports = r.default;
})($r, $r.exports);
var Ni = $r.exports;
(function(e) {
  Object.defineProperty(e, "__esModule", {
    value: !0
  }), Object.defineProperty(e, "default", {
    enumerable: !0,
    get: function() {
      return r.default;
    }
  });
  var r = a(Ni);
  function a(n) {
    return n && n.__esModule ? n : { default: n };
  }
})(Is);
const Ci = /* @__PURE__ */ bo(Is), Xs = ({ className: e, info: r }) => /* @__PURE__ */ t.createElement(wo, null, /* @__PURE__ */ t.createElement(_o, null, /* @__PURE__ */ t.createElement(xo, { asChild: !0 }, /* @__PURE__ */ t.createElement("span", { className: b("icon", e) }, /* @__PURE__ */ t.createElement(Ci, { style: { fontSize: "0.9rem", marginLeft: "8px", cursor: "pointer" } }))), /* @__PURE__ */ t.createElement(Rs, null, /* @__PURE__ */ t.createElement("p", null, r))));
Xs.displayName = "TooltipViwer";
const Si = Xs, ya = wl, Js = l.createContext(
  {}
), wa = ({
  ...e
}) => /* @__PURE__ */ l.createElement(Js.Provider, { value: { name: e.name } }, /* @__PURE__ */ l.createElement(_l, { ...e })), Je = () => {
  const e = l.useContext(Js), r = l.useContext(Vs), { getFieldState: a, formState: n } = hs(), s = a(e.name, n);
  if (!e)
    throw new Error("useFormField should be used within <FormField>");
  const { id: o } = r;
  return {
    id: o,
    name: e.name,
    formItemId: `${o}-form-item`,
    formDescriptionId: `${o}-form-item-description`,
    formMessageId: `${o}-form-item-message`,
    ...s
  };
}, Vs = l.createContext(
  {}
), Ve = l.forwardRef(({ className: e, ...r }, a) => {
  const n = l.useId();
  return /* @__PURE__ */ l.createElement(Vs.Provider, { value: { id: n } }, /* @__PURE__ */ l.createElement("div", { ref: a, className: b("space-y-2", e), ...r }));
});
Ve.displayName = "FormItem";
const Qe = l.forwardRef(({ className: e, info: r, required: a, ...n }, s) => {
  const { error: o, formItemId: i } = Je();
  return /* @__PURE__ */ l.createElement("div", { className: "flex items-center" }, /* @__PURE__ */ l.createElement(
    Ss,
    {
      ref: s,
      className: b(o && "text-destructive", e),
      htmlFor: i,
      ...n
    }
  ), a && /* @__PURE__ */ l.createElement("p", { className: "text-red-500 ml-1" }, "*"), r && /* @__PURE__ */ l.createElement(Si, { info: r }));
});
Qe.displayName = "FormLabel";
const Qs = l.forwardRef(({ ...e }, r) => {
  const { error: a, formItemId: n, formDescriptionId: s, formMessageId: o } = Je();
  return /* @__PURE__ */ l.createElement(
    ps,
    {
      ref: r,
      id: n,
      "aria-describedby": a ? `${s} ${o}` : `${s}`,
      "aria-invalid": !!a,
      ...e
    }
  );
});
Qs.displayName = "FormControl";
const el = l.forwardRef(({ className: e, ...r }, a) => {
  const { formDescriptionId: n } = Je();
  return /* @__PURE__ */ l.createElement(
    "p",
    {
      ref: a,
      id: n,
      className: b("text-sm text-muted-foreground", e),
      ...r
    }
  );
});
el.displayName = "FormDescription";
const et = l.forwardRef(({ className: e, children: r, ...a }, n) => {
  const { error: s, formMessageId: o } = Je(), i = s ? String(s == null ? void 0 : s.message) : r;
  return i ? /* @__PURE__ */ l.createElement(
    "p",
    {
      ref: n,
      id: o,
      className: b("text-sm font-medium text-destructive", e),
      ...a
    },
    i
  ) : null;
});
et.displayName = "FormMessage";
function _a({ children: e, className: r, onSubmit: a }) {
  return /* @__PURE__ */ t.createElement("form", { onSubmit: a, className: r }, e);
}
const Te = t.forwardRef(
  ({ className: e, type: r = "text", pattern: a, minLength: n, maxLength: s, info: o, ...i }, m) => {
    const [g, c] = N(!1), d = (f) => {
      const p = f.target.value;
      let u = p;
      switch (a) {
        case "Text":
          u = p.replace(/^\s+|[^A-Za-z]+/g, "");
          break;
        case "Email":
          u = p.replace(/[^A-Za-z0-9@._-]/g, "").toLowerCase();
          break;
        case "Number":
          u = p.replace(/[^\d]/g, "");
          break;
        case "GST":
          u = p.replace(/[^A-Za-z0-9]/g, "").toUpperCase();
          break;
        case "URL":
          u = p.replace(/[^A-Za-z0-9!@#$%^&*_+\-=;:'",./?]/g, "");
          break;
        case "Decimal": {
          u = p.replace(/[^\d.]/g, "");
          const h = u.split(".");
          if (h.length > 2) {
            const y = h.shift(), v = h.join("");
            u = y + "." + v;
          } else
            h[0] = h[0].slice(0, 9), h[1] && (h[1] = h[1].slice(0, 2)), u = h.join(".");
          break;
        }
        case "Text With Space":
          u = p.replace(/^\s+|[^A-Za-z\s]+/g, "");
          break;
        case "Text Number":
          u = p.replace(/[^A-Za-z0-9]/g, "");
          break;
        case "Upper Case":
          u = p.replace(/^\s+|[^A-Za-z\s]+/g, "").toUpperCase();
          break;
        case "Lower Case":
          u = p.replace(/^\s+|[^A-Za-z\s]+/g, "").toLowerCase();
          break;
        case "Init Caps":
          u = p.replace(/^\s+|[^A-Za-z\s]+/g, "").charAt(0).toUpperCase() + p.replace(/^\s+|[^A-Za-z\s]+/g, "").slice(1).toLowerCase();
          break;
        default:
          u = p;
          break;
      }
      f.target.value = u;
    };
    return /* @__PURE__ */ t.createElement("div", { className: "flex items-center space-x-2 relative" }, /* @__PURE__ */ t.createElement(
      "input",
      {
        type: r === "password" ? g ? "text" : "password" : r,
        minLength: n,
        maxLength: s,
        className: b(
          "flex-1 h-10 w-full rounded-md border border-input bg-background px-3 py-2 text-sm ring-offset-background file:border-0 file:bg-transparent file:text-sm file:font-medium placeholder:text-muted-foreground focus-visible:outline-none focus-visible:ring-2 focus-visible:ring-ring focus-visible:ring-offset-2 disabled:cursor-not-allowed disabled:opacity-50",
          e
        ),
        ref: m,
        onInput: d,
        ...i
      }
    ), r === "password" && /* @__PURE__ */ t.createElement(
      "span",
      {
        onClick: () => c((f) => !f),
        className: "absolute top-1/2 transform -translate-y-1/2 right-14 cursor-pointer"
      },
      g ? /* @__PURE__ */ t.createElement(Pa, { icon: Cl }) : /* @__PURE__ */ t.createElement(Pa, { icon: Sl })
    ));
  }
);
Te.displayName = "Input";
function ne({
  label: e,
  name: r,
  description: a,
  form: n,
  pattern: s,
  maxLength: o,
  minLength: i,
  type: m,
  info: g,
  placeholder: c,
  required: d
}) {
  return /* @__PURE__ */ t.createElement(
    wa,
    {
      control: n.control,
      name: r,
      rules: {
        required: `${a} is required`,
        minLength: i ? {
          value: i,
          message: `${a} must be at least ${i} characters`
        } : void 0,
        maxLength: o ? {
          value: o,
          message: `${a} must not exceed ${o} characters`
        } : void 0
      },
      render: ({ field: f }) => /* @__PURE__ */ t.createElement(Ve, null, /* @__PURE__ */ t.createElement(Qe, { info: g, required: d }, e), /* @__PURE__ */ t.createElement(Qs, null, /* @__PURE__ */ t.createElement(
        Te,
        {
          info: g,
          type: m,
          placeholder: c,
          minLength: i,
          maxLength: o,
          pattern: s,
          ...f
        }
      )), /* @__PURE__ */ t.createElement(et, null))
    }
  );
}
function Ri({ placeholder: e, info: r, label: a, required: n, name: s, description: o, options: i, returnLabel: m, displayLabel: g }) {
  const { control: c } = hs(), d = i.map((p) => ({
    ...p,
    value: p && m ? p[m] : p,
    label: p && g ? p[g] : p
  })), f = (p) => d.find((u) => u.value === p);
  return /* @__PURE__ */ t.createElement(
    wa,
    {
      control: c,
      name: s,
      render: ({ field: p }) => /* @__PURE__ */ t.createElement(Ve, null, /* @__PURE__ */ t.createElement(Qe, { info: r, required: n }, a), /* @__PURE__ */ t.createElement(
        Es,
        {
          options: d,
          onChange: (u) => p.onChange(u ? u.value : ""),
          value: f(p.value),
          placeholder: e,
          className: "react-select-container",
          classNamePrefix: "react-select"
        }
      ), /* @__PURE__ */ t.createElement(el, null, o), /* @__PURE__ */ t.createElement(et, null))
    }
  );
}
function Ii({ displayLabel: e, name: r, options: a, form: n, info: s, required: o, label: i }) {
  const m = a.map((c) => !c.hasOwnProperty("label") || !c.hasOwnProperty("value") ? {
    ...c,
    label: e && c.hasOwnProperty(e) ? c[e] : "Select",
    value: e && c.hasOwnProperty(e) ? c[e] : "Select"
  } : c), g = (c) => !c || typeof c != "object" || !c.hasOwnProperty("label") || !c.hasOwnProperty("value") ? {
    ...c,
    label: e && (c != null && c.hasOwnProperty(e)) ? c[e] : "Select",
    value: e && (c != null && c.hasOwnProperty(e)) ? c[e] : "Select"
  } : c;
  return /* @__PURE__ */ t.createElement(
    wa,
    {
      control: n.control,
      name: r,
      render: ({ field: c }) => /* @__PURE__ */ t.createElement(Ve, null, /* @__PURE__ */ t.createElement(Qe, { info: s, required: o }, i), /* @__PURE__ */ t.createElement(
        Es,
        {
          value: g(c.value),
          onChange: c.onChange,
          options: m
        }
      ), /* @__PURE__ */ t.createElement(et, null))
    }
  );
}
function xa({ returnLabel: e, displayLabel: r, name: a, options: n, form: s, info: o, required: i, label: m, placeholder: g }) {
  return !!(r && !e) ? /* @__PURE__ */ t.createElement(
    Ii,
    {
      name: a,
      options: n,
      form: s,
      displayLabel: r,
      returnLabel: e,
      info: o,
      label: m,
      placeholder: g,
      required: i
    }
  ) : /* @__PURE__ */ t.createElement(
    Ri,
    {
      name: a,
      options: n,
      form: s,
      displayLabel: r,
      returnLabel: e,
      info: o,
      label: m,
      placeholder: g,
      required: i
    }
  );
}
const Pi = ({
  submitType: e,
  // submitVariant,
  // clearVariant,
  submitlabel: r,
  clearlabel: a,
  loader: n,
  clearAction: s
}) => /* @__PURE__ */ t.createElement(t.Fragment, null, /* @__PURE__ */ t.createElement("div", { style: { display: "flex", flexDirection: "row", gap: "10px", justifyContent: "end" } }, a && /* @__PURE__ */ t.createElement(T, { type: "button", onClick: s }, a), r && /* @__PURE__ */ t.createElement(T, { type: e }, n ? /* @__PURE__ */ t.createElement(gl, { className: "h-6 w-6 animate-spin" }) : r))), ba = Pi, Fi = 1, Ti = 1e6;
let jr = 0;
function Di() {
  return jr = (jr + 1) % Number.MAX_SAFE_INTEGER, jr.toString();
}
const Wr = /* @__PURE__ */ new Map(), is = (e) => {
  if (Wr.has(e))
    return;
  const r = setTimeout(() => {
    Wr.delete(e), We({
      type: "REMOVE_TOAST",
      toastId: e
    });
  }, Ti);
  Wr.set(e, r);
}, Li = (e, r) => {
  switch (r.type) {
    case "ADD_TOAST":
      return {
        ...e,
        toasts: [r.toast, ...e.toasts].slice(0, Fi)
      };
    case "UPDATE_TOAST":
      return {
        ...e,
        toasts: e.toasts.map(
          (a) => a.id === r.toast.id ? { ...a, ...r.toast } : a
        )
      };
    case "DISMISS_TOAST": {
      const { toastId: a } = r;
      return a ? is(a) : e.toasts.forEach((n) => {
        is(n.id);
      }), {
        ...e,
        toasts: e.toasts.map(
          (n) => n.id === a || a === void 0 ? {
            ...n,
            open: !1
          } : n
        )
      };
    }
    case "REMOVE_TOAST":
      return r.toastId === void 0 ? {
        ...e,
        toasts: []
      } : {
        ...e,
        toasts: e.toasts.filter((a) => a.id !== r.toastId)
      };
  }
}, Ai = [];
let Hr = { toasts: [] };
function We(e) {
  Hr = Li(Hr, e), Ai.forEach((r) => {
    r(Hr);
  });
}
function j({ ...e }) {
  const r = Di(), a = (s) => We({
    type: "UPDATE_TOAST",
    toast: { ...s, id: r }
  }), n = () => We({ type: "DISMISS_TOAST", toastId: r });
  return We({
    type: "ADD_TOAST",
    toast: {
      ...e,
      id: r,
      open: !0,
      onOpenChange: (s) => {
        s || n();
      }
    }
  }), {
    id: r,
    dismiss: n,
    update: a
  };
}
const ki = /^[^\s@]+@[^\s@]+\.[^\s@]+$/, qi = w.object({
  name: w.string().min(1, "Name is required."),
  // other fields...
  subscription_details: w.object({
    plan_id: w.string(),
    plan_name: w.string(),
    plan_validity: w.string()
  }).refine((e) => Object.values(e).every((r) => r !== ""), { message: "Subscription details are required" }),
  // status: z.string().min(1, 'required'),
  email: w.string().min(1, { message: "Email is required" }).refine((e) => ki.test(e), { message: "Invalid email format" }),
  phone: w.string().min(1, { message: "Phone number is required" }).min(8, { message: "Phone number must be at least 8 digits long" })
});
function cs({ defaultValue: e, isEdit: r, onRefresh: a, setShowSideNav: n, supabase: s }) {
  const [o, i] = N(!1), [m, g] = N([{
    plan_id: "1",
    plan_name: "Standard",
    plan_validity: "2024-06-02"
  }, {
    plan_id: "2",
    plan_name: "Enterprice",
    plan_validity: "2024-06-02"
  }]), c = {
    id: (e == null ? void 0 : e.id) || "",
    name: (e == null ? void 0 : e.name) || "",
    email: (e == null ? void 0 : e.email) || "",
    phone: (e == null ? void 0 : e.phone) || "",
    country_code: "+91",
    plan_id: "1",
    plan_name: "Standard",
    subscription_details: (e == null ? void 0 : e.subscription_details) || {
      plan_id: "",
      plan_name: "",
      plan_validity: ""
    },
    status: (e == null ? void 0 : e.status) || "",
    default_user_id: (e == null ? void 0 : e.default_user_id) || "00000000-0000-0000-0000-000000000000",
    default_user_name: (e == null ? void 0 : e.default_user_name) || "",
    created_by: (e == null ? void 0 : e.created_by) || "00000000-0000-0000-0000-000000000000",
    modified_by: (e == null ? void 0 : e.modified_by) || "00000000-0000-0000-0000-000000000000",
    created_at: (e == null ? void 0 : e.created_at) || /* @__PURE__ */ new Date(),
    updated_at: (e == null ? void 0 : e.updated_at) || /* @__PURE__ */ new Date()
  };
  console.log("defaultValues");
  const d = na({
    resolver: He(qi),
    defaultValues: c
  });
  $(() => {
    console.log(e, "phonephonephonephone");
    async function p(u, h) {
      try {
        const { data: y, error: v } = await s.from("tenant").select("*");
        v ? console.error(`Error fetching data from ${u}:`, v.message) : h(y || []);
      } catch (y) {
        console.error(`Error fetching data from ${u}:`, y);
      }
    }
    p("roles", g);
  }, []);
  async function f(p) {
    try {
      if (r) {
        i(!0);
        const { error: u } = await s.auth.updateTenant(d.getValues());
        u ? setTimeout(() => {
          j({
            title: "Error",
            variant: "destructive",
            description: /* @__PURE__ */ t.createElement("pre", { className: "mt-2 w-[340px] rounded-md bg-slate-950 p-4" }, /* @__PURE__ */ t.createElement("code", { className: "text-white" }, u.message))
          }), i(!1);
        }, 2e3) : (setTimeout(() => {
          i(!1), d.reset(), j({
            title: "You submitted the following values:",
            description: /* @__PURE__ */ t.createElement("pre", { className: "mt-2 w-[340px] rounded-md bg-slate-950 p-4" }, /* @__PURE__ */ t.createElement("code", { className: "text-white" }, "Successfully Updated"))
          });
        }, 2e3), a(), n(!1));
      } else {
        i(!0), console.log("Create Request Data :", d.getValues);
        const { error: u } = await s.auth.createTenant(d.getValues());
        u ? setTimeout(() => {
          j({
            title: "Error",
            variant: "destructive",
            description: /* @__PURE__ */ t.createElement("pre", { className: "mt-2 w-[340px] rounded-md bg-slate-950 p-4" }, /* @__PURE__ */ t.createElement("code", { className: "text-white" }, u.message))
          }), i(!1);
        }, 2e3) : (setTimeout(() => {
          i(!1), d.reset(), j({
            title: "You submitted the following values:",
            description: /* @__PURE__ */ t.createElement("pre", { className: "mt-2 w-[340px] rounded-md bg-slate-950 p-4" }, /* @__PURE__ */ t.createElement("code", { className: "text-white" }, "Successfully Created"))
          });
        }, 2e3), a(), n(!1));
      }
    } catch (u) {
      console.error("Error fetching customers:", u);
    }
  }
  return /* @__PURE__ */ t.createElement("div", { style: { height: "80vh", overflowY: "auto" } }, " ", /* @__PURE__ */ t.createElement("div", { style: { marginLeft: "4px", marginRight: "4px" } }, /* @__PURE__ */ t.createElement(ya, { ...d }, /* @__PURE__ */ t.createElement(_a, { onSubmit: d.handleSubmit(f), className: "space-y-8" }, /* @__PURE__ */ t.createElement("div", { style: { fontWeight: "700", fontSize: "20px" } }), /* @__PURE__ */ t.createElement("div", { style: { display: "grid", gridTemplateColumns: "repeat(2, 1fr)", gap: "20px" } }, /* @__PURE__ */ t.createElement(
    ne,
    {
      label: "Name",
      name: "name",
      required: !0,
      type: "character varying",
      placeholder: "Name",
      form: d
    }
  ), /* @__PURE__ */ t.createElement(
    xa,
    {
      label: "Subscription Details",
      placeholder: "Subscription Details",
      required: !0,
      name: "subscription_details",
      options: m,
      form: d,
      displayLabel: "plan_name"
    }
  ), /* @__PURE__ */ t.createElement(
    ne,
    {
      label: "Phone Number",
      name: "phone",
      type: "character varying",
      placeholder: "Phone Number",
      form: d,
      required: !0
    }
  ), /* @__PURE__ */ t.createElement(
    ne,
    {
      label: "Email",
      name: "email",
      type: "character varying",
      placeholder: "Email",
      required: !0,
      form: d,
      pattern: "Email"
    }
  )), /* @__PURE__ */ t.createElement(
    ba,
    {
      submitVariant: "default",
      clearVariant: "outline",
      submitlabel: "Submit",
      clearlabel: r === !1 ? "Clear" : void 0,
      submitType: "submit",
      clearAction: () => d.reset({ ...c, phone: "" }),
      loader: o
    }
  )))));
}
function tl({ showSideNav: e, onRefresh: r, data: a, onClose: n, isEdit: s = !1, setShowSideNav: o, supabase: i }) {
  const [m, g] = l.useState([]);
  async function c(f) {
    const { data: p, error: u } = await i.auth.getTenantById({ id: f });
    return u ? (console.error("Error fetching tenant details:", u.message), []) : w.array(Cs).parse([p.role.Tenant]);
  }
  l.useEffect(() => {
    e && (a != null && a.id) && (async () => {
      const f = await c(a.id);
      g(f);
    })();
  }, [e, a == null ? void 0 : a.id]), l.useEffect(() => {
    console.log("tenantDetail", m);
  }, [m]);
  const d = () => {
    n();
  };
  return /* @__PURE__ */ l.createElement(ua, { open: e, onOpenChange: d }, /* @__PURE__ */ l.createElement(Ue, { className: "w-[800px]", style: {
    maxWidth: "100%"
  } }, /* @__PURE__ */ l.createElement(Ye, { className: "px-2" }, /* @__PURE__ */ l.createElement(Ze, null, "TANENT"), /* @__PURE__ */ l.createElement(Ke, null, `${s ? "Update a tanent" : "Create a tanent"}`)), s && (m == null ? void 0 : m.length) > 0 ? /* @__PURE__ */ l.createElement(cs, { onRefresh: r, setShowSideNav: o, isEdit: s, defaultValue: m[0], supabase: i }) : s ? "Loading" : /* @__PURE__ */ l.createElement(cs, { setShowSideNav: o, onRefresh: r, isEdit: s, defaultValue: void 0, supabase: i })));
}
const Mi = ({
  onRefresh: e,
  onCallDelete: r,
  supabase: a
}) => [
  {
    id: "select",
    header: ({ table: n }) => /* @__PURE__ */ t.createElement(
      de,
      {
        checked: n.getIsAllPageRowsSelected() ? !0 : n.getIsSomePageRowsSelected() ? "indeterminate" : !1,
        onCheckedChange: (s) => n.toggleAllPageRowsSelected(!!s),
        "aria-label": "Select all",
        className: "translate-y-[2px]"
      }
    ),
    cell: ({ row: n }) => /* @__PURE__ */ t.createElement(
      de,
      {
        checked: n.getIsSelected(),
        onCheckedChange: (s) => n.toggleSelected(!!s),
        "aria-label": "Select row",
        className: "translate-y-[2px]"
      }
    ),
    enableSorting: !1,
    enableHiding: !1
  },
  {
    accessorKey: "name",
    header: ({ column: n }) => /* @__PURE__ */ t.createElement(Re, { column: n, title: "Name" }),
    cell: ({ row: n }) => /* @__PURE__ */ t.createElement("div", { className: "w-[80px]" }, n.getValue("name")),
    enableSorting: !1,
    enableHiding: !1
  },
  {
    accessorKey: "email",
    header: ({ column: n }) => /* @__PURE__ */ t.createElement(Re, { column: n, title: "Email" }),
    cell: ({ row: n }) => /* @__PURE__ */ t.createElement("div", { className: "w-[80px]" }, n.getValue("email")),
    enableSorting: !1,
    enableHiding: !1
  },
  {
    accessorKey: "country_code",
    header: ({ column: n }) => /* @__PURE__ */ t.createElement(Re, { column: n, title: "" }),
    cell: ({ row: n }) => {
      console.log("Country Code:", n.getValue("country_code"));
    },
    enableSorting: !1,
    enableHiding: !1
  },
  {
    accessorKey: "phone",
    header: ({ column: n }) => /* @__PURE__ */ t.createElement(Re, { column: n, title: "Phone" }),
    cell: ({ row: n }) => /* @__PURE__ */ t.createElement("div", { className: "w-[125px]", style: { width: "" } }, n.getValue("country_code") + "-" + n.getValue("phone")),
    enableSorting: !1,
    enableHiding: !1
  },
  // {
  //   accessorKey: "default_user_name",
  //   header: ({ column }) => (
  //     <DataTableColumnHeader column={column} title="Default UserName" />
  //   ),
  //   cell: ({ row }) => {
  //     const label = labels.find((label) => label.value === row.original.default_user_name)
  //     return (
  //       <div className="flex space-x-2">
  //         {label && <Badge variant="outline">{label.label}</Badge>}
  //         <span className="max-w-[500px] truncate font-medium">
  //           {row.getValue("default_user_name")}
  //         </span>
  //       </div>
  //     )
  //   },
  // },
  {
    accessorKey: "status",
    header: ({ column: n }) => /* @__PURE__ */ t.createElement(Re, { column: n, title: "Status" }),
    cell: ({ row: n }) => {
      const s = io.find(
        (o) => o.value === n.getValue("status")
      );
      return s ? /* @__PURE__ */ t.createElement("div", { className: "flex w-[100px] items-center" }, s.icon && /* @__PURE__ */ t.createElement(s.icon, { className: "mr-2 h-4 w-4 text-muted-foreground" }), /* @__PURE__ */ t.createElement("span", null, s.label)) : null;
    },
    filterFn: (n, s, o) => o.includes(n.getValue(s))
  },
  // {
  //   accessorKey: "plan_name",
  //   header: ({ column }) => (
  //     <DataTableColumnHeader column={column} title="Plan" />
  //   ),
  //   cell: ({ row }) => {
  //     const priority = planNames.find(
  //       (priority) => priority.value === row.getValue("plan_name")
  //     )
  //     if (!priority) {
  //       return null
  //     }
  //     return (
  //       <div className="flex items-center">
  //         {/* {priority.icon && (
  //           <priority.icon className="mr-2 h-4 w-4 text-muted-foreground" />
  //         )} */}
  //         <span>{priority.label}</span>
  //       </div>
  //     )
  //   },
  //   filterFn: (row, id, value) => {
  //     return value.includes(row.getValue(id))
  //   },
  // },
  {
    id: "actions",
    cell: ({ row: n }) => {
      const [s, o] = N(!1), [i, m] = N(null), g = (f) => {
        console.log("Edit clicked for:", f == null ? void 0 : f.id), m(f), o(!0);
      }, c = () => {
        o(!1);
      }, d = (f) => {
        console.log("Delete clicked for:", f == null ? void 0 : f.id), r(f);
      };
      return /* @__PURE__ */ t.createElement(t.Fragment, null, /* @__PURE__ */ t.createElement(go, { row: n, onEdit: g, onDelete: d }), i && /* @__PURE__ */ t.createElement(tl, { setShowSideNav: o, onRefresh: e, isEdit: !0, showSideNav: s, data: i, onClose: c, supabase: a }));
    }
  }
], tt = l.forwardRef(({ className: e, ...r }, a) => /* @__PURE__ */ l.createElement("div", { className: "relative w-full overflow-auto" }, /* @__PURE__ */ l.createElement(
  "table",
  {
    ref: a,
    className: b("w-full caption-bottom text-sm", e),
    ...r
  }
)));
tt.displayName = "Table";
const rt = l.forwardRef(({ className: e, ...r }, a) => /* @__PURE__ */ l.createElement("thead", { ref: a, className: b("[&_tr]:border-b", e), ...r }));
rt.displayName = "TableHeader";
const at = l.forwardRef(({ className: e, ...r }, a) => /* @__PURE__ */ l.createElement(
  "tbody",
  {
    ref: a,
    className: b("[&_tr:last-child]:border-0", e),
    ...r
  }
));
at.displayName = "TableBody";
const Oi = l.forwardRef(({ className: e, ...r }, a) => /* @__PURE__ */ l.createElement(
  "tfoot",
  {
    ref: a,
    className: b(
      "border-t bg-muted/50 font-medium [&>tr]:last:border-b-0",
      e
    ),
    ...r
  }
));
Oi.displayName = "TableFooter";
const B = l.forwardRef(({ className: e, ...r }, a) => /* @__PURE__ */ l.createElement(
  "tr",
  {
    ref: a,
    className: b(
      "border-b transition-colors hover:bg-muted/50 data-[state=selected]:bg-muted",
      e
    ),
    ...r
  }
));
B.displayName = "TableRow";
const nt = l.forwardRef(({ className: e, ...r }, a) => /* @__PURE__ */ l.createElement(
  "th",
  {
    ref: a,
    className: b(
      "h-12 px-4 text-left align-middle font-medium text-muted-foreground [&:has([role=checkbox])]:pr-0",
      e
    ),
    ...r
  }
));
nt.displayName = "TableHead";
const K = l.forwardRef(({ className: e, ...r }, a) => /* @__PURE__ */ l.createElement(
  "td",
  {
    ref: a,
    className: b("p-4 align-middle [&:has([role=checkbox])]:pr-0", e),
    ...r
  }
));
K.displayName = "TableCell";
const zi = l.forwardRef(({ className: e, ...r }, a) => /* @__PURE__ */ l.createElement(
  "caption",
  {
    ref: a,
    className: b("mt-4 text-sm text-muted-foreground", e),
    ...r
  }
));
zi.displayName = "TableCaption";
const Na = O.Root, Ca = O.Value, st = l.forwardRef(({ className: e, children: r, ...a }, n) => /* @__PURE__ */ l.createElement(
  O.Trigger,
  {
    ref: n,
    className: b(
      "flex h-10 w-full items-center justify-between rounded-md border border-input bg-background px-3 py-2 text-sm ring-offset-background placeholder:text-muted-foreground focus:outline-none focus:ring-2 focus:ring-ring focus:ring-offset-2 disabled:cursor-not-allowed disabled:opacity-50 [&>span]:line-clamp-1",
      e
    ),
    ...a
  },
  r,
  /* @__PURE__ */ l.createElement(O.Icon, { asChild: !0 }, /* @__PURE__ */ l.createElement(us, { className: "h-4 w-4 opacity-50" }))
));
st.displayName = O.Trigger.displayName;
const rl = l.forwardRef(({ className: e, ...r }, a) => /* @__PURE__ */ l.createElement(
  O.ScrollUpButton,
  {
    ref: a,
    className: b(
      "flex cursor-default items-center justify-center py-1",
      e
    ),
    ...r
  },
  /* @__PURE__ */ l.createElement(pl, { className: "h-4 w-4" })
));
rl.displayName = O.ScrollUpButton.displayName;
const al = l.forwardRef(({ className: e, ...r }, a) => /* @__PURE__ */ l.createElement(
  O.ScrollDownButton,
  {
    ref: a,
    className: b(
      "flex cursor-default items-center justify-center py-1",
      e
    ),
    ...r
  },
  /* @__PURE__ */ l.createElement(us, { className: "h-4 w-4" })
));
al.displayName = O.ScrollDownButton.displayName;
const lt = l.forwardRef(({ className: e, children: r, position: a = "popper", ...n }, s) => /* @__PURE__ */ l.createElement(O.Portal, null, /* @__PURE__ */ l.createElement(
  O.Content,
  {
    ref: s,
    className: b(
      "relative z-50 max-h-96 min-w-[8rem] overflow-hidden rounded-md border bg-popover text-popover-foreground shadow-md data-[state=open]:animate-in data-[state=closed]:animate-out data-[state=closed]:fade-out-0 data-[state=open]:fade-in-0 data-[state=closed]:zoom-out-95 data-[state=open]:zoom-in-95 data-[side=bottom]:slide-in-from-top-2 data-[side=left]:slide-in-from-right-2 data-[side=right]:slide-in-from-left-2 data-[side=top]:slide-in-from-bottom-2",
      a === "popper" && "data-[side=bottom]:translate-y-1 data-[side=left]:-translate-x-1 data-[side=right]:translate-x-1 data-[side=top]:-translate-y-1",
      e
    ),
    position: a,
    ...n
  },
  /* @__PURE__ */ l.createElement(rl, null),
  /* @__PURE__ */ l.createElement(
    O.Viewport,
    {
      className: b(
        "p-1",
        a === "popper" && "h-[var(--radix-select-trigger-height)] w-full min-w-[var(--radix-select-trigger-width)]"
      )
    },
    r
  ),
  /* @__PURE__ */ l.createElement(al, null)
)));
lt.displayName = O.Content.displayName;
const ji = l.forwardRef(({ className: e, ...r }, a) => /* @__PURE__ */ l.createElement(
  O.Label,
  {
    ref: a,
    className: b("py-1.5 pl-8 pr-2 text-sm font-semibold", e),
    ...r
  }
));
ji.displayName = O.Label.displayName;
const ot = l.forwardRef(({ className: e, children: r, ...a }, n) => /* @__PURE__ */ l.createElement(
  O.Item,
  {
    ref: n,
    className: b(
      "relative flex w-full cursor-default select-none items-center rounded-sm py-1.5 pl-8 pr-2 text-sm outline-none focus:bg-accent focus:text-accent-foreground data-[disabled]:pointer-events-none data-[disabled]:opacity-50",
      e
    ),
    ...a
  },
  /* @__PURE__ */ l.createElement("span", { className: "absolute left-2 flex h-3.5 w-3.5 items-center justify-center" }, /* @__PURE__ */ l.createElement(O.ItemIndicator, null, /* @__PURE__ */ l.createElement(Br, { className: "h-4 w-4" }))),
  /* @__PURE__ */ l.createElement(O.ItemText, null, r)
));
ot.displayName = O.Item.displayName;
const Wi = l.forwardRef(({ className: e, ...r }, a) => /* @__PURE__ */ l.createElement(
  O.Separator,
  {
    ref: a,
    className: b("-mx-1 my-1 h-px bg-muted", e),
    ...r
  }
));
Wi.displayName = O.Separator.displayName;
function Hi({
  table: e,
  pageSizeArray: r
}) {
  return /* @__PURE__ */ t.createElement("div", { className: "flex items-center justify-between px-2" }, /* @__PURE__ */ t.createElement("div", { className: "flex items-center space-x-6 lg:space-x-8" }, /* @__PURE__ */ t.createElement("div", { className: "flex items-center space-x-2" }, /* @__PURE__ */ t.createElement("p", { className: "text-sm font-medium" }, "Rows per page"), /* @__PURE__ */ t.createElement(
    Na,
    {
      value: `${e.getState().pagination.pageSize}`,
      onValueChange: (a) => {
        e.setPageSize(Number(a));
      }
    },
    /* @__PURE__ */ t.createElement(st, { className: "h-8 w-[70px]" }, /* @__PURE__ */ t.createElement(Ca, { placeholder: e.getState().pagination.pageSize })),
    /* @__PURE__ */ t.createElement(lt, { side: "top" }, r.map((a) => /* @__PURE__ */ t.createElement(ot, { key: a, value: `${a}` }, a)))
  )), /* @__PURE__ */ t.createElement("div", { className: "flex w-[100px] items-center justify-center text-sm font-medium" }, "Page ", e.getState().pagination.pageIndex + 1, " of", " ", e.getPageCount()), /* @__PURE__ */ t.createElement("div", { className: "flex items-center space-x-2" }, /* @__PURE__ */ t.createElement(
    T,
    {
      variant: "outline",
      className: "hidden h-8 w-8 p-0 lg:flex",
      onClick: () => e.setPageIndex(0),
      disabled: !e.getCanPreviousPage()
    },
    /* @__PURE__ */ t.createElement("span", { className: "sr-only" }, "Go to first page"),
    /* @__PURE__ */ t.createElement(Yr, { className: "h-4 w-4" })
  ), /* @__PURE__ */ t.createElement(
    T,
    {
      variant: "outline",
      className: "h-8 w-8 p-0",
      onClick: () => e.previousPage(),
      disabled: !e.getCanPreviousPage()
    },
    /* @__PURE__ */ t.createElement("span", { className: "sr-only" }, "Go to previous page"),
    /* @__PURE__ */ t.createElement(Zr, { className: "h-4 w-4" })
  ), /* @__PURE__ */ t.createElement(
    T,
    {
      variant: "outline",
      className: "h-8 w-8 p-0",
      onClick: () => e.nextPage(),
      disabled: !e.getCanNextPage()
    },
    /* @__PURE__ */ t.createElement("span", { className: "sr-only" }, "Go to next page"),
    /* @__PURE__ */ t.createElement(Kr, { className: "h-4 w-4" })
  ), /* @__PURE__ */ t.createElement(
    T,
    {
      variant: "outline",
      className: "hidden h-8 w-8 p-0 lg:flex",
      onClick: () => e.setPageIndex(e.getPageCount() - 1),
      disabled: !e.getCanNextPage()
    },
    /* @__PURE__ */ t.createElement("span", { className: "sr-only" }, "Go to last page"),
    /* @__PURE__ */ t.createElement(Xr, { className: "h-4 w-4" })
  ))));
}
function $i({
  table: e
}) {
  return /* @__PURE__ */ t.createElement(ie, null, /* @__PURE__ */ t.createElement(aa, { asChild: !0 }, /* @__PURE__ */ t.createElement(
    T,
    {
      variant: "outline",
      size: "sm",
      className: "ml-auto hidden h-8 lg:flex"
    },
    /* @__PURE__ */ t.createElement(Jr, { className: "mr-2 h-4 w-4" }),
    "View"
  )), /* @__PURE__ */ t.createElement(ae, { align: "end", className: "w-[150px]" }, /* @__PURE__ */ t.createElement(Ge, null, "Toggle columns"), /* @__PURE__ */ t.createElement(re, null), e.getAllColumns().filter(
    (r) => typeof r.accessorFn < "u" && r.getCanHide()
  ).map((r) => /* @__PURE__ */ t.createElement(
    Be,
    {
      key: r.id,
      className: "capitalize",
      checked: r.getIsVisible(),
      onCheckedChange: (a) => r.toggleVisibility(!!a)
    },
    r.id
  ))));
}
const Bi = ra(
  "inline-flex items-center rounded-full border px-2.5 py-0.5 text-xs font-semibold transition-colors focus:outline-none focus:ring-2 focus:ring-ring focus:ring-offset-2",
  {
    variants: {
      variant: {
        default: "border-transparent bg-primary text-primary-foreground hover:bg-primary/80",
        secondary: "border-transparent bg-secondary text-secondary-foreground hover:bg-secondary/80",
        destructive: "border-transparent bg-destructive text-destructive-foreground hover:bg-destructive/80",
        outline: "text-foreground"
      }
    },
    defaultVariants: {
      variant: "default"
    }
  }
);
function se({ className: e, variant: r, ...a }) {
  return /* @__PURE__ */ l.createElement("div", { className: b(Bi({ variant: r }), e), ...a });
}
const it = l.forwardRef(({ className: e, ...r }, a) => /* @__PURE__ */ l.createElement(
  Z,
  {
    ref: a,
    className: b(
      "flex h-full w-full flex-col overflow-hidden rounded-md bg-popover text-popover-foreground",
      e
    ),
    ...r
  }
));
it.displayName = Z.displayName;
const ct = l.forwardRef(({ className: e, ...r }, a) => /* @__PURE__ */ l.createElement("div", { className: "flex items-center border-b px-3", "cmdk-input-wrapper": "" }, /* @__PURE__ */ l.createElement(hl, { className: "mr-2 h-4 w-4 shrink-0 opacity-50" }), /* @__PURE__ */ l.createElement(
  Z.Input,
  {
    ref: a,
    className: b(
      "flex h-11 w-full rounded-md bg-transparent py-3 text-sm outline-none placeholder:text-muted-foreground disabled:cursor-not-allowed disabled:opacity-50",
      e
    ),
    ...r
  }
)));
ct.displayName = Z.Input.displayName;
const mt = l.forwardRef(({ className: e, ...r }, a) => /* @__PURE__ */ l.createElement(
  Z.List,
  {
    ref: a,
    className: b("max-h-[300px] overflow-y-auto overflow-x-hidden", e),
    ...r
  }
));
mt.displayName = Z.List.displayName;
const dt = l.forwardRef((e, r) => /* @__PURE__ */ l.createElement(
  Z.Empty,
  {
    ref: r,
    className: "py-6 text-center text-sm",
    ...e
  }
));
dt.displayName = Z.Empty.displayName;
const fe = l.forwardRef(({ className: e, ...r }, a) => /* @__PURE__ */ l.createElement(
  Z.Group,
  {
    ref: a,
    className: b(
      "overflow-hidden p-1 text-foreground [&_[cmdk-group-heading]]:px-2 [&_[cmdk-group-heading]]:py-1.5 [&_[cmdk-group-heading]]:text-xs [&_[cmdk-group-heading]]:font-medium [&_[cmdk-group-heading]]:text-muted-foreground",
      e
    ),
    ...r
  }
));
fe.displayName = Z.Group.displayName;
const ut = l.forwardRef(({ className: e, ...r }, a) => /* @__PURE__ */ l.createElement(
  Z.Separator,
  {
    ref: a,
    className: b("-mx-1 h-px bg-border", e),
    ...r
  }
));
ut.displayName = Z.Separator.displayName;
const ge = l.forwardRef(({ className: e, ...r }, a) => /* @__PURE__ */ l.createElement(
  Z.Item,
  {
    ref: a,
    className: b(
      "relative flex cursor-default select-none items-center rounded-sm px-2 py-1.5 text-sm outline-none aria-selected:bg-accent aria-selected:text-accent-foreground data-[disabled='true']:pointer-events-none data-[disabled='true']:opacity-50",
      e
    ),
    ...r
  }
));
ge.displayName = Z.Item.displayName;
const Sa = Ie.Root, Ra = Ie.Trigger, ft = l.forwardRef(({ className: e, align: r = "center", sideOffset: a = 4, ...n }, s) => /* @__PURE__ */ l.createElement(Ie.Portal, null, /* @__PURE__ */ l.createElement(
  Ie.Content,
  {
    ref: s,
    align: r,
    sideOffset: a,
    className: b(
      "z-50 w-72 rounded-md border bg-popover p-4 text-popover-foreground shadow-md outline-none data-[state=open]:animate-in data-[state=closed]:animate-out data-[state=closed]:fade-out-0 data-[state=open]:fade-in-0 data-[state=closed]:zoom-out-95 data-[state=open]:zoom-in-95 data-[side=bottom]:slide-in-from-top-2 data-[side=left]:slide-in-from-right-2 data-[side=right]:slide-in-from-left-2 data-[side=top]:slide-in-from-bottom-2",
      e
    ),
    ...n
  }
)));
ft.displayName = Ie.Content.displayName;
const _e = l.forwardRef(
  ({ className: e, orientation: r = "horizontal", decorative: a = !0, ...n }, s) => /* @__PURE__ */ l.createElement(
    ys.Root,
    {
      ref: s,
      decorative: a,
      orientation: r,
      className: b(
        "shrink-0 bg-border",
        r === "horizontal" ? "h-[1px] w-full" : "h-full w-[1px]",
        e
      ),
      ...n
    }
  )
);
_e.displayName = ys.Root.displayName;
function Gi({
  column: e,
  title: r,
  options: a
}) {
  const n = e == null ? void 0 : e.getFacetedUniqueValues(), s = new Set(e == null ? void 0 : e.getFilterValue());
  return /* @__PURE__ */ l.createElement(Sa, null, /* @__PURE__ */ l.createElement(Ra, { asChild: !0 }, /* @__PURE__ */ l.createElement(T, { variant: "outline", size: "sm", className: "h-8 border-dashed" }, /* @__PURE__ */ l.createElement(Vr, { className: "mr-2 h-4 w-4" }), r, (s == null ? void 0 : s.size) > 0 && /* @__PURE__ */ l.createElement(l.Fragment, null, /* @__PURE__ */ l.createElement(_e, { orientation: "vertical", className: "mx-2 h-4" }), /* @__PURE__ */ l.createElement(
    se,
    {
      variant: "secondary",
      className: "rounded-sm px-1 font-normal lg:hidden"
    },
    s.size
  ), /* @__PURE__ */ l.createElement("div", { className: "hidden space-x-1 lg:flex" }, s.size > 2 ? /* @__PURE__ */ l.createElement(
    se,
    {
      variant: "secondary",
      className: "rounded-sm px-1 font-normal"
    },
    s.size,
    " selected"
  ) : a.filter((o) => s.has(o.value)).map((o) => /* @__PURE__ */ l.createElement(
    se,
    {
      variant: "secondary",
      key: o.value,
      className: "rounded-sm px-1 font-normal"
    },
    o.label
  )))))), /* @__PURE__ */ l.createElement(ft, { className: "w-[200px] p-0", align: "start" }, /* @__PURE__ */ l.createElement(it, null, /* @__PURE__ */ l.createElement(ct, { placeholder: r }), /* @__PURE__ */ l.createElement(mt, null, /* @__PURE__ */ l.createElement(dt, null, "No results found."), /* @__PURE__ */ l.createElement(fe, null, a.map((o) => {
    const i = s.has(o.value);
    return /* @__PURE__ */ l.createElement(
      ge,
      {
        key: o.value,
        onSelect: () => {
          i ? s.delete(o.value) : s.add(o.value);
          const m = Array.from(s);
          e == null || e.setFilterValue(
            m.length ? m : void 0
          );
        }
      },
      /* @__PURE__ */ l.createElement(
        "div",
        {
          className: b(
            "mr-2 flex h-4 w-4 items-center justify-center rounded-sm border border-primary",
            i ? "bg-primary text-primary-foreground" : "opacity-50 [&_svg]:invisible"
          )
        },
        /* @__PURE__ */ l.createElement(Qr, { className: b("h-4 w-4") })
      ),
      o.icon && /* @__PURE__ */ l.createElement(o.icon, { className: "mr-2 h-4 w-4 text-muted-foreground" }),
      /* @__PURE__ */ l.createElement("span", null, o.label),
      (n == null ? void 0 : n.get(o.value)) && /* @__PURE__ */ l.createElement("span", { className: "ml-auto flex h-4 w-4 items-center justify-center font-mono text-xs" }, n.get(o.value))
    );
  })), s.size > 0 && /* @__PURE__ */ l.createElement(l.Fragment, null, /* @__PURE__ */ l.createElement(ut, null), /* @__PURE__ */ l.createElement(fe, null, /* @__PURE__ */ l.createElement(
    ge,
    {
      onSelect: () => e == null ? void 0 : e.setFilterValue(void 0),
      className: "justify-center text-center"
    },
    "Clear filters"
  )))))));
}
function Ui({
  table: e,
  onRefresh: r,
  supabase: a
}) {
  const [n, s] = N(""), [o, i] = N(!1), m = () => {
    i(!1);
  }, g = e.getState().globalFilter != null || e.getState().columnFilters.length > 0, c = (p) => {
    p.target.value.trim() != "" ? (s(p.target.value), e.setGlobalFilter(p.target.value)) : (s(""), e.resetGlobalFilter());
  }, d = [
    {
      value: "Active",
      label: "Active"
    },
    {
      value: "Inactive",
      label: "Inactive"
    }
    // {
    //               value: "Blocked",
    //               label: "Blocked",
    //             },
    // {
    //               value: "Deactivated",
    //               label: "Deactivated",
    //             },
  ], f = () => {
    s(""), e.resetGlobalFilter(), e.resetColumnFilters();
  };
  return /* @__PURE__ */ t.createElement("div", { className: "flex items-center justify-between" }, /* @__PURE__ */ t.createElement("div", { className: "flex flex-1 items-center space-x-2" }, /* @__PURE__ */ t.createElement(
    Te,
    {
      placeholder: "Search...",
      value: n,
      onChange: c,
      className: "h-8 w-[150px] lg:w-[250px]"
    }
  ), e.getColumn("status") && /* @__PURE__ */ t.createElement(
    Gi,
    {
      column: e.getColumn("status"),
      title: "status",
      options: d
    }
  ), g && /* @__PURE__ */ t.createElement(
    T,
    {
      variant: "ghost",
      onClick: f,
      className: "h-8 px-2 lg:px-3"
    },
    "Reset",
    /* @__PURE__ */ t.createElement(ea, { className: "ml-2 h-4 w-4" })
  )), /* @__PURE__ */ t.createElement($i, { table: e }), /* @__PURE__ */ t.createElement(
    T,
    {
      variant: "default",
      size: "sm",
      onClick: () => i(!0),
      className: "h-8 px-2 lg:px-3 ml-4"
    },
    "Add",
    /* @__PURE__ */ t.createElement(ta, { className: "ml-2 h-4 w-4" })
  ), /* @__PURE__ */ t.createElement(tl, { onRefresh: r, setShowSideNav: i, isEdit: !1, showSideNav: o, data: [], onClose: m, supabase: a }));
}
function le({
  className: e,
  ...r
}) {
  return /* @__PURE__ */ t.createElement(
    "div",
    {
      className: b("animate-pulse rounded-md bg-muted", e),
      ...r
    }
  );
}
function Yi({
  columns: e,
  data: r,
  isLoading: a,
  onRefresh: n,
  supabase: s
}) {
  var y;
  const [o, i] = l.useState({}), [m, g] = l.useState({}), [c, d] = l.useState(
    []
  ), [f, p] = l.useState([]), u = [10, 20, 30, 50, 100], h = sa({
    data: r,
    columns: e,
    state: {
      sorting: f,
      columnVisibility: m,
      rowSelection: o,
      columnFilters: c
    },
    initialState: { pagination: { pageSize: 10 } },
    enableRowSelection: !0,
    onRowSelectionChange: i,
    onSortingChange: p,
    onColumnFiltersChange: d,
    onColumnVisibilityChange: g,
    getCoreRowModel: la(),
    getFilteredRowModel: oa(),
    getPaginationRowModel: ia(),
    getSortedRowModel: ca(),
    getFacetedRowModel: ma(),
    getFacetedUniqueValues: da(),
    autoResetPageIndex: !0
  });
  return /* @__PURE__ */ l.createElement("div", { className: "space-y-4" }, /* @__PURE__ */ l.createElement(Ui, { table: h, onRefresh: n, supabase: s }), /* @__PURE__ */ l.createElement("div", { className: "rounded-md border" }, /* @__PURE__ */ l.createElement(tt, null, /* @__PURE__ */ l.createElement(rt, null, h.getHeaderGroups().map((v) => /* @__PURE__ */ l.createElement(B, { key: v.id }, v.headers.map((E) => /* @__PURE__ */ l.createElement(nt, { key: E.id, colSpan: E.colSpan }, E.isPlaceholder ? null : we(
    E.column.columnDef.header,
    E.getContext()
  )))))), /* @__PURE__ */ l.createElement(at, null, a ? /* @__PURE__ */ l.createElement(l.Fragment, null, h.getHeaderGroups().map((v) => /* @__PURE__ */ l.createElement(B, { key: v.id }, v.headers.map((E) => /* @__PURE__ */ l.createElement(
    K,
    {
      key: E.id,
      colSpan: E.colSpan,
      className: "h-6"
    },
    /* @__PURE__ */ l.createElement(le, { className: "w-[100px] h-[20px] rounded-full" })
  )))), h.getHeaderGroups().map((v) => /* @__PURE__ */ l.createElement(B, { key: v.id + "-2" }, v.headers.map((E) => /* @__PURE__ */ l.createElement(
    K,
    {
      key: E.id + "-2",
      colSpan: E.colSpan,
      className: "h-6"
    },
    /* @__PURE__ */ l.createElement(le, { className: "w-[100px] h-[20px] rounded-full" })
  ))))) : (y = h.getRowModel().rows) != null && y.length ? h.getRowModel().rows.map((v) => /* @__PURE__ */ l.createElement(
    B,
    {
      key: v.id,
      "data-state": v.getIsSelected() && "selected"
    },
    v.getVisibleCells().map((E) => /* @__PURE__ */ l.createElement(K, { key: E.id }, we(
      E.column.columnDef.cell,
      E.getContext()
    )))
  )) : /* @__PURE__ */ l.createElement(B, null, /* @__PURE__ */ l.createElement(
    K,
    {
      colSpan: e.length,
      className: "h-24 text-center"
    },
    /* @__PURE__ */ l.createElement(le, { className: "w-[100px] h-[20px] rounded-full" })
  ))))), /* @__PURE__ */ l.createElement("div", { className: "flex items-center justify-between px-2" }, /* @__PURE__ */ l.createElement("div", { className: "flex-1 text-sm text-muted-foreground" }, h.getFilteredSelectedRowModel().rows.length, " of", " ", h.getFilteredRowModel().rows.length, " row(s) selected."), /* @__PURE__ */ l.createElement(Hi, { table: h, pageSizeArray: u })));
}
function Oc({ supabase: e }) {
  const [r, a] = N([]), [n, s] = N(!1), o = (d) => {
    console.log("done", d);
  }, i = (d) => {
    console.log("done", d), c(d.id ?? "");
  }, m = async () => {
    s(!0);
    try {
      const d = await g();
      a(d);
    } catch (d) {
      console.error("Error refreshing data:", d);
    } finally {
      s(!1);
    }
  };
  $(() => {
    m();
  }, []);
  const g = async () => {
    let { data: d, error: f } = await e.auth.tenantsList();
    return console.log(d, "datadatadata"), f ? (console.error("Error fetching tenants:", f.message), []) : w.array(Cs).parse(d.tenant.tenants);
  }, c = async (d) => {
    let { data: f, error: p } = await e.auth.deleteTenant({
      id: d
    });
    p ? (console.error("Error fetching tenants:", p.message), j({
      title: "You submitted the following values:",
      description: /* @__PURE__ */ t.createElement("pre", { className: "mt-2 w-[340px] rounded-md bg-slate-950 p-4" }, /* @__PURE__ */ t.createElement("code", { className: "text-white" }, JSON.stringify(p, null, 2)))
    })) : (m(), j({
      title: "You submitted the following values:",
      description: /* @__PURE__ */ t.createElement("pre", { className: "mt-2 w-[340px] rounded-md bg-slate-950 p-4" }, /* @__PURE__ */ t.createElement("code", { className: "text-white" }, JSON.stringify(f, null, 2)))
    }));
  };
  return /* @__PURE__ */ t.createElement(t.Fragment, null, /* @__PURE__ */ t.createElement(
    Yi,
    {
      columns: Mi({ onEdit: o, onRefresh: m, onCallDelete: i, supabase: e }),
      data: r,
      supabase: e,
      isLoading: n,
      onRefresh: m
    }
  ));
}
const Zi = [
  {
    value: "Active",
    label: "Active",
    icon: fs
  },
  {
    value: "Inactive",
    label: "Inactive",
    icon: gs
  }
];
function ze({
  column: e,
  title: r,
  className: a
}) {
  return e.getCanSort() ? /* @__PURE__ */ t.createElement("div", { className: b("flex items-center space-x-2", a) }, /* @__PURE__ */ t.createElement(ie, null, /* @__PURE__ */ t.createElement(be, { asChild: !0 }, /* @__PURE__ */ t.createElement(
    T,
    {
      variant: "ghost",
      size: "sm",
      className: "-ml-3 h-8 data-[state=open]:bg-accent"
    },
    /* @__PURE__ */ t.createElement("span", null, r),
    e.getIsSorted() === "desc" ? /* @__PURE__ */ t.createElement(Ee, { className: "ml-2 h-4 w-4" }) : e.getIsSorted() === "asc" ? /* @__PURE__ */ t.createElement(ye, { className: "ml-2 h-4 w-4" }) : /* @__PURE__ */ t.createElement(Gr, { className: "ml-2 h-4 w-4" })
  )), /* @__PURE__ */ t.createElement(ae, { align: "start" }, /* @__PURE__ */ t.createElement(G, { onClick: () => e.toggleSorting(!1) }, /* @__PURE__ */ t.createElement(ye, { className: "mr-2 h-3.5 w-3.5 text-muted-foreground/70" }), "Asc"), /* @__PURE__ */ t.createElement(G, { onClick: () => e.toggleSorting(!0) }, /* @__PURE__ */ t.createElement(Ee, { className: "mr-2 h-3.5 w-3.5 text-muted-foreground/70" }), "Desc")))) : /* @__PURE__ */ t.createElement("div", { className: b(a) }, r);
}
function Ki({
  row: e,
  onEdit: r,
  onDelete: a
}) {
  return /* @__PURE__ */ t.createElement(ie, null, /* @__PURE__ */ t.createElement(be, { asChild: !0 }, /* @__PURE__ */ t.createElement(
    T,
    {
      variant: "ghost",
      className: "flex h-8 w-8 p-0 data-[state=open]:bg-muted"
    },
    /* @__PURE__ */ t.createElement(Ur, { className: "h-4 w-4" }),
    /* @__PURE__ */ t.createElement("span", { className: "sr-only" }, "Open menu")
  )), /* @__PURE__ */ t.createElement(ae, { align: "end", className: "w-[160px]" }, /* @__PURE__ */ t.createElement(G, { onClick: () => r(e.original) }, "Edit"), /* @__PURE__ */ t.createElement(re, null), /* @__PURE__ */ t.createElement(G, { onClick: () => a(e.original) }, "Delete"), /* @__PURE__ */ t.createElement(re, null), /* @__PURE__ */ t.createElement(G, null, "Block")));
}
const $e = w.object({
  id: w.string().default(""),
  name: w.string().default(""),
  type: w.string().default(""),
  description: w.string().default(""),
  status: w.string().default(""),
  access_level: w.record(w.string()).default({}),
  // Dynamic access_level
  is_default: w.boolean().default(!1),
  created_by: w.string().default(""),
  modified_by: w.string().default(""),
  tenant_id: w.string().default(""),
  created_at: w.string().default(""),
  updated_at: w.string().default(""),
  privilege_type: w.string().default("")
});
function ms({ defaultValue: e, isEdit: r, setShowSideNav: a, onRefresh: n, supabase: s }) {
  const [o, i] = N(!1), [, m] = N(["SA", "A", "S"]), [g, c] = N({}), [d, f] = N([]), p = {
    id: (e == null ? void 0 : e.id) || "",
    name: (e == null ? void 0 : e.name) || "",
    type: (e == null ? void 0 : e.type) || "",
    description: (e == null ? void 0 : e.description) || "",
    access_level: (e == null ? void 0 : e.access_level) || {},
    status: (e == null ? void 0 : e.status) || "",
    is_default: (e == null ? void 0 : e.is_default) || !1,
    created_by: (e == null ? void 0 : e.created_by) || "00000000-0000-0000-0000-000000000000",
    modified_by: (e == null ? void 0 : e.modified_by) || "00000000-0000-0000-0000-000000000000",
    tenant_id: (e == null ? void 0 : e.tenant_id) || "00000000-0000-0000-0000-000000000000",
    created_at: (e == null ? void 0 : e.created_at) || /* @__PURE__ */ new Date(),
    updated_at: (e == null ? void 0 : e.updated_at) || /* @__PURE__ */ new Date(),
    permissionType: void 0
  }, u = w.object({
    name: w.string().min(1, "Name is required"),
    permissionType: w.object({}),
    access_level: w.record(w.string())
  }), h = w.object({
    name: w.string().min(1, "Name is required"),
    access_level: w.record(w.string())
  }), v = na({
    resolver: He(r === !0 ? h : u),
    defaultValues: p
  }), { setValue: E, watch: P, getValues: _ } = v, x = _(), R = P();
  console.log("values", x.permissionType), $(() => {
    if (console.log("permissionType", x.permissionType, R == null ? void 0 : R.permissionType), x != null && x.permissionType) {
      let C = R == null ? void 0 : R.permissionType;
      c(C);
    }
  }, [R.permissionType]), $(() => {
    const C = R.permissionType;
    if (console.log("mytype", R.permissionType), console.log("mytype", d), C && d.length > 0) {
      const F = d.filter((S) => typeof S == "object" && S !== null && "access_level" in S ? S.access_level === C : !1);
      console.log("mytype", F), F.length > 0 ? E("type", F[0].type || "") : E("type", "");
    } else
      E("type", "");
  }, [R.permissionType, d]), $(() => {
    E("access_level", g);
  }, [g]), console.log("permission", g), $(() => {
    async function C(F, S) {
      try {
        const { data: A, error: L } = await s.from("tenant").select("*");
        L ? console.error(`Error fetching data from ${F}:`, L.message) : S(A || []);
      } catch (A) {
        console.error(`Error fetching data from ${F}:`, A);
      }
    }
    C("roles", m);
  }, []), $(() => {
    async function C() {
      let { data: F, error: S } = await s.auth.rolesList();
      S ? (console.error("Error fetching tenants:", S.message), f([])) : (console.log("rolesList", w.array($e).parse(F.role.roles)), f(w.array($e).parse(F.role.roles)));
    }
    C();
  }, []), console.log("rolesList", d), $(() => {
    var C, F;
    if (r) {
      let S = e == null ? void 0 : e.access_level;
      c(S);
    } else {
      console.log("test", (C = d[0]) == null ? void 0 : C.access_level);
      let S = d && ((F = d[0]) == null ? void 0 : F.access_level);
      console.log("tempAcc", S);
    }
  }, [e, d]);
  async function k(C) {
    try {
      if (r) {
        i(!0), console.log("datas", x);
        const F = {
          ...C,
          type: x.type,
          id: x.id,
          description: x.description
        }, { error: S } = await s.auth.updateRole(F);
        S ? setTimeout(() => {
          j({
            title: "Error",
            variant: "destructive",
            description: /* @__PURE__ */ t.createElement("pre", { className: "mt-2 w-[340px] rounded-md bg-slate-950 p-4" }, /* @__PURE__ */ t.createElement("code", { className: "text-white" }, " ", /* @__PURE__ */ t.createElement("div", null, JSON.stringify(S, null, 2))))
          }), i(!1);
        }, 2e3) : (setTimeout(() => {
          i(!1), v.reset(), j({
            title: "You submitted the following values:",
            description: /* @__PURE__ */ t.createElement("pre", { className: "mt-2 w-[340px] rounded-md bg-slate-950 p-4" }, /* @__PURE__ */ t.createElement("code", { className: "text-white" }, "Successfully Updated"))
          });
        }, 2e3), n(), a(!1));
      } else {
        i(!0), console.log("datas", x);
        const F = {
          ...C,
          type: x.type,
          description: x.description,
          is_default: !0
        }, { error: S } = await s.auth.createRole(F);
        S ? setTimeout(() => {
          j({
            title: "Error",
            variant: "destructive",
            description: /* @__PURE__ */ t.createElement("pre", { className: "mt-2 w-[340px] rounded-md bg-slate-950 p-4" }, /* @__PURE__ */ t.createElement("code", { className: "text-white" }, "Unable to create role"))
          }), i(!1);
        }, 2e3) : (setTimeout(() => {
          i(!1), v.reset(), j({
            title: "You submitted the following values:",
            description: /* @__PURE__ */ t.createElement("pre", { className: "mt-2 w-[340px] rounded-md bg-slate-950 p-4" }, /* @__PURE__ */ t.createElement("code", { className: "text-white" }, "Successfully Created"))
          });
        }, 2e3), n(), a(!1));
      }
    } catch (F) {
      console.error("Error fetching customers:", F);
    }
  }
  return /* @__PURE__ */ t.createElement("div", { style: { height: "80vh", overflowY: "auto" }, className: "px-2" }, " ", /* @__PURE__ */ t.createElement(ya, { ...v }, /* @__PURE__ */ t.createElement(_a, { onSubmit: v.handleSubmit(k), className: "space-y-8" }, /* @__PURE__ */ t.createElement("div", { style: { fontWeight: "700", fontSize: "20px" } }), /* @__PURE__ */ t.createElement("div", { style: { display: "grid", gap: "20px" } }, /* @__PURE__ */ t.createElement(
    ne,
    {
      label: "Name",
      name: "name",
      required: !0,
      type: "character varying",
      placeholder: "Enter Role name",
      form: v
    }
  ), /* @__PURE__ */ t.createElement(
    ne,
    {
      label: "Description",
      name: "description",
      type: "character varying",
      placeholder: "Enter Description",
      form: v
    }
  )), /* @__PURE__ */ t.createElement(_e, null), r === !1 ? /* @__PURE__ */ t.createElement(
    xa,
    {
      label: "Role Type",
      placeholder: "Select Role",
      required: !0,
      name: "permissionType",
      options: d,
      form: v,
      displayLabel: "name",
      returnLabel: "access_level"
    }
  ) : null, /* @__PURE__ */ t.createElement("div", null, g && Object.entries(g).map(([C, F], S) => /* @__PURE__ */ t.createElement(t.Fragment, null, console.log("index", S, "Key:", C, "Value:", typeof F), S === 0 && /* @__PURE__ */ t.createElement("div", { className: "grid grid-cols-6 items-center" }, " ", /* @__PURE__ */ t.createElement("div", { className: "col-span-1" }), /* @__PURE__ */ t.createElement("div", { className: "col-span-5" }, /* @__PURE__ */ t.createElement("div", { className: "grid grid-cols-5 gap-4" }, ["Read", "Write", "Delete", "Import", "Export"].map((A, L) => /* @__PURE__ */ t.createElement("div", { key: L, className: "px-3 py-2" }, /* @__PURE__ */ t.createElement("div", { className: "px-3 py-3 flex items-center gap-x-2 capitalize" }, A)))))), /* @__PURE__ */ t.createElement("div", { className: "grid grid-cols-6 items-center", key: C }, /* @__PURE__ */ t.createElement("div", { className: "col-span-1" }, /* @__PURE__ */ t.createElement("div", { className: "grid grid-cols-1 gap-1" }, /* @__PURE__ */ t.createElement("div", { className: "text-md cursor-pointer capitalize" }, C))), /* @__PURE__ */ t.createElement("div", { className: "col-span-5" }, /* @__PURE__ */ t.createElement("div", { className: "grid grid-cols-5 gap-4" }, [...F].map((A, L) => /* @__PURE__ */ t.createElement("div", { key: L, className: "px-3 py-2" }, /* @__PURE__ */ t.createElement("div", { className: "px-5 py-3 flex items-center gap-x-2" }, /* @__PURE__ */ t.createElement(
    de,
    {
      id: `${C}-${L}`,
      name: `${C}-${L}`,
      checked: A === "1",
      onCheckedChange: (I) => {
        console.log("inside", I);
        const U = I ? "1" : "0", J = F.substring(0, L) + U + F.substring(L + 1);
        console.log("click", J);
        const Y = { ...g, [C]: J };
        console.log("inside", I), c(Y);
      }
    }
  )))))))))), /* @__PURE__ */ t.createElement(_e, null), /* @__PURE__ */ t.createElement(
    ba,
    {
      submitVariant: "default",
      clearVariant: "outline",
      submitlabel: "Submit",
      clearlabel: r === !1 ? "Clear" : void 0,
      submitType: "submit",
      clearAction: () => {
        console.log("form", v), v.reset({ ...p, name: "", description: "", permissionType: x.permissionType });
      },
      loader: o
    }
  ))));
}
function nl({ showSideNav: e, onRefresh: r, data: a, onClose: n, isEdit: s = !1, setShowSideNav: o, supabase: i }) {
  const [m, g] = l.useState([]);
  async function c(f) {
    const { data: p, error: u } = await i.auth.getRoleById({ id: f });
    return u ? (console.error("Error fetching tenant details:", u.message), []) : w.array($e).parse([p.role]);
  }
  l.useEffect(() => {
    e && (a != null && a.id) && (async () => {
      const f = await c(a.id);
      g(f);
    })();
  }, [e, a == null ? void 0 : a.id]), l.useEffect(() => {
    console.log("tenantDetail", m);
  }, [m]);
  const d = () => {
    n();
  };
  return /* @__PURE__ */ l.createElement(ua, { open: e, onOpenChange: d }, /* @__PURE__ */ l.createElement(Ue, { className: "w-[800px]", style: {
    maxWidth: "100%"
  } }, /* @__PURE__ */ l.createElement(Ye, { className: "px-2" }, /* @__PURE__ */ l.createElement(Ze, null, "ROLE"), /* @__PURE__ */ l.createElement(Ke, null, `${s ? "Update a role" : "Create a new role"} `)), s && (m == null ? void 0 : m.length) > 0 ? /* @__PURE__ */ l.createElement(ms, { onRefresh: r, setShowSideNav: o, isEdit: s, defaultValue: m[0], supabase: i }) : s ? "Loading" : /* @__PURE__ */ l.createElement(ms, { onRefresh: r, setShowSideNav: o, isEdit: s, defaultValue: void 0, supabase: i })));
}
const Xi = ({
  onRefresh: e,
  onCallDelete: r,
  supabase: a
}) => [
  {
    id: "select",
    header: ({ table: n }) => /* @__PURE__ */ t.createElement(
      de,
      {
        checked: n.getIsAllPageRowsSelected() ? !0 : n.getIsSomePageRowsSelected() ? "indeterminate" : !1,
        onCheckedChange: (s) => n.toggleAllPageRowsSelected(!!s),
        "aria-label": "Select all",
        className: "translate-y-[2px]"
      }
    ),
    cell: ({ row: n }) => /* @__PURE__ */ t.createElement(
      de,
      {
        checked: n.getIsSelected(),
        onCheckedChange: (s) => n.toggleSelected(!!s),
        "aria-label": "Select row",
        className: "translate-y-[2px]"
      }
    ),
    enableSorting: !1,
    enableHiding: !1
  },
  {
    accessorKey: "name",
    header: ({ column: n }) => /* @__PURE__ */ t.createElement(ze, { column: n, title: "Name" }),
    cell: ({ row: n }) => /* @__PURE__ */ t.createElement("div", { className: "" }, n.getValue("name")),
    enableSorting: !1,
    enableHiding: !1
  },
  {
    accessorKey: "type",
    header: ({ column: n }) => /* @__PURE__ */ t.createElement(ze, { column: n, title: "Type" }),
    cell: ({ row: n }) => /* @__PURE__ */ t.createElement("div", { className: "w-[80px]" }, n.getValue("type")),
    enableSorting: !1,
    enableHiding: !1
  },
  {
    accessorKey: "privilege_type",
    header: ({ column: n }) => /* @__PURE__ */ t.createElement(ze, { column: n, title: "Privilege" }),
    cell: ({ row: n }) => /* @__PURE__ */ t.createElement("div", { className: "w-[80px] flex justify-center" }, n.getValue("privilege_type")),
    enableSorting: !1,
    enableHiding: !1
  },
  // {
  //   accessorKey: "type",
  //   header: ({ column }) => (
  //     <DataTableColumnHeader column={column} title="Type" />
  //   ),
  //   cell: ({ row }) => {
  //     const label = roleType.find((label) => label.value === row.original.type)
  //     return (
  //       <div className="flex space-x-2">
  //         {label && <Badge variant="outline">{label.label}</Badge>}
  //         <span className="max-w-[500px] truncate font-medium">
  //           {row.getValue("type")}
  //         </span>
  //       </div>
  //     )
  //   },
  // },
  {
    accessorKey: "status",
    header: ({ column: n }) => /* @__PURE__ */ t.createElement(ze, { column: n, title: "Status" }),
    cell: ({ row: n }) => {
      const s = Zi.find(
        (o) => o.value === n.getValue("status")
      );
      return s ? /* @__PURE__ */ t.createElement("div", { className: "flex w-[100px] items-center" }, s.icon && /* @__PURE__ */ t.createElement(s.icon, { className: "mr-2 h-4 w-4 text-muted-foreground" }), /* @__PURE__ */ t.createElement("span", null, s.label)) : null;
    },
    filterFn: (n, s, o) => o.includes(n.getValue(s))
  },
  // {
  //   accessorKey: "plan_name",
  //   header: ({ column }) => (
  //     <DataTableColumnHeader column={column} title="Plan" />
  //   ),
  //   cell: ({ row }) => {
  //     const priority = planNames.find(
  //       (priority) => priority.value === row.getValue("plan_name")
  //     )
  //     if (!priority) {
  //       return null
  //     }
  //     return (
  //       <div className="flex items-center">
  //         {/* {priority.icon && (
  //           <priority.icon className="mr-2 h-4 w-4 text-muted-foreground" />
  //         )} */}
  //         <span>{priority.label}</span>
  //       </div>
  //     )
  //   },
  //   filterFn: (row, id, value) => {
  //     return value.includes(row.getValue(id))
  //   },
  // },
  {
    id: "actions",
    cell: ({ row: n }) => {
      const [s, o] = N(!1), [i, m] = N(null), g = (f) => {
        console.log("Edit clicked for:", f == null ? void 0 : f.id), m(f), o(!0);
      }, c = (f) => {
        console.log("Delete clicked for:", f == null ? void 0 : f.id), r(f);
      }, d = () => {
        o(!1);
      };
      return /* @__PURE__ */ t.createElement(t.Fragment, null, /* @__PURE__ */ t.createElement(Ki, { row: n, onEdit: g, onDelete: c }), i && s && /* @__PURE__ */ t.createElement(nl, { setShowSideNav: o, onRefresh: e, isEdit: !0, showSideNav: s, data: i, onClose: d, supabase: a }));
    }
  }
];
function Ji({
  table: e,
  pageSizeArray: r
}) {
  return /* @__PURE__ */ t.createElement("div", { className: "flex items-center justify-between px-2" }, /* @__PURE__ */ t.createElement("div", { className: "flex items-center space-x-6 lg:space-x-8" }, /* @__PURE__ */ t.createElement("div", { className: "flex items-center space-x-2" }, /* @__PURE__ */ t.createElement("p", { className: "text-sm font-medium" }, "Rows per page"), /* @__PURE__ */ t.createElement(
    Na,
    {
      value: `${e.getState().pagination.pageSize}`,
      onValueChange: (a) => {
        e.setPageSize(Number(a));
      }
    },
    /* @__PURE__ */ t.createElement(st, { className: "h-8 w-[70px]" }, /* @__PURE__ */ t.createElement(Ca, { placeholder: e.getState().pagination.pageSize })),
    /* @__PURE__ */ t.createElement(lt, { side: "top" }, r.map((a) => /* @__PURE__ */ t.createElement(ot, { key: a, value: `${a}` }, a)))
  )), /* @__PURE__ */ t.createElement("div", { className: "flex w-[100px] items-center justify-center text-sm font-medium" }, "Page ", e.getState().pagination.pageIndex + 1, " of", " ", e.getPageCount()), /* @__PURE__ */ t.createElement("div", { className: "flex items-center space-x-2" }, /* @__PURE__ */ t.createElement(
    T,
    {
      variant: "outline",
      className: "hidden h-8 w-8 p-0 lg:flex",
      onClick: () => e.setPageIndex(0),
      disabled: !e.getCanPreviousPage()
    },
    /* @__PURE__ */ t.createElement("span", { className: "sr-only" }, "Go to first page"),
    /* @__PURE__ */ t.createElement(Yr, { className: "h-4 w-4" })
  ), /* @__PURE__ */ t.createElement(
    T,
    {
      variant: "outline",
      className: "h-8 w-8 p-0",
      onClick: () => e.previousPage(),
      disabled: !e.getCanPreviousPage()
    },
    /* @__PURE__ */ t.createElement("span", { className: "sr-only" }, "Go to previous page"),
    /* @__PURE__ */ t.createElement(Zr, { className: "h-4 w-4" })
  ), /* @__PURE__ */ t.createElement(
    T,
    {
      variant: "outline",
      className: "h-8 w-8 p-0",
      onClick: () => e.nextPage(),
      disabled: !e.getCanNextPage()
    },
    /* @__PURE__ */ t.createElement("span", { className: "sr-only" }, "Go to next page"),
    /* @__PURE__ */ t.createElement(Kr, { className: "h-4 w-4" })
  ), /* @__PURE__ */ t.createElement(
    T,
    {
      variant: "outline",
      className: "hidden h-8 w-8 p-0 lg:flex",
      onClick: () => e.setPageIndex(e.getPageCount() - 1),
      disabled: !e.getCanNextPage()
    },
    /* @__PURE__ */ t.createElement("span", { className: "sr-only" }, "Go to last page"),
    /* @__PURE__ */ t.createElement(Xr, { className: "h-4 w-4" })
  ))));
}
function Vi({
  table: e
}) {
  return /* @__PURE__ */ t.createElement(ie, null, /* @__PURE__ */ t.createElement(aa, { asChild: !0 }, /* @__PURE__ */ t.createElement(
    T,
    {
      variant: "outline",
      size: "sm",
      className: "ml-auto hidden h-8 lg:flex"
    },
    /* @__PURE__ */ t.createElement(Jr, { className: "mr-2 h-4 w-4" }),
    "View"
  )), /* @__PURE__ */ t.createElement(ae, { align: "end", className: "w-[150px]" }, /* @__PURE__ */ t.createElement(Ge, null, "Toggle columns"), /* @__PURE__ */ t.createElement(re, null), e.getAllColumns().filter(
    (r) => typeof r.accessorFn < "u" && r.getCanHide()
  ).map((r) => /* @__PURE__ */ t.createElement(
    Be,
    {
      key: r.id,
      className: "capitalize",
      checked: r.getIsVisible(),
      onCheckedChange: (a) => r.toggleVisibility(!!a)
    },
    r.id
  ))));
}
function Qi({
  column: e,
  title: r,
  options: a
}) {
  const n = e == null ? void 0 : e.getFacetedUniqueValues(), s = new Set(e == null ? void 0 : e.getFilterValue());
  return /* @__PURE__ */ l.createElement(Sa, null, /* @__PURE__ */ l.createElement(Ra, { asChild: !0 }, /* @__PURE__ */ l.createElement(T, { variant: "outline", size: "sm", className: "h-8 border-dashed" }, /* @__PURE__ */ l.createElement(Vr, { className: "mr-2 h-4 w-4" }), r, (s == null ? void 0 : s.size) > 0 && /* @__PURE__ */ l.createElement(l.Fragment, null, /* @__PURE__ */ l.createElement(_e, { orientation: "vertical", className: "mx-2 h-4" }), /* @__PURE__ */ l.createElement(
    se,
    {
      variant: "secondary",
      className: "rounded-sm px-1 font-normal lg:hidden"
    },
    s.size
  ), /* @__PURE__ */ l.createElement("div", { className: "hidden space-x-1 lg:flex" }, s.size > 2 ? /* @__PURE__ */ l.createElement(
    se,
    {
      variant: "secondary",
      className: "rounded-sm px-1 font-normal"
    },
    s.size,
    " selected"
  ) : a.filter((o) => s.has(o.value)).map((o) => /* @__PURE__ */ l.createElement(
    se,
    {
      variant: "secondary",
      key: o.value,
      className: "rounded-sm px-1 font-normal"
    },
    o.label
  )))))), /* @__PURE__ */ l.createElement(ft, { className: "w-[200px] p-0", align: "start" }, /* @__PURE__ */ l.createElement(it, null, /* @__PURE__ */ l.createElement(ct, { placeholder: r }), /* @__PURE__ */ l.createElement(mt, null, /* @__PURE__ */ l.createElement(dt, null, "No results found."), /* @__PURE__ */ l.createElement(fe, null, a.map((o) => {
    const i = s.has(o.value);
    return /* @__PURE__ */ l.createElement(
      ge,
      {
        key: o.value,
        onSelect: () => {
          i ? s.delete(o.value) : s.add(o.value);
          const m = Array.from(s);
          e == null || e.setFilterValue(
            m.length ? m : void 0
          );
        }
      },
      /* @__PURE__ */ l.createElement(
        "div",
        {
          className: b(
            "mr-2 flex h-4 w-4 items-center justify-center rounded-sm border border-primary",
            i ? "bg-primary text-primary-foreground" : "opacity-50 [&_svg]:invisible"
          )
        },
        /* @__PURE__ */ l.createElement(Qr, { className: b("h-4 w-4") })
      ),
      o.icon && /* @__PURE__ */ l.createElement(o.icon, { className: "mr-2 h-4 w-4 text-muted-foreground" }),
      /* @__PURE__ */ l.createElement("span", null, o.label),
      (n == null ? void 0 : n.get(o.value)) && /* @__PURE__ */ l.createElement("span", { className: "ml-auto flex h-4 w-4 items-center justify-center font-mono text-xs" }, n.get(o.value))
    );
  })), s.size > 0 && /* @__PURE__ */ l.createElement(l.Fragment, null, /* @__PURE__ */ l.createElement(ut, null), /* @__PURE__ */ l.createElement(fe, null, /* @__PURE__ */ l.createElement(
    ge,
    {
      onSelect: () => e == null ? void 0 : e.setFilterValue(void 0),
      className: "justify-center text-center"
    },
    "Clear filters"
  )))))));
}
function ec({
  table: e,
  onRefresh: r,
  supabase: a
}) {
  const [n, s] = N(""), [o, i] = N(!1), m = () => {
    i(!1);
  }, g = e.getState().globalFilter != null || e.getState().columnFilters.length > 0, c = (p) => {
    p.target.value.trim() != "" ? (s(p.target.value), e.setGlobalFilter(p.target.value)) : (s(""), e.resetGlobalFilter());
  }, d = [
    {
      value: "Active",
      label: "Active"
    },
    {
      value: "Inactive",
      label: "Inactive"
    }
    // {
    //               value: "Blocked",
    //               label: "Blocked",
    //             },
    // {
    //               value: "Deactivated",
    //               label: "Deactivated",
    //             },
  ];
  console.log("table", e.getColumn("status"));
  const f = () => {
    s(""), e.resetGlobalFilter(), e.resetColumnFilters();
  };
  return /* @__PURE__ */ t.createElement("div", { className: "flex items-center justify-between" }, /* @__PURE__ */ t.createElement("div", { className: "flex flex-1 items-center space-x-2" }, /* @__PURE__ */ t.createElement(
    Te,
    {
      placeholder: "Search...",
      value: n,
      onChange: c,
      className: "h-8 w-[150px] lg:w-[250px]"
    }
  ), e.getColumn("status") && /* @__PURE__ */ t.createElement(
    Qi,
    {
      column: e.getColumn("status"),
      title: "status",
      options: d
    }
  ), g && /* @__PURE__ */ t.createElement(
    T,
    {
      variant: "ghost",
      onClick: f,
      className: "h-8 px-2 lg:px-3"
    },
    "Reset",
    /* @__PURE__ */ t.createElement(ea, { className: "ml-2 h-4 w-4" })
  )), /* @__PURE__ */ t.createElement(Vi, { table: e }), /* @__PURE__ */ t.createElement(
    T,
    {
      variant: "default",
      size: "sm",
      onClick: () => i(!0),
      className: "h-8 px-2 lg:px-3 ml-4"
    },
    "Add",
    /* @__PURE__ */ t.createElement(ta, { className: "ml-2 h-4 w-4" })
  ), /* @__PURE__ */ t.createElement(nl, { onRefresh: r, setShowSideNav: i, isEdit: !1, showSideNav: o, data: [], onClose: m, supabase: a }));
}
function tc({
  columns: e,
  data: r,
  isLoading: a,
  onRefresh: n,
  supabase: s
}) {
  var y;
  const [o, i] = l.useState({}), [m, g] = l.useState({}), [c, d] = l.useState(
    []
  ), [f, p] = l.useState([]), u = [10, 20, 30, 50, 100], h = sa({
    data: r,
    columns: e,
    state: {
      sorting: f,
      columnVisibility: m,
      rowSelection: o,
      columnFilters: c
    },
    initialState: { pagination: { pageSize: 10 } },
    enableRowSelection: !0,
    onRowSelectionChange: i,
    onSortingChange: p,
    onColumnFiltersChange: d,
    onColumnVisibilityChange: g,
    getCoreRowModel: la(),
    getFilteredRowModel: oa(),
    getPaginationRowModel: ia(),
    getSortedRowModel: ca(),
    getFacetedRowModel: ma(),
    getFacetedUniqueValues: da(),
    autoResetPageIndex: !0
  });
  return /* @__PURE__ */ l.createElement("div", { className: "space-y-4" }, /* @__PURE__ */ l.createElement(ec, { table: h, onRefresh: n, supabase: s }), /* @__PURE__ */ l.createElement("div", { className: "rounded-md border" }, /* @__PURE__ */ l.createElement(tt, null, /* @__PURE__ */ l.createElement(rt, null, h.getHeaderGroups().map((v) => /* @__PURE__ */ l.createElement(B, { key: v.id }, v.headers.map((E) => /* @__PURE__ */ l.createElement(nt, { key: E.id, colSpan: E.colSpan }, E.isPlaceholder ? null : we(
    E.column.columnDef.header,
    E.getContext()
  )))))), /* @__PURE__ */ l.createElement(at, null, a ? /* @__PURE__ */ l.createElement(l.Fragment, null, h.getHeaderGroups().map((v) => /* @__PURE__ */ l.createElement(B, { key: v.id }, v.headers.map((E) => /* @__PURE__ */ l.createElement(
    K,
    {
      key: E.id,
      colSpan: E.colSpan,
      className: "h-6"
    },
    /* @__PURE__ */ l.createElement(le, { className: "w-[100px] h-[20px] rounded-full" })
  )))), h.getHeaderGroups().map((v) => /* @__PURE__ */ l.createElement(B, { key: v.id + "-2" }, v.headers.map((E) => /* @__PURE__ */ l.createElement(
    K,
    {
      key: E.id + "-2",
      colSpan: E.colSpan,
      className: "h-6"
    },
    /* @__PURE__ */ l.createElement(le, { className: "w-[100px] h-[20px] rounded-full" })
  ))))) : (y = h.getRowModel().rows) != null && y.length ? h.getRowModel().rows.map((v) => /* @__PURE__ */ l.createElement(
    B,
    {
      key: v.id,
      "data-state": v.getIsSelected() && "selected"
    },
    v.getVisibleCells().map((E) => /* @__PURE__ */ l.createElement(K, { key: E.id }, we(
      E.column.columnDef.cell,
      E.getContext()
    )))
  )) : /* @__PURE__ */ l.createElement(B, null, /* @__PURE__ */ l.createElement(
    K,
    {
      colSpan: e.length,
      className: "h-24 text-center"
    },
    /* @__PURE__ */ l.createElement(le, { className: "w-[100px] h-[20px] rounded-full" })
  ))))), /* @__PURE__ */ l.createElement("div", { className: "flex items-center justify-between px-2" }, /* @__PURE__ */ l.createElement("div", { className: "flex-1 text-sm text-muted-foreground" }, h.getFilteredSelectedRowModel().rows.length, " of", " ", h.getFilteredRowModel().rows.length, " row(s) selected."), /* @__PURE__ */ l.createElement(Ji, { table: h, pageSizeArray: u })));
}
function zc({ supabase: e }) {
  const [r, a] = N([]), [n, s] = N(!1), o = (p) => {
    console.log("done", p);
  }, i = (p) => {
    console.log("done", p), f(p.id);
  }, m = async () => {
    s(!0);
    try {
      const p = await d();
      a(p);
    } catch (p) {
      console.error("Error refreshing data:", p);
    } finally {
      s(!1);
    }
  }, [g, c] = N(!1);
  $(() => {
    m(), c(!1);
  }, [g]);
  const d = async () => {
    let { data: p, error: u } = await e.auth.rolesList();
    return u ? (console.error("Error fetching tenants:", u.message), []) : w.array($e).parse(p.role.roles);
  }, f = async (p) => {
    let { error: u } = await e.auth.deleteRole({
      id: p,
      tenant_id: p
    });
    u ? (console.error("Error fetching tenants:", u.message), j({
      title: "You submitted the following values:",
      description: /* @__PURE__ */ t.createElement("pre", { className: "mt-2 w-[340px] rounded-md bg-slate-950 p-4" }, /* @__PURE__ */ t.createElement("code", { className: "text-white" }, u.message))
    })) : (j({
      title: "You submitted the following values:",
      description: /* @__PURE__ */ t.createElement("pre", { className: "mt-2 w-[340px] rounded-md bg-slate-950 p-4" }, /* @__PURE__ */ t.createElement("code", { className: "text-white" }, "Successfully Deleted"))
    }), c(!0));
  };
  return /* @__PURE__ */ t.createElement(t.Fragment, null, /* @__PURE__ */ t.createElement(
    tc,
    {
      columns: Xi({ onEdit: o, onRefresh: m, onCallDelete: i, supabase: e }),
      supabase: e,
      data: r,
      isLoading: n,
      onRefresh: m
    }
  ));
}
function je({
  column: e,
  title: r,
  className: a
}) {
  return e.getCanSort() ? /* @__PURE__ */ t.createElement("div", { className: b("flex items-center space-x-2", a) }, /* @__PURE__ */ t.createElement(ie, null, /* @__PURE__ */ t.createElement(be, { asChild: !0 }, /* @__PURE__ */ t.createElement(
    T,
    {
      variant: "ghost",
      size: "sm",
      className: "-ml-3 h-8 data-[state=open]:bg-accent"
    },
    /* @__PURE__ */ t.createElement("span", null, r),
    e.getIsSorted() === "desc" ? /* @__PURE__ */ t.createElement(Ee, { className: "ml-2 h-4 w-4" }) : e.getIsSorted() === "asc" ? /* @__PURE__ */ t.createElement(ye, { className: "ml-2 h-4 w-4" }) : /* @__PURE__ */ t.createElement(Gr, { className: "ml-2 h-4 w-4" })
  )), /* @__PURE__ */ t.createElement(ae, { align: "start" }, /* @__PURE__ */ t.createElement(G, { onClick: () => e.toggleSorting(!1) }, /* @__PURE__ */ t.createElement(ye, { className: "mr-2 h-3.5 w-3.5 text-muted-foreground/70" }), "Asc"), /* @__PURE__ */ t.createElement(G, { onClick: () => e.toggleSorting(!0) }, /* @__PURE__ */ t.createElement(Ee, { className: "mr-2 h-3.5 w-3.5 text-muted-foreground/70" }), "Desc")))) : /* @__PURE__ */ t.createElement("div", { className: b(a) }, r);
}
function rc({
  row: e,
  onEdit: r,
  onDelete: a
}) {
  return /* @__PURE__ */ t.createElement(ie, null, /* @__PURE__ */ t.createElement(be, { asChild: !0 }, /* @__PURE__ */ t.createElement(
    T,
    {
      variant: "ghost",
      className: "flex h-8 w-8 p-0 data-[state=open]:bg-muted"
    },
    /* @__PURE__ */ t.createElement(Ur, { className: "h-4 w-4" }),
    /* @__PURE__ */ t.createElement("span", { className: "sr-only" }, "Open menu")
  )), /* @__PURE__ */ t.createElement(ae, { align: "end", className: "w-[160px]" }, /* @__PURE__ */ t.createElement(G, { onClick: () => r(e.original) }, "Edit"), /* @__PURE__ */ t.createElement(re, null), /* @__PURE__ */ t.createElement(G, { onClick: () => a(e.original) }, "Delete"), /* @__PURE__ */ t.createElement(re, null), /* @__PURE__ */ t.createElement(G, null, "Block")));
}
const sl = w.object({
  id: w.any(),
  name: w.any(),
  aud: w.any(),
  phone: w.any(),
  role: w.any(),
  email: w.any(),
  password: w.any(),
  email_confirmed_at: w.any(),
  confirmed_at: w.any(),
  last_sign_in_at: w.any(),
  app_metadata: w.any(),
  user_metadata: w.any(),
  identities: w.any(),
  created_at: w.any(),
  updated_at: w.any(),
  is_anonymous: w.any(),
  tenant_id: w.any(),
  role_id: w.any(),
  role_type: w.any(),
  privilege_type: w.any(),
  role_name: w.any(),
  status: w.string().default("")
}), ll = /^[^\s@]+@[^\s@]+\.[^\s@]+$/, ac = w.object({
  name: w.string().min(1, "Name is required"),
  email: w.string().min(1, { message: "Email is required" }).refine((e) => ll.test(e), { message: "Invalid email format" }),
  password: w.string().min(0, "Password is required").min(6, "Password must be at least 6 characters long"),
  role_id: w.string().min(1, "Role ID is required"),
  phone: w.string().min(1, "Phone number is required").min(10, "Invalid phone number")
  // user_metadata: 
}), nc = w.object({
  name: w.string().min(1, "Name is required"),
  email: w.string().min(1, { message: "Email is required" }).refine((e) => ll.test(e), { message: "Invalid email format" }),
  role_id: w.string().min(1, "Role ID is required"),
  phone: w.string().min(1, "Phone number is required").min(10, "Invalid phone number")
  // user_metadata: 
});
function ds({ defaultValue: e, isEdit: r, onReferesh: a, setShowSideNav: n, supabaseAuthAdmin: s }) {
  const [o, i] = N(!1), [m, g] = N([]), c = {
    id: (e == null ? void 0 : e.id) || "",
    email: (e == null ? void 0 : e.email) || "",
    password: (e == null ? void 0 : e.password) || "",
    phone: (e == null ? void 0 : e.phone) || "",
    role_id: (e == null ? void 0 : e.role_id) || "",
    name: (e == null ? void 0 : e.user_metadata.name) || ""
  }, d = na({
    resolver: He(r ? nc : ac),
    defaultValues: c
  });
  console.log("defaultValues", c), $(() => {
    async function p(u, h) {
      try {
        const { data: y, error: v } = await s.auth.rolesList();
        v ? (console.error(`Error fetching data from ${u}:`, v.message), h([])) : h(y.role.roles);
      } catch (y) {
        console.error(`Error fetching data from ${u}:`, y);
      }
    }
    p("roles", g);
  }, []);
  async function f(p) {
    try {
      if (r) {
        i(!0);
        const u = d.getValues(), { password: h, name: y, ...v } = u, E = {
          ...v,
          user_metadata: {
            name: u.name
          }
        };
        let { error: P } = await s.auth.admin.updateUserById(E.id, E);
        P ? setTimeout(() => {
          j({
            title: "Error",
            variant: "destructive",
            description: /* @__PURE__ */ t.createElement("pre", { className: "mt-2 w-[340px] rounded-md bg-slate-950 p-4" }, /* @__PURE__ */ t.createElement("code", { className: "text-white" }, "Something Went Wrong"))
          }), i(!1);
        }, 2e3) : (a(), n(!1), setTimeout(() => {
          i(!1), d.reset(), j({
            title: "You submitted the following values:",
            description: /* @__PURE__ */ t.createElement("pre", { className: "mt-2 w-[340px] rounded-md bg-slate-950 p-4" }, /* @__PURE__ */ t.createElement("code", { className: "text-white" }, "Successfully Updated"))
          });
        }, 2e3));
      } else {
        i(!0);
        const u = d.getValues(), { name: h, ...y } = u, v = {
          ...y,
          user_metadata: {
            name: u.name
          }
        };
        let { error: E } = await s.auth.admin.createUser(v);
        setTimeout(E ? () => {
          j({
            title: "Error",
            variant: "destructive",
            description: /* @__PURE__ */ t.createElement("pre", { className: "mt-2 w-[340px] rounded-md bg-slate-950 p-4" }, /* @__PURE__ */ t.createElement("code", { className: "text-white" }, "Something Went Wrong"))
          }), i(!1);
        } : () => {
          a(), i(!1), n(!1), d.reset(), j({
            title: "You submitted the following values:",
            description: /* @__PURE__ */ t.createElement("pre", { className: "mt-2 w-[340px] rounded-md bg-slate-950 p-4" }, /* @__PURE__ */ t.createElement("code", { className: "text-white" }, "Successfully Created"))
          });
        }, 2e3);
      }
    } catch (u) {
      console.error("Error fetching customers:", u);
    }
  }
  return $(() => {
    m && m.length > 0 && console.log(m, "role_idData");
  }, [m]), /* @__PURE__ */ t.createElement(ya, { ...d }, /* @__PURE__ */ t.createElement(_a, { onSubmit: d.handleSubmit(f), className: "space-y-8" }, /* @__PURE__ */ t.createElement("div", { style: { fontWeight: "700", fontSize: "20px" } }), /* @__PURE__ */ t.createElement("div", { style: { display: "grid", gridTemplateColumns: "repeat(2, 1fr)", gap: "20px" } }, /* @__PURE__ */ t.createElement(
    ne,
    {
      label: "Name",
      name: "name",
      type: "text",
      placeholder: "Name",
      form: d,
      required: !0
    }
  ), /* @__PURE__ */ t.createElement(
    ne,
    {
      label: "Email",
      name: "email",
      type: "character varying",
      placeholder: "Email",
      form: d,
      required: !0
    }
  ), /* @__PURE__ */ t.createElement(
    ne,
    {
      label: "Phone Number",
      name: "phone",
      type: "character varying",
      placeholder: "Phone Number",
      form: d,
      required: !0
    }
  ), r ? "" : /* @__PURE__ */ t.createElement(
    ne,
    {
      label: "Password",
      name: "password",
      type: "password",
      placeholder: "Password",
      form: d,
      pattern: "Password"
    }
  ), /* @__PURE__ */ t.createElement(
    xa,
    {
      label: "Role",
      placeholder: "Select Role",
      required: !0,
      name: "role_id",
      options: m,
      form: d,
      displayLabel: "name",
      returnLabel: "id"
    }
  )), /* @__PURE__ */ t.createElement(
    ba,
    {
      submitVariant: "default",
      clearVariant: "outline",
      submitlabel: "Submit",
      clearlabel: r === !1 ? "Clear" : void 0,
      submitType: "submit",
      clearAction: () => {
        console.log("form", d), d.reset({ ...c, email: "", phone: "" });
      },
      loader: o
    }
  )));
}
function ol({ showSideNav: e, onRefresh: r, data: a, onClose: n, isEdit: s = !1, setShowSideNav: o, supabaseAuthAdmin: i }) {
  const [m, g] = l.useState([]);
  async function c(f) {
    let { data: { user: p }, error: u } = await i.auth.admin.getUserById(f);
    return u ? (console.error("Error fetching tenant details:", u.message), []) : w.array(sl).parse([p]);
  }
  l.useEffect(() => {
    e && (a != null && a.id) && (async () => {
      const f = await c(a.id);
      g(f);
    })();
  }, [e, a == null ? void 0 : a.id]), l.useEffect(() => {
    console.log("tenantDetail", m);
  }, [m]);
  const d = () => {
    n();
  };
  return /* @__PURE__ */ l.createElement(ua, { open: e, onOpenChange: d }, /* @__PURE__ */ l.createElement(Ue, { className: "w-[800px]", style: {
    maxWidth: "100%"
  } }, /* @__PURE__ */ l.createElement(Ye, null, /* @__PURE__ */ l.createElement(Ze, null, "USER"), /* @__PURE__ */ l.createElement(Ke, null, `${s ? "Update a user" : "Create a new user"} `, s && (m == null ? void 0 : m.length) > 0 ? /* @__PURE__ */ l.createElement(ds, { onReferesh: r, setShowSideNav: o, isEdit: s, defaultValue: m[0], supabaseAuthAdmin: i }) : s ? "Loading" : /* @__PURE__ */ l.createElement(ds, { onReferesh: r, setShowSideNav: o, isEdit: s, defaultValue: void 0, supabaseAuthAdmin: i })))));
}
const sc = ({
  onRefresh: e,
  onCallDelete: r,
  supabaseAuthAdmin: a
}) => [
  {
    id: "select",
    header: ({ table: n }) => /* @__PURE__ */ t.createElement(
      de,
      {
        checked: n.getIsAllPageRowsSelected() ? !0 : n.getIsSomePageRowsSelected() ? "indeterminate" : !1,
        onCheckedChange: (s) => n.toggleAllPageRowsSelected(!!s),
        "aria-label": "Select all",
        className: "translate-y-[2px]"
      }
    ),
    cell: ({ row: n }) => /* @__PURE__ */ t.createElement(
      de,
      {
        checked: n.getIsSelected(),
        onCheckedChange: (s) => n.toggleSelected(!!s),
        "aria-label": "Select row",
        className: "translate-y-[2px]"
      }
    ),
    enableSorting: !1,
    enableHiding: !1
  },
  {
    accessorKey: "user_metadata",
    header: ({ column: n }) => /* @__PURE__ */ t.createElement(je, { column: n, title: "Name" }),
    cell: ({ row: n }) => {
      const s = n.getValue("user_metadata");
      return console.log("user_metadata:", n.getValue("user_metadata")), /* @__PURE__ */ t.createElement("div", { className: "w-[80px]" }, s.name);
    },
    enableSorting: !1,
    enableHiding: !1
  },
  {
    accessorKey: "email",
    header: ({ column: n }) => /* @__PURE__ */ t.createElement(je, { column: n, title: "Email" }),
    cell: ({ row: n }) => /* @__PURE__ */ t.createElement("div", { className: "w-[80px]" }, n.getValue("email")),
    enableSorting: !1,
    enableHiding: !1
  },
  {
    accessorKey: "role_name",
    header: ({ column: n }) => /* @__PURE__ */ t.createElement(je, { column: n, title: "Role" }),
    cell: ({ row: n }) => /* @__PURE__ */ t.createElement("div", { className: "w-[80px]" }, n.getValue("role_name")),
    enableSorting: !1,
    enableHiding: !1
  },
  {
    accessorKey: "privilege_type",
    header: ({ column: n }) => /* @__PURE__ */ t.createElement(je, { column: n, title: "Privilage" }),
    cell: ({ row: n }) => /* @__PURE__ */ t.createElement("div", { className: "w-[80px]" }, n.getValue("privilege_type")),
    enableSorting: !1,
    enableHiding: !1
  },
  // {
  //   accessorKey: "type",
  //   header: ({ column }) => (
  //     <DataTableColumnHeader column={column} title="Type" />
  //   ),
  //   cell: ({ row }) => {
  //     const label = roleType.find((label) => label.value === row.original.role_type)
  //     return (
  //       <div className="flex space-x-2">
  //         {label && <Badge variant="outline">{label.label}</Badge>}
  //         <span className="max-w-[500px] truncate font-medium">
  //           {row.getValue("type")}
  //         </span>
  //       </div>
  //     )
  //   },
  // },
  // {
  //   accessorKey: "status",
  //   header: ({ column }) => (
  //     <DataTableColumnHeader column={column} title="Status" />
  //   ),
  //   cell: ({ row }) => {
  //     const status = statusNew.find(
  //       (status) => status.value === row.getValue("status")
  //     )
  //     if (!status) {
  //       return null
  //     }
  //     return (
  //       <div className="flex w-[100px] items-center">
  //         {status.icon && (
  //           <status.icon className="mr-2 h-4 w-4 text-muted-foreground" />
  //         )}
  //         <span>{status.label}</span>
  //       </div>
  //     )
  //   },
  //   filterFn: (row, id, value) => {
  //     return value.includes(row.getValue(id))
  //   },
  // },
  // {
  //   accessorKey: "plan_name",
  //   header: ({ column }) => (
  //     <DataTableColumnHeader column={column} title="Plan" />
  //   ),
  //   cell: ({ row }) => {
  //     const priority = planNames.find(
  //       (priority) => priority.value === row.getValue("plan_name")
  //     )
  //     if (!priority) {
  //       return null
  //     }
  //     return (
  //       <div className="flex items-center">
  //         {/* {priority.icon && (
  //           <priority.icon className="mr-2 h-4 w-4 text-muted-foreground" />
  //         )} */}
  //         <span>{priority.label}</span>
  //       </div>
  //     )
  //   },
  //   filterFn: (row, id, value) => {
  //     return value.includes(row.getValue(id))
  //   },
  // },
  {
    id: "actions",
    cell: ({ row: n }) => {
      const [s, o] = N(!1), [i, m] = N(null), g = (f) => {
        console.log("Edit clicked for:", f == null ? void 0 : f.id), m(f), o(!0);
      }, c = (f) => {
        console.log("Delete clicked for:", f == null ? void 0 : f.id), r(f);
      }, d = () => {
        o(!1);
      };
      return /* @__PURE__ */ t.createElement(t.Fragment, null, /* @__PURE__ */ t.createElement(rc, { row: n, onEdit: g, onDelete: c }), i && s && /* @__PURE__ */ t.createElement(ol, { setShowSideNav: o, onRefresh: e, isEdit: !0, showSideNav: s, data: i, onClose: d, supabaseAuthAdmin: a }));
    }
  }
];
function lc({
  table: e,
  pageSizeArray: r
}) {
  return /* @__PURE__ */ t.createElement("div", { className: "flex items-center justify-between px-2" }, /* @__PURE__ */ t.createElement("div", { className: "flex items-center space-x-6 lg:space-x-8" }, /* @__PURE__ */ t.createElement("div", { className: "flex items-center space-x-2" }, /* @__PURE__ */ t.createElement("p", { className: "text-sm font-medium" }, "Rows per page"), /* @__PURE__ */ t.createElement(
    Na,
    {
      value: `${e.getState().pagination.pageSize}`,
      onValueChange: (a) => {
        e.setPageSize(Number(a));
      }
    },
    /* @__PURE__ */ t.createElement(st, { className: "h-8 w-[70px]" }, /* @__PURE__ */ t.createElement(Ca, { placeholder: e.getState().pagination.pageSize })),
    /* @__PURE__ */ t.createElement(lt, { side: "top" }, r.map((a) => /* @__PURE__ */ t.createElement(ot, { key: a, value: `${a}` }, a)))
  )), /* @__PURE__ */ t.createElement("div", { className: "flex w-[100px] items-center justify-center text-sm font-medium" }, "Page ", e.getState().pagination.pageIndex + 1, " of", " ", e.getPageCount()), /* @__PURE__ */ t.createElement("div", { className: "flex items-center space-x-2" }, /* @__PURE__ */ t.createElement(
    T,
    {
      variant: "outline",
      className: "hidden h-8 w-8 p-0 lg:flex",
      onClick: () => e.setPageIndex(0),
      disabled: !e.getCanPreviousPage()
    },
    /* @__PURE__ */ t.createElement("span", { className: "sr-only" }, "Go to first page"),
    /* @__PURE__ */ t.createElement(Yr, { className: "h-4 w-4" })
  ), /* @__PURE__ */ t.createElement(
    T,
    {
      variant: "outline",
      className: "h-8 w-8 p-0",
      onClick: () => e.previousPage(),
      disabled: !e.getCanPreviousPage()
    },
    /* @__PURE__ */ t.createElement("span", { className: "sr-only" }, "Go to previous page"),
    /* @__PURE__ */ t.createElement(Zr, { className: "h-4 w-4" })
  ), /* @__PURE__ */ t.createElement(
    T,
    {
      variant: "outline",
      className: "h-8 w-8 p-0",
      onClick: () => e.nextPage(),
      disabled: !e.getCanNextPage()
    },
    /* @__PURE__ */ t.createElement("span", { className: "sr-only" }, "Go to next page"),
    /* @__PURE__ */ t.createElement(Kr, { className: "h-4 w-4" })
  ), /* @__PURE__ */ t.createElement(
    T,
    {
      variant: "outline",
      className: "hidden h-8 w-8 p-0 lg:flex",
      onClick: () => e.setPageIndex(e.getPageCount() - 1),
      disabled: !e.getCanNextPage()
    },
    /* @__PURE__ */ t.createElement("span", { className: "sr-only" }, "Go to last page"),
    /* @__PURE__ */ t.createElement(Xr, { className: "h-4 w-4" })
  ))));
}
function oc({
  table: e
}) {
  return /* @__PURE__ */ t.createElement(ie, null, /* @__PURE__ */ t.createElement(aa, { asChild: !0 }, /* @__PURE__ */ t.createElement(
    T,
    {
      variant: "outline",
      size: "sm",
      className: "ml-auto hidden h-8 lg:flex"
    },
    /* @__PURE__ */ t.createElement(Jr, { className: "mr-2 h-4 w-4" }),
    "View"
  )), /* @__PURE__ */ t.createElement(ae, { align: "end", className: "w-[150px]" }, /* @__PURE__ */ t.createElement(Ge, null, "Toggle columns"), /* @__PURE__ */ t.createElement(re, null), e.getAllColumns().filter(
    (r) => typeof r.accessorFn < "u" && r.getCanHide()
  ).map((r) => /* @__PURE__ */ t.createElement(
    Be,
    {
      key: r.id,
      className: "capitalize",
      checked: r.getIsVisible(),
      onCheckedChange: (a) => r.toggleVisibility(!!a)
    },
    r.id
  ))));
}
function ic({
  column: e,
  title: r,
  options: a
}) {
  const n = e == null ? void 0 : e.getFacetedUniqueValues(), s = new Set(e == null ? void 0 : e.getFilterValue());
  return /* @__PURE__ */ l.createElement(Sa, null, /* @__PURE__ */ l.createElement(Ra, { asChild: !0 }, /* @__PURE__ */ l.createElement(T, { variant: "outline", size: "sm", className: "h-8 border-dashed" }, /* @__PURE__ */ l.createElement(Vr, { className: "mr-2 h-4 w-4" }), r, (s == null ? void 0 : s.size) > 0 && /* @__PURE__ */ l.createElement(l.Fragment, null, /* @__PURE__ */ l.createElement(_e, { orientation: "vertical", className: "mx-2 h-4" }), /* @__PURE__ */ l.createElement(
    se,
    {
      variant: "secondary",
      className: "rounded-sm px-1 font-normal lg:hidden"
    },
    s.size
  ), /* @__PURE__ */ l.createElement("div", { className: "hidden space-x-1 lg:flex" }, s.size > 2 ? /* @__PURE__ */ l.createElement(
    se,
    {
      variant: "secondary",
      className: "rounded-sm px-1 font-normal"
    },
    s.size,
    " selected"
  ) : a.filter((o) => s.has(o.value)).map((o) => /* @__PURE__ */ l.createElement(
    se,
    {
      variant: "secondary",
      key: o.value,
      className: "rounded-sm px-1 font-normal"
    },
    o.label
  )))))), /* @__PURE__ */ l.createElement(ft, { className: "w-[200px] p-0", align: "start" }, /* @__PURE__ */ l.createElement(it, null, /* @__PURE__ */ l.createElement(ct, { placeholder: r }), /* @__PURE__ */ l.createElement(mt, null, /* @__PURE__ */ l.createElement(dt, null, "No results found."), /* @__PURE__ */ l.createElement(fe, null, a.map((o) => {
    const i = s.has(o.value);
    return /* @__PURE__ */ l.createElement(
      ge,
      {
        key: o.value,
        onSelect: () => {
          i ? s.delete(o.value) : s.add(o.value);
          const m = Array.from(s);
          e == null || e.setFilterValue(
            m.length ? m : void 0
          );
        }
      },
      /* @__PURE__ */ l.createElement(
        "div",
        {
          className: b(
            "mr-2 flex h-4 w-4 items-center justify-center rounded-sm border border-primary",
            i ? "bg-primary text-primary-foreground" : "opacity-50 [&_svg]:invisible"
          )
        },
        /* @__PURE__ */ l.createElement(Qr, { className: b("h-4 w-4") })
      ),
      o.icon && /* @__PURE__ */ l.createElement(o.icon, { className: "mr-2 h-4 w-4 text-muted-foreground" }),
      /* @__PURE__ */ l.createElement("span", null, o.label),
      (n == null ? void 0 : n.get(o.value)) && /* @__PURE__ */ l.createElement("span", { className: "ml-auto flex h-4 w-4 items-center justify-center font-mono text-xs" }, n.get(o.value))
    );
  })), s.size > 0 && /* @__PURE__ */ l.createElement(l.Fragment, null, /* @__PURE__ */ l.createElement(ut, null), /* @__PURE__ */ l.createElement(fe, null, /* @__PURE__ */ l.createElement(
    ge,
    {
      onSelect: () => e == null ? void 0 : e.setFilterValue(void 0),
      className: "justify-center text-center"
    },
    "Clear filters"
  )))))));
}
function cc({
  table: e,
  onRefresh: r,
  supabaseAuthAdmin: a
}) {
  const [n, s] = N(""), [o, i] = N(!1), m = () => {
    i(!1);
  }, g = e.getState().globalFilter != null || e.getState().columnFilters.length > 0, c = (p) => {
    p.target.value.trim() != "" ? (s(p.target.value), e.setGlobalFilter(p.target.value)) : (s(""), e.resetGlobalFilter());
  }, d = [
    {
      value: "Active",
      label: "Active"
    },
    {
      value: "Inactive",
      label: "Inactive"
    },
    {
      value: "Blocked",
      label: "Blocked"
    },
    {
      value: "Deactivated",
      label: "Deactivated"
    }
  ], f = () => {
    s(""), e.resetGlobalFilter(), e.resetColumnFilters();
  };
  return console.log("table", e.getColumn("status")), /* @__PURE__ */ t.createElement("div", { className: "flex items-center justify-between" }, /* @__PURE__ */ t.createElement("div", { className: "flex flex-1 items-center space-x-2" }, /* @__PURE__ */ t.createElement(
    Te,
    {
      placeholder: "Search...",
      value: n,
      onChange: c,
      className: "h-8 w-[150px] lg:w-[250px]"
    }
  ), e.getColumn("status") && /* @__PURE__ */ t.createElement(
    ic,
    {
      column: e.getColumn("status"),
      title: "status",
      options: d
    }
  ), g && /* @__PURE__ */ t.createElement(
    T,
    {
      variant: "ghost",
      onClick: f,
      className: "h-8 px-2 lg:px-3"
    },
    "Reset",
    /* @__PURE__ */ t.createElement(ea, { className: "ml-2 h-4 w-4" })
  )), /* @__PURE__ */ t.createElement(oc, { table: e }), /* @__PURE__ */ t.createElement(
    T,
    {
      variant: "default",
      size: "sm",
      onClick: () => i(!0),
      className: "h-8 px-2 lg:px-3 ml-4"
    },
    "Add",
    /* @__PURE__ */ t.createElement(ta, { className: "ml-2 h-4 w-4" })
  ), /* @__PURE__ */ t.createElement(ol, { onRefresh: r, setShowSideNav: i, isEdit: !1, showSideNav: o, data: [], onClose: m, supabaseAuthAdmin: a }));
}
function mc({
  columns: e,
  data: r,
  isLoading: a,
  onRefresh: n,
  supabaseAuthAdmin: s
}) {
  var y;
  const [o, i] = l.useState({}), [m, g] = l.useState({}), [c, d] = l.useState(
    []
  ), [f, p] = l.useState([]), u = [10, 20, 30, 50, 100], h = sa({
    data: r,
    columns: e,
    state: {
      sorting: f,
      columnVisibility: m,
      rowSelection: o,
      columnFilters: c
    },
    initialState: { pagination: { pageSize: 10 } },
    enableRowSelection: !0,
    onRowSelectionChange: i,
    onSortingChange: p,
    onColumnFiltersChange: d,
    onColumnVisibilityChange: g,
    getCoreRowModel: la(),
    getFilteredRowModel: oa(),
    getPaginationRowModel: ia(),
    getSortedRowModel: ca(),
    getFacetedRowModel: ma(),
    getFacetedUniqueValues: da(),
    autoResetPageIndex: !0
  });
  return /* @__PURE__ */ l.createElement("div", { className: "space-y-4" }, /* @__PURE__ */ l.createElement(cc, { table: h, onRefresh: n, supabaseAuthAdmin: s }), /* @__PURE__ */ l.createElement("div", { className: "rounded-md border" }, /* @__PURE__ */ l.createElement(tt, null, /* @__PURE__ */ l.createElement(rt, null, h.getHeaderGroups().map((v) => /* @__PURE__ */ l.createElement(B, { key: v.id }, v.headers.map((E) => /* @__PURE__ */ l.createElement(nt, { key: E.id, colSpan: E.colSpan }, E.isPlaceholder ? null : we(
    E.column.columnDef.header,
    E.getContext()
  )))))), /* @__PURE__ */ l.createElement(at, null, a ? /* @__PURE__ */ l.createElement(l.Fragment, null, h.getHeaderGroups().map((v) => /* @__PURE__ */ l.createElement(B, { key: v.id }, v.headers.map((E) => /* @__PURE__ */ l.createElement(
    K,
    {
      key: E.id,
      colSpan: E.colSpan,
      className: "h-6"
    },
    /* @__PURE__ */ l.createElement(le, { className: "w-[100px] h-[20px] rounded-full" })
  )))), h.getHeaderGroups().map((v) => /* @__PURE__ */ l.createElement(B, { key: v.id + "-2" }, v.headers.map((E) => /* @__PURE__ */ l.createElement(
    K,
    {
      key: E.id + "-2",
      colSpan: E.colSpan,
      className: "h-6"
    },
    /* @__PURE__ */ l.createElement(le, { className: "w-[100px] h-[20px] rounded-full" })
  ))))) : (y = h.getRowModel().rows) != null && y.length ? h.getRowModel().rows.map((v) => /* @__PURE__ */ l.createElement(
    B,
    {
      key: v.id,
      "data-state": v.getIsSelected() && "selected"
    },
    v.getVisibleCells().map((E) => /* @__PURE__ */ l.createElement(K, { key: E.id }, we(
      E.column.columnDef.cell,
      E.getContext()
    )))
  )) : /* @__PURE__ */ l.createElement(B, null, /* @__PURE__ */ l.createElement(
    K,
    {
      colSpan: e.length,
      className: "h-24 text-center"
    },
    /* @__PURE__ */ l.createElement(le, { className: "w-[100px] h-[20px] rounded-full" })
  ))))), /* @__PURE__ */ l.createElement("div", { className: "flex items-center justify-between px-2" }, /* @__PURE__ */ l.createElement("div", { className: "flex-1 text-sm text-muted-foreground" }, h.getFilteredSelectedRowModel().rows.length, " of", " ", h.getFilteredRowModel().rows.length, " row(s) selected."), /* @__PURE__ */ l.createElement(lc, { table: h, pageSizeArray: u })));
}
function jc({ supabase: e, supabaseAuthAdmin: r }) {
  const [a, n] = N([]), [s, o] = N(!1), i = (u) => {
    console.log("done", u);
  }, m = async () => {
    o(!0);
    try {
      const u = await d();
      n(u);
    } catch (u) {
      console.error("Error refreshing data:", u);
    } finally {
      o(!1);
    }
  }, [g, c] = N(!1);
  $(() => {
    m(), c(!1);
  }, [g]);
  const d = async () => {
    let { data: { users: u }, error: h } = await r.auth.admin.listUsers();
    return console.log("tenants", u), h ? (console.error("Error fetching tenants:", h.message), []) : w.array(sl).parse(u);
  }, f = (u) => {
    console.log("done", u), p(u.id);
  }, p = async (u) => {
    let { error: h } = await e.auth.admin.deleteUser(u);
    h ? (console.error("Error fetching tenants:", h.message), j({
      title: "You submitted the following values:",
      description: /* @__PURE__ */ t.createElement("pre", { className: "mt-2 w-[340px] rounded-md bg-slate-950 p-4" }, /* @__PURE__ */ t.createElement("code", { className: "text-white" }, h.message))
    })) : (m(), j({
      title: "You submitted the following values:",
      description: /* @__PURE__ */ t.createElement("pre", { className: "mt-2 w-[340px] rounded-md bg-slate-950 p-4" }, /* @__PURE__ */ t.createElement("code", { className: "text-white" }, "Successfully Deleted"))
    }), c(!0));
  };
  return /* @__PURE__ */ t.createElement(t.Fragment, null, /* @__PURE__ */ t.createElement(
    mc,
    {
      columns: sc({ onEdit: i, onRefresh: m, onCallDelete: f, supabaseAuthAdmin: r }),
      supabaseAuthAdmin: r,
      data: a,
      isLoading: s,
      onRefresh: m
    }
  ));
}
export {
  X as Auth,
  Fc as AuthCard,
  kc as ForgottenPassword,
  Lc as MagicLink,
  zc as RoleList,
  Dc as SignIn,
  Tc as SignUp,
  Ac as SocialAuth,
  Oc as TaskPage,
  qc as UpdatePassword,
  jc as UserList,
  Mc as VerifyOtp
};
